package com.ywt.gapi.system;

import static io.grpc.stub.ClientCalls.asyncUnaryCall;
import static io.grpc.stub.ClientCalls.asyncServerStreamingCall;
import static io.grpc.stub.ClientCalls.asyncClientStreamingCall;
import static io.grpc.stub.ClientCalls.asyncBidiStreamingCall;
import static io.grpc.stub.ClientCalls.blockingUnaryCall;
import static io.grpc.stub.ClientCalls.blockingServerStreamingCall;
import static io.grpc.stub.ClientCalls.futureUnaryCall;
import static io.grpc.MethodDescriptor.generateFullMethodName;
import static io.grpc.stub.ServerCalls.asyncUnaryCall;
import static io.grpc.stub.ServerCalls.asyncServerStreamingCall;
import static io.grpc.stub.ServerCalls.asyncClientStreamingCall;
import static io.grpc.stub.ServerCalls.asyncBidiStreamingCall;
import static io.grpc.stub.ServerCalls.asyncUnimplementedUnaryCall;
import static io.grpc.stub.ServerCalls.asyncUnimplementedStreamingCall;

/**
 * <pre>
 * 对应 rpc 项目的 SystemServiceImpl 类
 * </pre>
 */
@javax.annotation.Generated(
    value = "by gRPC proto compiler (version 1.7.2-SNAPSHOT)",
    comments = "Source: system.proto")
public final class SystemServiceGrpc {

  private SystemServiceGrpc() {}

  public static final String SERVICE_NAME = "com.ywt.gapi.system.SystemService";

  // Static method descriptors that strictly reflect the proto.
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.system.HospitalListRequest,
      com.ywt.gapi.system.HospitalListResponse> METHOD_GET_HOSPITAL_LIST =
      io.grpc.MethodDescriptor.<com.ywt.gapi.system.HospitalListRequest, com.ywt.gapi.system.HospitalListResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.system.SystemService", "getHospitalList"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.HospitalListRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.HospitalListResponse.getDefaultInstance()))
          .setSchemaDescriptor(new SystemServiceMethodDescriptorSupplier("getHospitalList"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.system.DeptListRequest,
      com.ywt.gapi.system.DeptListResponse> METHOD_GET_DEPT_LIST =
      io.grpc.MethodDescriptor.<com.ywt.gapi.system.DeptListRequest, com.ywt.gapi.system.DeptListResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.system.SystemService", "getDeptList"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.DeptListRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.DeptListResponse.getDefaultInstance()))
          .setSchemaDescriptor(new SystemServiceMethodDescriptorSupplier("getDeptList"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.system.HospitalDeptListRequest,
      com.ywt.gapi.system.HospitalDeptListResponse> METHOD_GET_HOSPITAL_DEPT_LIST =
      io.grpc.MethodDescriptor.<com.ywt.gapi.system.HospitalDeptListRequest, com.ywt.gapi.system.HospitalDeptListResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.system.SystemService", "getHospitalDeptList"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.HospitalDeptListRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.HospitalDeptListResponse.getDefaultInstance()))
          .setSchemaDescriptor(new SystemServiceMethodDescriptorSupplier("getHospitalDeptList"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.system.CheckAppVersionRequest,
      com.ywt.gapi.system.CheckAppVersionResponse> METHOD_CHECK_APP_VERSION =
      io.grpc.MethodDescriptor.<com.ywt.gapi.system.CheckAppVersionRequest, com.ywt.gapi.system.CheckAppVersionResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.system.SystemService", "checkAppVersion"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.CheckAppVersionRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.CheckAppVersionResponse.getDefaultInstance()))
          .setSchemaDescriptor(new SystemServiceMethodDescriptorSupplier("checkAppVersion"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.system.GetAreaListRequest,
      com.ywt.gapi.system.GetAreaListResponse> METHOD_GET_AREA_LIST =
      io.grpc.MethodDescriptor.<com.ywt.gapi.system.GetAreaListRequest, com.ywt.gapi.system.GetAreaListResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.system.SystemService", "getAreaList"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.GetAreaListRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.GetAreaListResponse.getDefaultInstance()))
          .setSchemaDescriptor(new SystemServiceMethodDescriptorSupplier("getAreaList"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.system.GetAddressListRequest,
      com.ywt.gapi.system.GetAddressListResponse> METHOD_GET_ADDRESS_LIST =
      io.grpc.MethodDescriptor.<com.ywt.gapi.system.GetAddressListRequest, com.ywt.gapi.system.GetAddressListResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.system.SystemService", "getAddressList"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.GetAddressListRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.GetAddressListResponse.getDefaultInstance()))
          .setSchemaDescriptor(new SystemServiceMethodDescriptorSupplier("getAddressList"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.system.SaveAddressRequest,
      com.ywt.gapi.system.SaveAddressResponse> METHOD_SAVE_ADDRESS =
      io.grpc.MethodDescriptor.<com.ywt.gapi.system.SaveAddressRequest, com.ywt.gapi.system.SaveAddressResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.system.SystemService", "saveAddress"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.SaveAddressRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.SaveAddressResponse.getDefaultInstance()))
          .setSchemaDescriptor(new SystemServiceMethodDescriptorSupplier("saveAddress"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.system.DeleteAddressRequest,
      com.ywt.gapi.Result> METHOD_DELETE_ADDRESS =
      io.grpc.MethodDescriptor.<com.ywt.gapi.system.DeleteAddressRequest, com.ywt.gapi.Result>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.system.SystemService", "deleteAddress"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.DeleteAddressRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.Result.getDefaultInstance()))
          .setSchemaDescriptor(new SystemServiceMethodDescriptorSupplier("deleteAddress"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.system.GetAddressRequest,
      com.ywt.gapi.system.GetAddressResponse> METHOD_GET_ADDRESS =
      io.grpc.MethodDescriptor.<com.ywt.gapi.system.GetAddressRequest, com.ywt.gapi.system.GetAddressResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.system.SystemService", "getAddress"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.GetAddressRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.GetAddressResponse.getDefaultInstance()))
          .setSchemaDescriptor(new SystemServiceMethodDescriptorSupplier("getAddress"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.system.GetAreaTreeNodeListRequest,
      com.ywt.gapi.system.GetAreaTreeNodeListResponse> METHOD_GET_AREA_TREE_NODE_LIST =
      io.grpc.MethodDescriptor.<com.ywt.gapi.system.GetAreaTreeNodeListRequest, com.ywt.gapi.system.GetAreaTreeNodeListResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.system.SystemService", "getAreaTreeNodeList"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.GetAreaTreeNodeListRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.GetAreaTreeNodeListResponse.getDefaultInstance()))
          .setSchemaDescriptor(new SystemServiceMethodDescriptorSupplier("getAreaTreeNodeList"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.system.AreaListRequest,
      com.ywt.gapi.system.AreaListResponse> METHOD_GET_APP_AREA_LIST =
      io.grpc.MethodDescriptor.<com.ywt.gapi.system.AreaListRequest, com.ywt.gapi.system.AreaListResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.system.SystemService", "getAppAreaList"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.AreaListRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.AreaListResponse.getDefaultInstance()))
          .setSchemaDescriptor(new SystemServiceMethodDescriptorSupplier("getAppAreaList"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.system.AreaHospitalListRequest,
      com.ywt.gapi.system.AreaHospitalListResponse> METHOD_GET_AREA_HOSPITAL_LIST =
      io.grpc.MethodDescriptor.<com.ywt.gapi.system.AreaHospitalListRequest, com.ywt.gapi.system.AreaHospitalListResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.system.SystemService", "getAreaHospitalList"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.AreaHospitalListRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.AreaHospitalListResponse.getDefaultInstance()))
          .setSchemaDescriptor(new SystemServiceMethodDescriptorSupplier("getAreaHospitalList"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.system.GetWeChatConfigRequest,
      com.ywt.gapi.system.GetWeChatConfigResponse> METHOD_GET_WE_CHAT_CONFIG =
      io.grpc.MethodDescriptor.<com.ywt.gapi.system.GetWeChatConfigRequest, com.ywt.gapi.system.GetWeChatConfigResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.system.SystemService", "getWeChatConfig"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.GetWeChatConfigRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.GetWeChatConfigResponse.getDefaultInstance()))
          .setSchemaDescriptor(new SystemServiceMethodDescriptorSupplier("getWeChatConfig"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.system.GetDeptByYiDaCodeRequest,
      com.ywt.gapi.system.GetDeptByYiDaCodeResponse> METHOD_GET_DEPT_BY_YI_DA_CODE =
      io.grpc.MethodDescriptor.<com.ywt.gapi.system.GetDeptByYiDaCodeRequest, com.ywt.gapi.system.GetDeptByYiDaCodeResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.system.SystemService", "getDeptByYiDaCode"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.GetDeptByYiDaCodeRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.GetDeptByYiDaCodeResponse.getDefaultInstance()))
          .setSchemaDescriptor(new SystemServiceMethodDescriptorSupplier("getDeptByYiDaCode"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.system.GetYiDaDoctorCodeRequest,
      com.ywt.gapi.system.GetYiDaDoctorCodeResponse> METHOD_GET_YI_DA_DOCTOR_CODE =
      io.grpc.MethodDescriptor.<com.ywt.gapi.system.GetYiDaDoctorCodeRequest, com.ywt.gapi.system.GetYiDaDoctorCodeResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.system.SystemService", "getYiDaDoctorCode"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.GetYiDaDoctorCodeRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.GetYiDaDoctorCodeResponse.getDefaultInstance()))
          .setSchemaDescriptor(new SystemServiceMethodDescriptorSupplier("getYiDaDoctorCode"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.system.GetIcdCodeListRequest,
      com.ywt.gapi.system.GetIcdCodeListResponse> METHOD_GET_ICD_CODE_LIST =
      io.grpc.MethodDescriptor.<com.ywt.gapi.system.GetIcdCodeListRequest, com.ywt.gapi.system.GetIcdCodeListResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.system.SystemService", "getIcdCodeList"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.GetIcdCodeListRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.GetIcdCodeListResponse.getDefaultInstance()))
          .setSchemaDescriptor(new SystemServiceMethodDescriptorSupplier("getIcdCodeList"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.system.GetAreaListRequest,
      com.ywt.gapi.system.GetAreaListResponse> METHOD_GET_ALL_AREA_LIST =
      io.grpc.MethodDescriptor.<com.ywt.gapi.system.GetAreaListRequest, com.ywt.gapi.system.GetAreaListResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.system.SystemService", "getAllAreaList"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.GetAreaListRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.GetAreaListResponse.getDefaultInstance()))
          .setSchemaDescriptor(new SystemServiceMethodDescriptorSupplier("getAllAreaList"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.system.GetAddressListRequest,
      com.ywt.gapi.system.GetAddressListResponse> METHOD_GET_DOCTOR_ADDRESS_LIST =
      io.grpc.MethodDescriptor.<com.ywt.gapi.system.GetAddressListRequest, com.ywt.gapi.system.GetAddressListResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.system.SystemService", "getDoctorAddressList"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.GetAddressListRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.GetAddressListResponse.getDefaultInstance()))
          .setSchemaDescriptor(new SystemServiceMethodDescriptorSupplier("getDoctorAddressList"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.system.SaveAddressRequest,
      com.ywt.gapi.Result> METHOD_DOCTOR_SAVE_ADDRESS =
      io.grpc.MethodDescriptor.<com.ywt.gapi.system.SaveAddressRequest, com.ywt.gapi.Result>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.system.SystemService", "doctorSaveAddress"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.SaveAddressRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.Result.getDefaultInstance()))
          .setSchemaDescriptor(new SystemServiceMethodDescriptorSupplier("doctorSaveAddress"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.system.SettingDefaultAddressRequest,
      com.ywt.gapi.Result> METHOD_SETTING_DEFAULT_ADDRESS =
      io.grpc.MethodDescriptor.<com.ywt.gapi.system.SettingDefaultAddressRequest, com.ywt.gapi.Result>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.system.SystemService", "settingDefaultAddress"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.SettingDefaultAddressRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.Result.getDefaultInstance()))
          .setSchemaDescriptor(new SystemServiceMethodDescriptorSupplier("settingDefaultAddress"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.system.GetMsgTplListByModuleRequest,
      com.ywt.gapi.system.GetMsgTplListByModuleResponse> METHOD_GET_MSG_TPL_LIST_BY_MODULE =
      io.grpc.MethodDescriptor.<com.ywt.gapi.system.GetMsgTplListByModuleRequest, com.ywt.gapi.system.GetMsgTplListByModuleResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.system.SystemService", "getMsgTplListByModule"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.GetMsgTplListByModuleRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.GetMsgTplListByModuleResponse.getDefaultInstance()))
          .setSchemaDescriptor(new SystemServiceMethodDescriptorSupplier("getMsgTplListByModule"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.system.GetDoctorAddressRequest,
      com.ywt.gapi.system.GetDoctorDefaultAddressResponse> METHOD_GET_DOCTOR_DEFAULT_ADDRESS =
      io.grpc.MethodDescriptor.<com.ywt.gapi.system.GetDoctorAddressRequest, com.ywt.gapi.system.GetDoctorDefaultAddressResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.system.SystemService", "getDoctorDefaultAddress"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.GetDoctorAddressRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.GetDoctorDefaultAddressResponse.getDefaultInstance()))
          .setSchemaDescriptor(new SystemServiceMethodDescriptorSupplier("getDoctorDefaultAddress"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.system.SynchronizingInformationRequest,
      com.ywt.gapi.Result> METHOD_SYNCHRONIZING_INFORMATION =
      io.grpc.MethodDescriptor.<com.ywt.gapi.system.SynchronizingInformationRequest, com.ywt.gapi.Result>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.system.SystemService", "synchronizingInformation"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.SynchronizingInformationRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.Result.getDefaultInstance()))
          .setSchemaDescriptor(new SystemServiceMethodDescriptorSupplier("synchronizingInformation"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.system.GetHospitalRequest,
      com.ywt.gapi.system.GetHospitalResponse> METHOD_GET_HOSPITAL =
      io.grpc.MethodDescriptor.<com.ywt.gapi.system.GetHospitalRequest, com.ywt.gapi.system.GetHospitalResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.system.SystemService", "getHospital"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.GetHospitalRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.GetHospitalResponse.getDefaultInstance()))
          .setSchemaDescriptor(new SystemServiceMethodDescriptorSupplier("getHospital"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.system.SyncTaiheInspectionReportRequest,
      com.ywt.gapi.Result> METHOD_SYNC_TAIHE_INSPECTION_REPORT =
      io.grpc.MethodDescriptor.<com.ywt.gapi.system.SyncTaiheInspectionReportRequest, com.ywt.gapi.Result>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.system.SystemService", "syncTaiheInspectionReport"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.SyncTaiheInspectionReportRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.Result.getDefaultInstance()))
          .setSchemaDescriptor(new SystemServiceMethodDescriptorSupplier("syncTaiheInspectionReport"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.system.SyncTaiheLaboratoryReportRequest,
      com.ywt.gapi.Result> METHOD_SYNC_TAIHE_LABORATORY_REPORT =
      io.grpc.MethodDescriptor.<com.ywt.gapi.system.SyncTaiheLaboratoryReportRequest, com.ywt.gapi.Result>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.system.SystemService", "syncTaiheLaboratoryReport"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.SyncTaiheLaboratoryReportRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.Result.getDefaultInstance()))
          .setSchemaDescriptor(new SystemServiceMethodDescriptorSupplier("syncTaiheLaboratoryReport"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.system.CreateHisAddRegisteredFlagRequest,
      com.ywt.gapi.Result> METHOD_CREATE_HIS_ADD_REGISTERED_FLAG =
      io.grpc.MethodDescriptor.<com.ywt.gapi.system.CreateHisAddRegisteredFlagRequest, com.ywt.gapi.Result>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.system.SystemService", "createHisAddRegisteredFlag"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.CreateHisAddRegisteredFlagRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.Result.getDefaultInstance()))
          .setSchemaDescriptor(new SystemServiceMethodDescriptorSupplier("createHisAddRegisteredFlag"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.system.GetTeamDeptListRequest,
      com.ywt.gapi.system.GetTeamDeptListResponse> METHOD_GET_TEAM_DEPT_LIST =
      io.grpc.MethodDescriptor.<com.ywt.gapi.system.GetTeamDeptListRequest, com.ywt.gapi.system.GetTeamDeptListResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.system.SystemService", "getTeamDeptList"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.GetTeamDeptListRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.GetTeamDeptListResponse.getDefaultInstance()))
          .setSchemaDescriptor(new SystemServiceMethodDescriptorSupplier("getTeamDeptList"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.system.GetHospitalListRequest,
      com.ywt.gapi.system.HospitalListResponse> METHOD_FIND_HOSPITAL_LIST =
      io.grpc.MethodDescriptor.<com.ywt.gapi.system.GetHospitalListRequest, com.ywt.gapi.system.HospitalListResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.system.SystemService", "findHospitalList"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.GetHospitalListRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.HospitalListResponse.getDefaultInstance()))
          .setSchemaDescriptor(new SystemServiceMethodDescriptorSupplier("findHospitalList"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.system.GetHospitalListRequest,
      com.ywt.gapi.system.HospitalListResponse> METHOD_GET_GENERAL_ATTENTION_HOSPITAL_LIST =
      io.grpc.MethodDescriptor.<com.ywt.gapi.system.GetHospitalListRequest, com.ywt.gapi.system.HospitalListResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.system.SystemService", "getGeneralAttentionHospitalList"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.GetHospitalListRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.HospitalListResponse.getDefaultInstance()))
          .setSchemaDescriptor(new SystemServiceMethodDescriptorSupplier("getGeneralAttentionHospitalList"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.system.SaveMiniProgramLogRequest,
      com.ywt.gapi.system.SaveMiniProgramLogResponse> METHOD_SAVE_MINI_PROGRAM_LOG =
      io.grpc.MethodDescriptor.<com.ywt.gapi.system.SaveMiniProgramLogRequest, com.ywt.gapi.system.SaveMiniProgramLogResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.system.SystemService", "saveMiniProgramLog"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.SaveMiniProgramLogRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.SaveMiniProgramLogResponse.getDefaultInstance()))
          .setSchemaDescriptor(new SystemServiceMethodDescriptorSupplier("saveMiniProgramLog"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.system.GetDeptRequest,
      com.ywt.gapi.system.GetDeptResponse> METHOD_GET_DEPT =
      io.grpc.MethodDescriptor.<com.ywt.gapi.system.GetDeptRequest, com.ywt.gapi.system.GetDeptResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.system.SystemService", "getDept"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.GetDeptRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.GetDeptResponse.getDefaultInstance()))
          .setSchemaDescriptor(new SystemServiceMethodDescriptorSupplier("getDept"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.system.HospitalListRequest,
      com.ywt.gapi.system.CloudPlatformHospitalListResponse> METHOD_GET_CLOUD_PLATFORM_HOSPITAL_LIST =
      io.grpc.MethodDescriptor.<com.ywt.gapi.system.HospitalListRequest, com.ywt.gapi.system.CloudPlatformHospitalListResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.system.SystemService", "getCloudPlatformHospitalList"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.HospitalListRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.CloudPlatformHospitalListResponse.getDefaultInstance()))
          .setSchemaDescriptor(new SystemServiceMethodDescriptorSupplier("getCloudPlatformHospitalList"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.system.GetSystemDicTypeItemListByTypeCodeRequest,
      com.ywt.gapi.system.GetSystemDicTypeItemListByTypeCodeResponse> METHOD_GET_SYSTEM_DIC_TYPE_ITEM_LIST_BY_TYPE_CODE =
      io.grpc.MethodDescriptor.<com.ywt.gapi.system.GetSystemDicTypeItemListByTypeCodeRequest, com.ywt.gapi.system.GetSystemDicTypeItemListByTypeCodeResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.system.SystemService", "getSystemDicTypeItemListByTypeCode"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.GetSystemDicTypeItemListByTypeCodeRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.GetSystemDicTypeItemListByTypeCodeResponse.getDefaultInstance()))
          .setSchemaDescriptor(new SystemServiceMethodDescriptorSupplier("getSystemDicTypeItemListByTypeCode"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.system.InvalidateCacheRequest,
      com.ywt.gapi.system.InvalidateCacheResponse> METHOD_INVALIDATE_CACHE =
      io.grpc.MethodDescriptor.<com.ywt.gapi.system.InvalidateCacheRequest, com.ywt.gapi.system.InvalidateCacheResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.system.SystemService", "invalidateCache"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.InvalidateCacheRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.InvalidateCacheResponse.getDefaultInstance()))
          .setSchemaDescriptor(new SystemServiceMethodDescriptorSupplier("invalidateCache"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.system.GetCacheKeysRequest,
      com.ywt.gapi.system.GetCacheKeysResponse> METHOD_GET_CACHE_KEYS =
      io.grpc.MethodDescriptor.<com.ywt.gapi.system.GetCacheKeysRequest, com.ywt.gapi.system.GetCacheKeysResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.system.SystemService", "getCacheKeys"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.GetCacheKeysRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.GetCacheKeysResponse.getDefaultInstance()))
          .setSchemaDescriptor(new SystemServiceMethodDescriptorSupplier("getCacheKeys"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.system.GetConfigByTypeRequest,
      com.ywt.gapi.system.GetConfigByTypeResponse> METHOD_GET_CONFIG_BY_TYPE =
      io.grpc.MethodDescriptor.<com.ywt.gapi.system.GetConfigByTypeRequest, com.ywt.gapi.system.GetConfigByTypeResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.system.SystemService", "getConfigByType"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.GetConfigByTypeRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.GetConfigByTypeResponse.getDefaultInstance()))
          .setSchemaDescriptor(new SystemServiceMethodDescriptorSupplier("getConfigByType"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.system.GetHospitalByHospitalIdsRequest,
      com.ywt.gapi.system.GetHospitalByHospitalIdsResponse> METHOD_GET_HOSPITAL_BY_HOSPITAL_IDS =
      io.grpc.MethodDescriptor.<com.ywt.gapi.system.GetHospitalByHospitalIdsRequest, com.ywt.gapi.system.GetHospitalByHospitalIdsResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.system.SystemService", "getHospitalByHospitalIds"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.GetHospitalByHospitalIdsRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.GetHospitalByHospitalIdsResponse.getDefaultInstance()))
          .setSchemaDescriptor(new SystemServiceMethodDescriptorSupplier("getHospitalByHospitalIds"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.system.SaveGPSRecordRequest,
      com.ywt.gapi.system.SaveGPSRecordResponse> METHOD_SAVE_GPSRECORD =
      io.grpc.MethodDescriptor.<com.ywt.gapi.system.SaveGPSRecordRequest, com.ywt.gapi.system.SaveGPSRecordResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.system.SystemService", "saveGPSRecord"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.SaveGPSRecordRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.SaveGPSRecordResponse.getDefaultInstance()))
          .setSchemaDescriptor(new SystemServiceMethodDescriptorSupplier("saveGPSRecord"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.system.GetConfigByIdRequest,
      com.ywt.gapi.system.GetConfigByIdResponse> METHOD_GET_CONFIG_BY_ID =
      io.grpc.MethodDescriptor.<com.ywt.gapi.system.GetConfigByIdRequest, com.ywt.gapi.system.GetConfigByIdResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.system.SystemService", "getConfigById"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.GetConfigByIdRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.GetConfigByIdResponse.getDefaultInstance()))
          .setSchemaDescriptor(new SystemServiceMethodDescriptorSupplier("getConfigById"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.system.SearchDeptListByNameRequest,
      com.ywt.gapi.system.SearchDeptListByNameResponse> METHOD_SEARCH_DEPT_LIST_BY_NAME =
      io.grpc.MethodDescriptor.<com.ywt.gapi.system.SearchDeptListByNameRequest, com.ywt.gapi.system.SearchDeptListByNameResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.system.SystemService", "searchDeptListByName"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.SearchDeptListByNameRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.SearchDeptListByNameResponse.getDefaultInstance()))
          .setSchemaDescriptor(new SystemServiceMethodDescriptorSupplier("searchDeptListByName"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.system.SearchDoctorListByNameRequest,
      com.ywt.gapi.system.SearchDoctorListByNameResponse> METHOD_SEARCH_DOCTOR_LIST_BY_NAME =
      io.grpc.MethodDescriptor.<com.ywt.gapi.system.SearchDoctorListByNameRequest, com.ywt.gapi.system.SearchDoctorListByNameResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.system.SystemService", "searchDoctorListByName"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.SearchDoctorListByNameRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.SearchDoctorListByNameResponse.getDefaultInstance()))
          .setSchemaDescriptor(new SystemServiceMethodDescriptorSupplier("searchDoctorListByName"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.system.SearchDoctorByNameFromMultiHospRequest,
      com.ywt.gapi.system.SearchDoctorListByNameResponse> METHOD_SEARCH_DOCTOR_BY_NAME_FROM_MULTI_HOSP =
      io.grpc.MethodDescriptor.<com.ywt.gapi.system.SearchDoctorByNameFromMultiHospRequest, com.ywt.gapi.system.SearchDoctorListByNameResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.system.SystemService", "searchDoctorByNameFromMultiHosp"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.SearchDoctorByNameFromMultiHospRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.SearchDoctorListByNameResponse.getDefaultInstance()))
          .setSchemaDescriptor(new SystemServiceMethodDescriptorSupplier("searchDoctorByNameFromMultiHosp"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.system.RetRegisteredAnnouncementRequest,
      com.ywt.gapi.system.RetRegisteredAnnouncementResponse> METHOD_GET_REGISTERED_ANNOUNCEMENT =
      io.grpc.MethodDescriptor.<com.ywt.gapi.system.RetRegisteredAnnouncementRequest, com.ywt.gapi.system.RetRegisteredAnnouncementResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.system.SystemService", "getRegisteredAnnouncement"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.RetRegisteredAnnouncementRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.RetRegisteredAnnouncementResponse.getDefaultInstance()))
          .setSchemaDescriptor(new SystemServiceMethodDescriptorSupplier("getRegisteredAnnouncement"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.system.CheckHasAmbulanceRightRequest,
      com.ywt.gapi.Result> METHOD_CHECK_HAS_AMBULANCE_RIGHT =
      io.grpc.MethodDescriptor.<com.ywt.gapi.system.CheckHasAmbulanceRightRequest, com.ywt.gapi.Result>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.system.SystemService", "checkHasAmbulanceRight"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.CheckHasAmbulanceRightRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.Result.getDefaultInstance()))
          .setSchemaDescriptor(new SystemServiceMethodDescriptorSupplier("checkHasAmbulanceRight"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.system.SaveAmbulanceLocationRequest,
      com.ywt.gapi.Result> METHOD_SAVE_AMBULANCE_LOCATION =
      io.grpc.MethodDescriptor.<com.ywt.gapi.system.SaveAmbulanceLocationRequest, com.ywt.gapi.Result>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.system.SystemService", "saveAmbulanceLocation"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.SaveAmbulanceLocationRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.Result.getDefaultInstance()))
          .setSchemaDescriptor(new SystemServiceMethodDescriptorSupplier("saveAmbulanceLocation"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.system.CommonAnnouncementRequest,
      com.ywt.gapi.system.CommonAnnouncementResponse> METHOD_SHOW_COMMON_ANNOUNCEMENT =
      io.grpc.MethodDescriptor.<com.ywt.gapi.system.CommonAnnouncementRequest, com.ywt.gapi.system.CommonAnnouncementResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.system.SystemService", "showCommonAnnouncement"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.CommonAnnouncementRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.system.CommonAnnouncementResponse.getDefaultInstance()))
          .setSchemaDescriptor(new SystemServiceMethodDescriptorSupplier("showCommonAnnouncement"))
          .build();

  /**
   * Creates a new async stub that supports all call types for the service
   */
  public static SystemServiceStub newStub(io.grpc.Channel channel) {
    return new SystemServiceStub(channel);
  }

  /**
   * Creates a new blocking-style stub that supports unary and streaming output calls on the service
   */
  public static SystemServiceBlockingStub newBlockingStub(
      io.grpc.Channel channel) {
    return new SystemServiceBlockingStub(channel);
  }

  /**
   * Creates a new ListenableFuture-style stub that supports unary calls on the service
   */
  public static SystemServiceFutureStub newFutureStub(
      io.grpc.Channel channel) {
    return new SystemServiceFutureStub(channel);
  }

  /**
   * <pre>
   * 对应 rpc 项目的 SystemServiceImpl 类
   * </pre>
   */
  public static abstract class SystemServiceImplBase implements io.grpc.BindableService {

    /**
     * <pre>
     *获取医院列表
     * </pre>
     */
    public void getHospitalList(com.ywt.gapi.system.HospitalListRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.HospitalListResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_GET_HOSPITAL_LIST, responseObserver);
    }

    /**
     * <pre>
     *获取医院科室列表
     * </pre>
     */
    public void getDeptList(com.ywt.gapi.system.DeptListRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.DeptListResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_GET_DEPT_LIST, responseObserver);
    }

    /**
     * <pre>
     *获取医院所有科室列表
     * </pre>
     */
    public void getHospitalDeptList(com.ywt.gapi.system.HospitalDeptListRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.HospitalDeptListResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_GET_HOSPITAL_DEPT_LIST, responseObserver);
    }

    /**
     * <pre>
     *检测APP是否需要更新
     * </pre>
     */
    public void checkAppVersion(com.ywt.gapi.system.CheckAppVersionRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.CheckAppVersionResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_CHECK_APP_VERSION, responseObserver);
    }

    /**
     * <pre>
     *获取地区列表
     * </pre>
     */
    public void getAreaList(com.ywt.gapi.system.GetAreaListRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.GetAreaListResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_GET_AREA_LIST, responseObserver);
    }

    /**
     * <pre>
     *获取地址列表
     * </pre>
     */
    public void getAddressList(com.ywt.gapi.system.GetAddressListRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.GetAddressListResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_GET_ADDRESS_LIST, responseObserver);
    }

    /**
     * <pre>
     *保存收货地址
     * </pre>
     */
    public void saveAddress(com.ywt.gapi.system.SaveAddressRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.SaveAddressResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_SAVE_ADDRESS, responseObserver);
    }

    /**
     * <pre>
     *删除收货地址
     * </pre>
     */
    public void deleteAddress(com.ywt.gapi.system.DeleteAddressRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.Result> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_DELETE_ADDRESS, responseObserver);
    }

    /**
     * <pre>
     *获取地址详情
     * </pre>
     */
    public void getAddress(com.ywt.gapi.system.GetAddressRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.GetAddressResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_GET_ADDRESS, responseObserver);
    }

    /**
     * <pre>
     *获取地区列表（树状结构）
     * </pre>
     */
    public void getAreaTreeNodeList(com.ywt.gapi.system.GetAreaTreeNodeListRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.GetAreaTreeNodeListResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_GET_AREA_TREE_NODE_LIST, responseObserver);
    }

    /**
     * <pre>
     *获取地区
     * </pre>
     */
    public void getAppAreaList(com.ywt.gapi.system.AreaListRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.AreaListResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_GET_APP_AREA_LIST, responseObserver);
    }

    /**
     * <pre>
     *根据地区获取医院列表
     * </pre>
     */
    public void getAreaHospitalList(com.ywt.gapi.system.AreaHospitalListRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.AreaHospitalListResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_GET_AREA_HOSPITAL_LIST, responseObserver);
    }

    /**
     * <pre>
     *获取微信配置
     * </pre>
     */
    public void getWeChatConfig(com.ywt.gapi.system.GetWeChatConfigRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.GetWeChatConfigResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_GET_WE_CHAT_CONFIG, responseObserver);
    }

    /**
     * <pre>
     *根据医达科室Code获取科室信息
     * </pre>
     */
    public void getDeptByYiDaCode(com.ywt.gapi.system.GetDeptByYiDaCodeRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.GetDeptByYiDaCodeResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_GET_DEPT_BY_YI_DA_CODE, responseObserver);
    }

    /**
     */
    public void getYiDaDoctorCode(com.ywt.gapi.system.GetYiDaDoctorCodeRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.GetYiDaDoctorCodeResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_GET_YI_DA_DOCTOR_CODE, responseObserver);
    }

    /**
     * <pre>
     *获取国际疾病分类
     * </pre>
     */
    public void getIcdCodeList(com.ywt.gapi.system.GetIcdCodeListRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.GetIcdCodeListResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_GET_ICD_CODE_LIST, responseObserver);
    }

    /**
     * <pre>
     *得到所有地区集合，包括区、县
     * </pre>
     */
    public void getAllAreaList(com.ywt.gapi.system.GetAreaListRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.GetAreaListResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_GET_ALL_AREA_LIST, responseObserver);
    }

    /**
     * <pre>
     *获取医生地址列表 create by daiyihua
     * </pre>
     */
    public void getDoctorAddressList(com.ywt.gapi.system.GetAddressListRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.GetAddressListResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_GET_DOCTOR_ADDRESS_LIST, responseObserver);
    }

    /**
     * <pre>
     *医生保存地址 create by daiyihua
     * </pre>
     */
    public void doctorSaveAddress(com.ywt.gapi.system.SaveAddressRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.Result> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_DOCTOR_SAVE_ADDRESS, responseObserver);
    }

    /**
     * <pre>
     *医生设置默认地址 create by daiyihua
     * </pre>
     */
    public void settingDefaultAddress(com.ywt.gapi.system.SettingDefaultAddressRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.Result> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_SETTING_DEFAULT_ADDRESS, responseObserver);
    }

    /**
     * <pre>
     *获取消息模板列表
     * </pre>
     */
    public void getMsgTplListByModule(com.ywt.gapi.system.GetMsgTplListByModuleRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.GetMsgTplListByModuleResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_GET_MSG_TPL_LIST_BY_MODULE, responseObserver);
    }

    /**
     * <pre>
     *得到医生默认或最近添加的地址  create by daiyhua
     * </pre>
     */
    public void getDoctorDefaultAddress(com.ywt.gapi.system.GetDoctorAddressRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.GetDoctorDefaultAddressResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_GET_DOCTOR_DEFAULT_ADDRESS, responseObserver);
    }

    /**
     * <pre>
     *同步诊疗卡信息		create by daiyihua
     * </pre>
     */
    public void synchronizingInformation(com.ywt.gapi.system.SynchronizingInformationRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.Result> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_SYNCHRONIZING_INFORMATION, responseObserver);
    }

    /**
     * <pre>
     *根据医院ID得到医院信息		create by daiyihua
     * </pre>
     */
    public void getHospital(com.ywt.gapi.system.GetHospitalRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.GetHospitalResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_GET_HOSPITAL, responseObserver);
    }

    /**
     * <pre>
     *同步太和检查结果
     * </pre>
     */
    public void syncTaiheInspectionReport(com.ywt.gapi.system.SyncTaiheInspectionReportRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.Result> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_SYNC_TAIHE_INSPECTION_REPORT, responseObserver);
    }

    /**
     * <pre>
     *同步太和检验结果
     * </pre>
     */
    public void syncTaiheLaboratoryReport(com.ywt.gapi.system.SyncTaiheLaboratoryReportRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.Result> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_SYNC_TAIHE_LABORATORY_REPORT, responseObserver);
    }

    /**
     */
    public void createHisAddRegisteredFlag(com.ywt.gapi.system.CreateHisAddRegisteredFlagRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.Result> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_CREATE_HIS_ADD_REGISTERED_FLAG, responseObserver);
    }

    /**
     * <pre>
     *医生团队（展示的）领衔医生所在的一级科室
     * </pre>
     */
    public void getTeamDeptList(com.ywt.gapi.system.GetTeamDeptListRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.GetTeamDeptListResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_GET_TEAM_DEPT_LIST, responseObserver);
    }

    /**
     * <pre>
     *根据条件查找医院列表
     * </pre>
     */
    public void findHospitalList(com.ywt.gapi.system.GetHospitalListRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.HospitalListResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_FIND_HOSPITAL_LIST, responseObserver);
    }

    /**
     * <pre>
     *得到普通用户关注的医院列表
     * </pre>
     */
    public void getGeneralAttentionHospitalList(com.ywt.gapi.system.GetHospitalListRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.HospitalListResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_GET_GENERAL_ATTENTION_HOSPITAL_LIST, responseObserver);
    }

    /**
     * <pre>
     *保存小程序日志
     * </pre>
     */
    public void saveMiniProgramLog(com.ywt.gapi.system.SaveMiniProgramLogRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.SaveMiniProgramLogResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_SAVE_MINI_PROGRAM_LOG, responseObserver);
    }

    /**
     * <pre>
     *获取科室
     * </pre>
     */
    public void getDept(com.ywt.gapi.system.GetDeptRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.GetDeptResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_GET_DEPT, responseObserver);
    }

    /**
     * <pre>
     *得到医务通云平台首页医院列表
     * </pre>
     */
    public void getCloudPlatformHospitalList(com.ywt.gapi.system.HospitalListRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.CloudPlatformHospitalListResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_GET_CLOUD_PLATFORM_HOSPITAL_LIST, responseObserver);
    }

    /**
     * <pre>
     * 获取系统字典
     * </pre>
     */
    public void getSystemDicTypeItemListByTypeCode(com.ywt.gapi.system.GetSystemDicTypeItemListByTypeCodeRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.GetSystemDicTypeItemListByTypeCodeResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_GET_SYSTEM_DIC_TYPE_ITEM_LIST_BY_TYPE_CODE, responseObserver);
    }

    /**
     * <pre>
     * 清除缓存
     * </pre>
     */
    public void invalidateCache(com.ywt.gapi.system.InvalidateCacheRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.InvalidateCacheResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_INVALIDATE_CACHE, responseObserver);
    }

    /**
     * <pre>
     * 获取缓存 keys
     * </pre>
     */
    public void getCacheKeys(com.ywt.gapi.system.GetCacheKeysRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.GetCacheKeysResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_GET_CACHE_KEYS, responseObserver);
    }

    /**
     * <pre>
     * 获取配置的内容
     * </pre>
     */
    public void getConfigByType(com.ywt.gapi.system.GetConfigByTypeRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.GetConfigByTypeResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_GET_CONFIG_BY_TYPE, responseObserver);
    }

    /**
     * <pre>
     * 根据医院IDs得到医院信息		
     * </pre>
     */
    public void getHospitalByHospitalIds(com.ywt.gapi.system.GetHospitalByHospitalIdsRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.GetHospitalByHospitalIdsResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_GET_HOSPITAL_BY_HOSPITAL_IDS, responseObserver);
    }

    /**
     * <pre>
     * 保存GPS记录
     * </pre>
     */
    public void saveGPSRecord(com.ywt.gapi.system.SaveGPSRecordRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.SaveGPSRecordResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_SAVE_GPSRECORD, responseObserver);
    }

    /**
     * <pre>
     * 根据配置ID获取配置信息
     * </pre>
     */
    public void getConfigById(com.ywt.gapi.system.GetConfigByIdRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.GetConfigByIdResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_GET_CONFIG_BY_ID, responseObserver);
    }

    /**
     * <pre>
     * 根据名称获取科室列表
     * </pre>
     */
    public void searchDeptListByName(com.ywt.gapi.system.SearchDeptListByNameRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.SearchDeptListByNameResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_SEARCH_DEPT_LIST_BY_NAME, responseObserver);
    }

    /**
     * <pre>
     * 根据名称获取医生列表
     * </pre>
     */
    public void searchDoctorListByName(com.ywt.gapi.system.SearchDoctorListByNameRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.SearchDoctorListByNameResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_SEARCH_DOCTOR_LIST_BY_NAME, responseObserver);
    }

    /**
     * <pre>
     * 根据姓名从多个医院查找医生
     * </pre>
     */
    public void searchDoctorByNameFromMultiHosp(com.ywt.gapi.system.SearchDoctorByNameFromMultiHospRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.SearchDoctorListByNameResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_SEARCH_DOCTOR_BY_NAME_FROM_MULTI_HOSP, responseObserver);
    }

    /**
     * <pre>
     * 得到预约挂号公告信息
     * </pre>
     */
    public void getRegisteredAnnouncement(com.ywt.gapi.system.RetRegisteredAnnouncementRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.RetRegisteredAnnouncementResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_GET_REGISTERED_ANNOUNCEMENT, responseObserver);
    }

    /**
     * <pre>
     * 判断是否有救护车的权限
     * </pre>
     */
    public void checkHasAmbulanceRight(com.ywt.gapi.system.CheckHasAmbulanceRightRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.Result> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_CHECK_HAS_AMBULANCE_RIGHT, responseObserver);
    }

    /**
     * <pre>
     * 记录救护车位置
     * </pre>
     */
    public void saveAmbulanceLocation(com.ywt.gapi.system.SaveAmbulanceLocationRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.Result> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_SAVE_AMBULANCE_LOCATION, responseObserver);
    }

    /**
     * <pre>
     *须知展示
     * </pre>
     */
    public void showCommonAnnouncement(com.ywt.gapi.system.CommonAnnouncementRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.CommonAnnouncementResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_SHOW_COMMON_ANNOUNCEMENT, responseObserver);
    }

    @java.lang.Override public final io.grpc.ServerServiceDefinition bindService() {
      return io.grpc.ServerServiceDefinition.builder(getServiceDescriptor())
          .addMethod(
            METHOD_GET_HOSPITAL_LIST,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.system.HospitalListRequest,
                com.ywt.gapi.system.HospitalListResponse>(
                  this, METHODID_GET_HOSPITAL_LIST)))
          .addMethod(
            METHOD_GET_DEPT_LIST,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.system.DeptListRequest,
                com.ywt.gapi.system.DeptListResponse>(
                  this, METHODID_GET_DEPT_LIST)))
          .addMethod(
            METHOD_GET_HOSPITAL_DEPT_LIST,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.system.HospitalDeptListRequest,
                com.ywt.gapi.system.HospitalDeptListResponse>(
                  this, METHODID_GET_HOSPITAL_DEPT_LIST)))
          .addMethod(
            METHOD_CHECK_APP_VERSION,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.system.CheckAppVersionRequest,
                com.ywt.gapi.system.CheckAppVersionResponse>(
                  this, METHODID_CHECK_APP_VERSION)))
          .addMethod(
            METHOD_GET_AREA_LIST,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.system.GetAreaListRequest,
                com.ywt.gapi.system.GetAreaListResponse>(
                  this, METHODID_GET_AREA_LIST)))
          .addMethod(
            METHOD_GET_ADDRESS_LIST,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.system.GetAddressListRequest,
                com.ywt.gapi.system.GetAddressListResponse>(
                  this, METHODID_GET_ADDRESS_LIST)))
          .addMethod(
            METHOD_SAVE_ADDRESS,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.system.SaveAddressRequest,
                com.ywt.gapi.system.SaveAddressResponse>(
                  this, METHODID_SAVE_ADDRESS)))
          .addMethod(
            METHOD_DELETE_ADDRESS,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.system.DeleteAddressRequest,
                com.ywt.gapi.Result>(
                  this, METHODID_DELETE_ADDRESS)))
          .addMethod(
            METHOD_GET_ADDRESS,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.system.GetAddressRequest,
                com.ywt.gapi.system.GetAddressResponse>(
                  this, METHODID_GET_ADDRESS)))
          .addMethod(
            METHOD_GET_AREA_TREE_NODE_LIST,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.system.GetAreaTreeNodeListRequest,
                com.ywt.gapi.system.GetAreaTreeNodeListResponse>(
                  this, METHODID_GET_AREA_TREE_NODE_LIST)))
          .addMethod(
            METHOD_GET_APP_AREA_LIST,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.system.AreaListRequest,
                com.ywt.gapi.system.AreaListResponse>(
                  this, METHODID_GET_APP_AREA_LIST)))
          .addMethod(
            METHOD_GET_AREA_HOSPITAL_LIST,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.system.AreaHospitalListRequest,
                com.ywt.gapi.system.AreaHospitalListResponse>(
                  this, METHODID_GET_AREA_HOSPITAL_LIST)))
          .addMethod(
            METHOD_GET_WE_CHAT_CONFIG,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.system.GetWeChatConfigRequest,
                com.ywt.gapi.system.GetWeChatConfigResponse>(
                  this, METHODID_GET_WE_CHAT_CONFIG)))
          .addMethod(
            METHOD_GET_DEPT_BY_YI_DA_CODE,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.system.GetDeptByYiDaCodeRequest,
                com.ywt.gapi.system.GetDeptByYiDaCodeResponse>(
                  this, METHODID_GET_DEPT_BY_YI_DA_CODE)))
          .addMethod(
            METHOD_GET_YI_DA_DOCTOR_CODE,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.system.GetYiDaDoctorCodeRequest,
                com.ywt.gapi.system.GetYiDaDoctorCodeResponse>(
                  this, METHODID_GET_YI_DA_DOCTOR_CODE)))
          .addMethod(
            METHOD_GET_ICD_CODE_LIST,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.system.GetIcdCodeListRequest,
                com.ywt.gapi.system.GetIcdCodeListResponse>(
                  this, METHODID_GET_ICD_CODE_LIST)))
          .addMethod(
            METHOD_GET_ALL_AREA_LIST,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.system.GetAreaListRequest,
                com.ywt.gapi.system.GetAreaListResponse>(
                  this, METHODID_GET_ALL_AREA_LIST)))
          .addMethod(
            METHOD_GET_DOCTOR_ADDRESS_LIST,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.system.GetAddressListRequest,
                com.ywt.gapi.system.GetAddressListResponse>(
                  this, METHODID_GET_DOCTOR_ADDRESS_LIST)))
          .addMethod(
            METHOD_DOCTOR_SAVE_ADDRESS,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.system.SaveAddressRequest,
                com.ywt.gapi.Result>(
                  this, METHODID_DOCTOR_SAVE_ADDRESS)))
          .addMethod(
            METHOD_SETTING_DEFAULT_ADDRESS,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.system.SettingDefaultAddressRequest,
                com.ywt.gapi.Result>(
                  this, METHODID_SETTING_DEFAULT_ADDRESS)))
          .addMethod(
            METHOD_GET_MSG_TPL_LIST_BY_MODULE,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.system.GetMsgTplListByModuleRequest,
                com.ywt.gapi.system.GetMsgTplListByModuleResponse>(
                  this, METHODID_GET_MSG_TPL_LIST_BY_MODULE)))
          .addMethod(
            METHOD_GET_DOCTOR_DEFAULT_ADDRESS,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.system.GetDoctorAddressRequest,
                com.ywt.gapi.system.GetDoctorDefaultAddressResponse>(
                  this, METHODID_GET_DOCTOR_DEFAULT_ADDRESS)))
          .addMethod(
            METHOD_SYNCHRONIZING_INFORMATION,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.system.SynchronizingInformationRequest,
                com.ywt.gapi.Result>(
                  this, METHODID_SYNCHRONIZING_INFORMATION)))
          .addMethod(
            METHOD_GET_HOSPITAL,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.system.GetHospitalRequest,
                com.ywt.gapi.system.GetHospitalResponse>(
                  this, METHODID_GET_HOSPITAL)))
          .addMethod(
            METHOD_SYNC_TAIHE_INSPECTION_REPORT,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.system.SyncTaiheInspectionReportRequest,
                com.ywt.gapi.Result>(
                  this, METHODID_SYNC_TAIHE_INSPECTION_REPORT)))
          .addMethod(
            METHOD_SYNC_TAIHE_LABORATORY_REPORT,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.system.SyncTaiheLaboratoryReportRequest,
                com.ywt.gapi.Result>(
                  this, METHODID_SYNC_TAIHE_LABORATORY_REPORT)))
          .addMethod(
            METHOD_CREATE_HIS_ADD_REGISTERED_FLAG,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.system.CreateHisAddRegisteredFlagRequest,
                com.ywt.gapi.Result>(
                  this, METHODID_CREATE_HIS_ADD_REGISTERED_FLAG)))
          .addMethod(
            METHOD_GET_TEAM_DEPT_LIST,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.system.GetTeamDeptListRequest,
                com.ywt.gapi.system.GetTeamDeptListResponse>(
                  this, METHODID_GET_TEAM_DEPT_LIST)))
          .addMethod(
            METHOD_FIND_HOSPITAL_LIST,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.system.GetHospitalListRequest,
                com.ywt.gapi.system.HospitalListResponse>(
                  this, METHODID_FIND_HOSPITAL_LIST)))
          .addMethod(
            METHOD_GET_GENERAL_ATTENTION_HOSPITAL_LIST,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.system.GetHospitalListRequest,
                com.ywt.gapi.system.HospitalListResponse>(
                  this, METHODID_GET_GENERAL_ATTENTION_HOSPITAL_LIST)))
          .addMethod(
            METHOD_SAVE_MINI_PROGRAM_LOG,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.system.SaveMiniProgramLogRequest,
                com.ywt.gapi.system.SaveMiniProgramLogResponse>(
                  this, METHODID_SAVE_MINI_PROGRAM_LOG)))
          .addMethod(
            METHOD_GET_DEPT,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.system.GetDeptRequest,
                com.ywt.gapi.system.GetDeptResponse>(
                  this, METHODID_GET_DEPT)))
          .addMethod(
            METHOD_GET_CLOUD_PLATFORM_HOSPITAL_LIST,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.system.HospitalListRequest,
                com.ywt.gapi.system.CloudPlatformHospitalListResponse>(
                  this, METHODID_GET_CLOUD_PLATFORM_HOSPITAL_LIST)))
          .addMethod(
            METHOD_GET_SYSTEM_DIC_TYPE_ITEM_LIST_BY_TYPE_CODE,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.system.GetSystemDicTypeItemListByTypeCodeRequest,
                com.ywt.gapi.system.GetSystemDicTypeItemListByTypeCodeResponse>(
                  this, METHODID_GET_SYSTEM_DIC_TYPE_ITEM_LIST_BY_TYPE_CODE)))
          .addMethod(
            METHOD_INVALIDATE_CACHE,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.system.InvalidateCacheRequest,
                com.ywt.gapi.system.InvalidateCacheResponse>(
                  this, METHODID_INVALIDATE_CACHE)))
          .addMethod(
            METHOD_GET_CACHE_KEYS,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.system.GetCacheKeysRequest,
                com.ywt.gapi.system.GetCacheKeysResponse>(
                  this, METHODID_GET_CACHE_KEYS)))
          .addMethod(
            METHOD_GET_CONFIG_BY_TYPE,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.system.GetConfigByTypeRequest,
                com.ywt.gapi.system.GetConfigByTypeResponse>(
                  this, METHODID_GET_CONFIG_BY_TYPE)))
          .addMethod(
            METHOD_GET_HOSPITAL_BY_HOSPITAL_IDS,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.system.GetHospitalByHospitalIdsRequest,
                com.ywt.gapi.system.GetHospitalByHospitalIdsResponse>(
                  this, METHODID_GET_HOSPITAL_BY_HOSPITAL_IDS)))
          .addMethod(
            METHOD_SAVE_GPSRECORD,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.system.SaveGPSRecordRequest,
                com.ywt.gapi.system.SaveGPSRecordResponse>(
                  this, METHODID_SAVE_GPSRECORD)))
          .addMethod(
            METHOD_GET_CONFIG_BY_ID,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.system.GetConfigByIdRequest,
                com.ywt.gapi.system.GetConfigByIdResponse>(
                  this, METHODID_GET_CONFIG_BY_ID)))
          .addMethod(
            METHOD_SEARCH_DEPT_LIST_BY_NAME,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.system.SearchDeptListByNameRequest,
                com.ywt.gapi.system.SearchDeptListByNameResponse>(
                  this, METHODID_SEARCH_DEPT_LIST_BY_NAME)))
          .addMethod(
            METHOD_SEARCH_DOCTOR_LIST_BY_NAME,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.system.SearchDoctorListByNameRequest,
                com.ywt.gapi.system.SearchDoctorListByNameResponse>(
                  this, METHODID_SEARCH_DOCTOR_LIST_BY_NAME)))
          .addMethod(
            METHOD_SEARCH_DOCTOR_BY_NAME_FROM_MULTI_HOSP,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.system.SearchDoctorByNameFromMultiHospRequest,
                com.ywt.gapi.system.SearchDoctorListByNameResponse>(
                  this, METHODID_SEARCH_DOCTOR_BY_NAME_FROM_MULTI_HOSP)))
          .addMethod(
            METHOD_GET_REGISTERED_ANNOUNCEMENT,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.system.RetRegisteredAnnouncementRequest,
                com.ywt.gapi.system.RetRegisteredAnnouncementResponse>(
                  this, METHODID_GET_REGISTERED_ANNOUNCEMENT)))
          .addMethod(
            METHOD_CHECK_HAS_AMBULANCE_RIGHT,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.system.CheckHasAmbulanceRightRequest,
                com.ywt.gapi.Result>(
                  this, METHODID_CHECK_HAS_AMBULANCE_RIGHT)))
          .addMethod(
            METHOD_SAVE_AMBULANCE_LOCATION,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.system.SaveAmbulanceLocationRequest,
                com.ywt.gapi.Result>(
                  this, METHODID_SAVE_AMBULANCE_LOCATION)))
          .addMethod(
            METHOD_SHOW_COMMON_ANNOUNCEMENT,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.system.CommonAnnouncementRequest,
                com.ywt.gapi.system.CommonAnnouncementResponse>(
                  this, METHODID_SHOW_COMMON_ANNOUNCEMENT)))
          .build();
    }
  }

  /**
   * <pre>
   * 对应 rpc 项目的 SystemServiceImpl 类
   * </pre>
   */
  public static final class SystemServiceStub extends io.grpc.stub.AbstractStub<SystemServiceStub> {
    private SystemServiceStub(io.grpc.Channel channel) {
      super(channel);
    }

    private SystemServiceStub(io.grpc.Channel channel,
        io.grpc.CallOptions callOptions) {
      super(channel, callOptions);
    }

    @java.lang.Override
    protected SystemServiceStub build(io.grpc.Channel channel,
        io.grpc.CallOptions callOptions) {
      return new SystemServiceStub(channel, callOptions);
    }

    /**
     * <pre>
     *获取医院列表
     * </pre>
     */
    public void getHospitalList(com.ywt.gapi.system.HospitalListRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.HospitalListResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_GET_HOSPITAL_LIST, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     *获取医院科室列表
     * </pre>
     */
    public void getDeptList(com.ywt.gapi.system.DeptListRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.DeptListResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_GET_DEPT_LIST, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     *获取医院所有科室列表
     * </pre>
     */
    public void getHospitalDeptList(com.ywt.gapi.system.HospitalDeptListRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.HospitalDeptListResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_GET_HOSPITAL_DEPT_LIST, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     *检测APP是否需要更新
     * </pre>
     */
    public void checkAppVersion(com.ywt.gapi.system.CheckAppVersionRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.CheckAppVersionResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_CHECK_APP_VERSION, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     *获取地区列表
     * </pre>
     */
    public void getAreaList(com.ywt.gapi.system.GetAreaListRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.GetAreaListResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_GET_AREA_LIST, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     *获取地址列表
     * </pre>
     */
    public void getAddressList(com.ywt.gapi.system.GetAddressListRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.GetAddressListResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_GET_ADDRESS_LIST, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     *保存收货地址
     * </pre>
     */
    public void saveAddress(com.ywt.gapi.system.SaveAddressRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.SaveAddressResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_SAVE_ADDRESS, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     *删除收货地址
     * </pre>
     */
    public void deleteAddress(com.ywt.gapi.system.DeleteAddressRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.Result> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_DELETE_ADDRESS, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     *获取地址详情
     * </pre>
     */
    public void getAddress(com.ywt.gapi.system.GetAddressRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.GetAddressResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_GET_ADDRESS, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     *获取地区列表（树状结构）
     * </pre>
     */
    public void getAreaTreeNodeList(com.ywt.gapi.system.GetAreaTreeNodeListRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.GetAreaTreeNodeListResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_GET_AREA_TREE_NODE_LIST, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     *获取地区
     * </pre>
     */
    public void getAppAreaList(com.ywt.gapi.system.AreaListRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.AreaListResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_GET_APP_AREA_LIST, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     *根据地区获取医院列表
     * </pre>
     */
    public void getAreaHospitalList(com.ywt.gapi.system.AreaHospitalListRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.AreaHospitalListResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_GET_AREA_HOSPITAL_LIST, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     *获取微信配置
     * </pre>
     */
    public void getWeChatConfig(com.ywt.gapi.system.GetWeChatConfigRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.GetWeChatConfigResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_GET_WE_CHAT_CONFIG, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     *根据医达科室Code获取科室信息
     * </pre>
     */
    public void getDeptByYiDaCode(com.ywt.gapi.system.GetDeptByYiDaCodeRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.GetDeptByYiDaCodeResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_GET_DEPT_BY_YI_DA_CODE, getCallOptions()), request, responseObserver);
    }

    /**
     */
    public void getYiDaDoctorCode(com.ywt.gapi.system.GetYiDaDoctorCodeRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.GetYiDaDoctorCodeResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_GET_YI_DA_DOCTOR_CODE, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     *获取国际疾病分类
     * </pre>
     */
    public void getIcdCodeList(com.ywt.gapi.system.GetIcdCodeListRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.GetIcdCodeListResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_GET_ICD_CODE_LIST, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     *得到所有地区集合，包括区、县
     * </pre>
     */
    public void getAllAreaList(com.ywt.gapi.system.GetAreaListRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.GetAreaListResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_GET_ALL_AREA_LIST, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     *获取医生地址列表 create by daiyihua
     * </pre>
     */
    public void getDoctorAddressList(com.ywt.gapi.system.GetAddressListRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.GetAddressListResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_GET_DOCTOR_ADDRESS_LIST, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     *医生保存地址 create by daiyihua
     * </pre>
     */
    public void doctorSaveAddress(com.ywt.gapi.system.SaveAddressRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.Result> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_DOCTOR_SAVE_ADDRESS, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     *医生设置默认地址 create by daiyihua
     * </pre>
     */
    public void settingDefaultAddress(com.ywt.gapi.system.SettingDefaultAddressRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.Result> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_SETTING_DEFAULT_ADDRESS, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     *获取消息模板列表
     * </pre>
     */
    public void getMsgTplListByModule(com.ywt.gapi.system.GetMsgTplListByModuleRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.GetMsgTplListByModuleResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_GET_MSG_TPL_LIST_BY_MODULE, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     *得到医生默认或最近添加的地址  create by daiyhua
     * </pre>
     */
    public void getDoctorDefaultAddress(com.ywt.gapi.system.GetDoctorAddressRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.GetDoctorDefaultAddressResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_GET_DOCTOR_DEFAULT_ADDRESS, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     *同步诊疗卡信息		create by daiyihua
     * </pre>
     */
    public void synchronizingInformation(com.ywt.gapi.system.SynchronizingInformationRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.Result> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_SYNCHRONIZING_INFORMATION, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     *根据医院ID得到医院信息		create by daiyihua
     * </pre>
     */
    public void getHospital(com.ywt.gapi.system.GetHospitalRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.GetHospitalResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_GET_HOSPITAL, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     *同步太和检查结果
     * </pre>
     */
    public void syncTaiheInspectionReport(com.ywt.gapi.system.SyncTaiheInspectionReportRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.Result> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_SYNC_TAIHE_INSPECTION_REPORT, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     *同步太和检验结果
     * </pre>
     */
    public void syncTaiheLaboratoryReport(com.ywt.gapi.system.SyncTaiheLaboratoryReportRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.Result> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_SYNC_TAIHE_LABORATORY_REPORT, getCallOptions()), request, responseObserver);
    }

    /**
     */
    public void createHisAddRegisteredFlag(com.ywt.gapi.system.CreateHisAddRegisteredFlagRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.Result> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_CREATE_HIS_ADD_REGISTERED_FLAG, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     *医生团队（展示的）领衔医生所在的一级科室
     * </pre>
     */
    public void getTeamDeptList(com.ywt.gapi.system.GetTeamDeptListRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.GetTeamDeptListResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_GET_TEAM_DEPT_LIST, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     *根据条件查找医院列表
     * </pre>
     */
    public void findHospitalList(com.ywt.gapi.system.GetHospitalListRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.HospitalListResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_FIND_HOSPITAL_LIST, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     *得到普通用户关注的医院列表
     * </pre>
     */
    public void getGeneralAttentionHospitalList(com.ywt.gapi.system.GetHospitalListRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.HospitalListResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_GET_GENERAL_ATTENTION_HOSPITAL_LIST, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     *保存小程序日志
     * </pre>
     */
    public void saveMiniProgramLog(com.ywt.gapi.system.SaveMiniProgramLogRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.SaveMiniProgramLogResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_SAVE_MINI_PROGRAM_LOG, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     *获取科室
     * </pre>
     */
    public void getDept(com.ywt.gapi.system.GetDeptRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.GetDeptResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_GET_DEPT, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     *得到医务通云平台首页医院列表
     * </pre>
     */
    public void getCloudPlatformHospitalList(com.ywt.gapi.system.HospitalListRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.CloudPlatformHospitalListResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_GET_CLOUD_PLATFORM_HOSPITAL_LIST, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     * 获取系统字典
     * </pre>
     */
    public void getSystemDicTypeItemListByTypeCode(com.ywt.gapi.system.GetSystemDicTypeItemListByTypeCodeRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.GetSystemDicTypeItemListByTypeCodeResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_GET_SYSTEM_DIC_TYPE_ITEM_LIST_BY_TYPE_CODE, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     * 清除缓存
     * </pre>
     */
    public void invalidateCache(com.ywt.gapi.system.InvalidateCacheRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.InvalidateCacheResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_INVALIDATE_CACHE, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     * 获取缓存 keys
     * </pre>
     */
    public void getCacheKeys(com.ywt.gapi.system.GetCacheKeysRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.GetCacheKeysResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_GET_CACHE_KEYS, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     * 获取配置的内容
     * </pre>
     */
    public void getConfigByType(com.ywt.gapi.system.GetConfigByTypeRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.GetConfigByTypeResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_GET_CONFIG_BY_TYPE, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     * 根据医院IDs得到医院信息		
     * </pre>
     */
    public void getHospitalByHospitalIds(com.ywt.gapi.system.GetHospitalByHospitalIdsRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.GetHospitalByHospitalIdsResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_GET_HOSPITAL_BY_HOSPITAL_IDS, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     * 保存GPS记录
     * </pre>
     */
    public void saveGPSRecord(com.ywt.gapi.system.SaveGPSRecordRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.SaveGPSRecordResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_SAVE_GPSRECORD, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     * 根据配置ID获取配置信息
     * </pre>
     */
    public void getConfigById(com.ywt.gapi.system.GetConfigByIdRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.GetConfigByIdResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_GET_CONFIG_BY_ID, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     * 根据名称获取科室列表
     * </pre>
     */
    public void searchDeptListByName(com.ywt.gapi.system.SearchDeptListByNameRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.SearchDeptListByNameResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_SEARCH_DEPT_LIST_BY_NAME, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     * 根据名称获取医生列表
     * </pre>
     */
    public void searchDoctorListByName(com.ywt.gapi.system.SearchDoctorListByNameRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.SearchDoctorListByNameResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_SEARCH_DOCTOR_LIST_BY_NAME, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     * 根据姓名从多个医院查找医生
     * </pre>
     */
    public void searchDoctorByNameFromMultiHosp(com.ywt.gapi.system.SearchDoctorByNameFromMultiHospRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.SearchDoctorListByNameResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_SEARCH_DOCTOR_BY_NAME_FROM_MULTI_HOSP, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     * 得到预约挂号公告信息
     * </pre>
     */
    public void getRegisteredAnnouncement(com.ywt.gapi.system.RetRegisteredAnnouncementRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.RetRegisteredAnnouncementResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_GET_REGISTERED_ANNOUNCEMENT, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     * 判断是否有救护车的权限
     * </pre>
     */
    public void checkHasAmbulanceRight(com.ywt.gapi.system.CheckHasAmbulanceRightRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.Result> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_CHECK_HAS_AMBULANCE_RIGHT, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     * 记录救护车位置
     * </pre>
     */
    public void saveAmbulanceLocation(com.ywt.gapi.system.SaveAmbulanceLocationRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.Result> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_SAVE_AMBULANCE_LOCATION, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     *须知展示
     * </pre>
     */
    public void showCommonAnnouncement(com.ywt.gapi.system.CommonAnnouncementRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.system.CommonAnnouncementResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_SHOW_COMMON_ANNOUNCEMENT, getCallOptions()), request, responseObserver);
    }
  }

  /**
   * <pre>
   * 对应 rpc 项目的 SystemServiceImpl 类
   * </pre>
   */
  public static final class SystemServiceBlockingStub extends io.grpc.stub.AbstractStub<SystemServiceBlockingStub> {
    private SystemServiceBlockingStub(io.grpc.Channel channel) {
      super(channel);
    }

    private SystemServiceBlockingStub(io.grpc.Channel channel,
        io.grpc.CallOptions callOptions) {
      super(channel, callOptions);
    }

    @java.lang.Override
    protected SystemServiceBlockingStub build(io.grpc.Channel channel,
        io.grpc.CallOptions callOptions) {
      return new SystemServiceBlockingStub(channel, callOptions);
    }

    /**
     * <pre>
     *获取医院列表
     * </pre>
     */
    public com.ywt.gapi.system.HospitalListResponse getHospitalList(com.ywt.gapi.system.HospitalListRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_GET_HOSPITAL_LIST, getCallOptions(), request);
    }

    /**
     * <pre>
     *获取医院科室列表
     * </pre>
     */
    public com.ywt.gapi.system.DeptListResponse getDeptList(com.ywt.gapi.system.DeptListRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_GET_DEPT_LIST, getCallOptions(), request);
    }

    /**
     * <pre>
     *获取医院所有科室列表
     * </pre>
     */
    public com.ywt.gapi.system.HospitalDeptListResponse getHospitalDeptList(com.ywt.gapi.system.HospitalDeptListRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_GET_HOSPITAL_DEPT_LIST, getCallOptions(), request);
    }

    /**
     * <pre>
     *检测APP是否需要更新
     * </pre>
     */
    public com.ywt.gapi.system.CheckAppVersionResponse checkAppVersion(com.ywt.gapi.system.CheckAppVersionRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_CHECK_APP_VERSION, getCallOptions(), request);
    }

    /**
     * <pre>
     *获取地区列表
     * </pre>
     */
    public com.ywt.gapi.system.GetAreaListResponse getAreaList(com.ywt.gapi.system.GetAreaListRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_GET_AREA_LIST, getCallOptions(), request);
    }

    /**
     * <pre>
     *获取地址列表
     * </pre>
     */
    public com.ywt.gapi.system.GetAddressListResponse getAddressList(com.ywt.gapi.system.GetAddressListRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_GET_ADDRESS_LIST, getCallOptions(), request);
    }

    /**
     * <pre>
     *保存收货地址
     * </pre>
     */
    public com.ywt.gapi.system.SaveAddressResponse saveAddress(com.ywt.gapi.system.SaveAddressRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_SAVE_ADDRESS, getCallOptions(), request);
    }

    /**
     * <pre>
     *删除收货地址
     * </pre>
     */
    public com.ywt.gapi.Result deleteAddress(com.ywt.gapi.system.DeleteAddressRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_DELETE_ADDRESS, getCallOptions(), request);
    }

    /**
     * <pre>
     *获取地址详情
     * </pre>
     */
    public com.ywt.gapi.system.GetAddressResponse getAddress(com.ywt.gapi.system.GetAddressRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_GET_ADDRESS, getCallOptions(), request);
    }

    /**
     * <pre>
     *获取地区列表（树状结构）
     * </pre>
     */
    public com.ywt.gapi.system.GetAreaTreeNodeListResponse getAreaTreeNodeList(com.ywt.gapi.system.GetAreaTreeNodeListRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_GET_AREA_TREE_NODE_LIST, getCallOptions(), request);
    }

    /**
     * <pre>
     *获取地区
     * </pre>
     */
    public com.ywt.gapi.system.AreaListResponse getAppAreaList(com.ywt.gapi.system.AreaListRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_GET_APP_AREA_LIST, getCallOptions(), request);
    }

    /**
     * <pre>
     *根据地区获取医院列表
     * </pre>
     */
    public com.ywt.gapi.system.AreaHospitalListResponse getAreaHospitalList(com.ywt.gapi.system.AreaHospitalListRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_GET_AREA_HOSPITAL_LIST, getCallOptions(), request);
    }

    /**
     * <pre>
     *获取微信配置
     * </pre>
     */
    public com.ywt.gapi.system.GetWeChatConfigResponse getWeChatConfig(com.ywt.gapi.system.GetWeChatConfigRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_GET_WE_CHAT_CONFIG, getCallOptions(), request);
    }

    /**
     * <pre>
     *根据医达科室Code获取科室信息
     * </pre>
     */
    public com.ywt.gapi.system.GetDeptByYiDaCodeResponse getDeptByYiDaCode(com.ywt.gapi.system.GetDeptByYiDaCodeRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_GET_DEPT_BY_YI_DA_CODE, getCallOptions(), request);
    }

    /**
     */
    public com.ywt.gapi.system.GetYiDaDoctorCodeResponse getYiDaDoctorCode(com.ywt.gapi.system.GetYiDaDoctorCodeRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_GET_YI_DA_DOCTOR_CODE, getCallOptions(), request);
    }

    /**
     * <pre>
     *获取国际疾病分类
     * </pre>
     */
    public com.ywt.gapi.system.GetIcdCodeListResponse getIcdCodeList(com.ywt.gapi.system.GetIcdCodeListRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_GET_ICD_CODE_LIST, getCallOptions(), request);
    }

    /**
     * <pre>
     *得到所有地区集合，包括区、县
     * </pre>
     */
    public com.ywt.gapi.system.GetAreaListResponse getAllAreaList(com.ywt.gapi.system.GetAreaListRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_GET_ALL_AREA_LIST, getCallOptions(), request);
    }

    /**
     * <pre>
     *获取医生地址列表 create by daiyihua
     * </pre>
     */
    public com.ywt.gapi.system.GetAddressListResponse getDoctorAddressList(com.ywt.gapi.system.GetAddressListRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_GET_DOCTOR_ADDRESS_LIST, getCallOptions(), request);
    }

    /**
     * <pre>
     *医生保存地址 create by daiyihua
     * </pre>
     */
    public com.ywt.gapi.Result doctorSaveAddress(com.ywt.gapi.system.SaveAddressRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_DOCTOR_SAVE_ADDRESS, getCallOptions(), request);
    }

    /**
     * <pre>
     *医生设置默认地址 create by daiyihua
     * </pre>
     */
    public com.ywt.gapi.Result settingDefaultAddress(com.ywt.gapi.system.SettingDefaultAddressRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_SETTING_DEFAULT_ADDRESS, getCallOptions(), request);
    }

    /**
     * <pre>
     *获取消息模板列表
     * </pre>
     */
    public com.ywt.gapi.system.GetMsgTplListByModuleResponse getMsgTplListByModule(com.ywt.gapi.system.GetMsgTplListByModuleRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_GET_MSG_TPL_LIST_BY_MODULE, getCallOptions(), request);
    }

    /**
     * <pre>
     *得到医生默认或最近添加的地址  create by daiyhua
     * </pre>
     */
    public com.ywt.gapi.system.GetDoctorDefaultAddressResponse getDoctorDefaultAddress(com.ywt.gapi.system.GetDoctorAddressRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_GET_DOCTOR_DEFAULT_ADDRESS, getCallOptions(), request);
    }

    /**
     * <pre>
     *同步诊疗卡信息		create by daiyihua
     * </pre>
     */
    public com.ywt.gapi.Result synchronizingInformation(com.ywt.gapi.system.SynchronizingInformationRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_SYNCHRONIZING_INFORMATION, getCallOptions(), request);
    }

    /**
     * <pre>
     *根据医院ID得到医院信息		create by daiyihua
     * </pre>
     */
    public com.ywt.gapi.system.GetHospitalResponse getHospital(com.ywt.gapi.system.GetHospitalRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_GET_HOSPITAL, getCallOptions(), request);
    }

    /**
     * <pre>
     *同步太和检查结果
     * </pre>
     */
    public com.ywt.gapi.Result syncTaiheInspectionReport(com.ywt.gapi.system.SyncTaiheInspectionReportRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_SYNC_TAIHE_INSPECTION_REPORT, getCallOptions(), request);
    }

    /**
     * <pre>
     *同步太和检验结果
     * </pre>
     */
    public com.ywt.gapi.Result syncTaiheLaboratoryReport(com.ywt.gapi.system.SyncTaiheLaboratoryReportRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_SYNC_TAIHE_LABORATORY_REPORT, getCallOptions(), request);
    }

    /**
     */
    public com.ywt.gapi.Result createHisAddRegisteredFlag(com.ywt.gapi.system.CreateHisAddRegisteredFlagRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_CREATE_HIS_ADD_REGISTERED_FLAG, getCallOptions(), request);
    }

    /**
     * <pre>
     *医生团队（展示的）领衔医生所在的一级科室
     * </pre>
     */
    public com.ywt.gapi.system.GetTeamDeptListResponse getTeamDeptList(com.ywt.gapi.system.GetTeamDeptListRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_GET_TEAM_DEPT_LIST, getCallOptions(), request);
    }

    /**
     * <pre>
     *根据条件查找医院列表
     * </pre>
     */
    public com.ywt.gapi.system.HospitalListResponse findHospitalList(com.ywt.gapi.system.GetHospitalListRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_FIND_HOSPITAL_LIST, getCallOptions(), request);
    }

    /**
     * <pre>
     *得到普通用户关注的医院列表
     * </pre>
     */
    public com.ywt.gapi.system.HospitalListResponse getGeneralAttentionHospitalList(com.ywt.gapi.system.GetHospitalListRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_GET_GENERAL_ATTENTION_HOSPITAL_LIST, getCallOptions(), request);
    }

    /**
     * <pre>
     *保存小程序日志
     * </pre>
     */
    public com.ywt.gapi.system.SaveMiniProgramLogResponse saveMiniProgramLog(com.ywt.gapi.system.SaveMiniProgramLogRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_SAVE_MINI_PROGRAM_LOG, getCallOptions(), request);
    }

    /**
     * <pre>
     *获取科室
     * </pre>
     */
    public com.ywt.gapi.system.GetDeptResponse getDept(com.ywt.gapi.system.GetDeptRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_GET_DEPT, getCallOptions(), request);
    }

    /**
     * <pre>
     *得到医务通云平台首页医院列表
     * </pre>
     */
    public com.ywt.gapi.system.CloudPlatformHospitalListResponse getCloudPlatformHospitalList(com.ywt.gapi.system.HospitalListRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_GET_CLOUD_PLATFORM_HOSPITAL_LIST, getCallOptions(), request);
    }

    /**
     * <pre>
     * 获取系统字典
     * </pre>
     */
    public com.ywt.gapi.system.GetSystemDicTypeItemListByTypeCodeResponse getSystemDicTypeItemListByTypeCode(com.ywt.gapi.system.GetSystemDicTypeItemListByTypeCodeRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_GET_SYSTEM_DIC_TYPE_ITEM_LIST_BY_TYPE_CODE, getCallOptions(), request);
    }

    /**
     * <pre>
     * 清除缓存
     * </pre>
     */
    public com.ywt.gapi.system.InvalidateCacheResponse invalidateCache(com.ywt.gapi.system.InvalidateCacheRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_INVALIDATE_CACHE, getCallOptions(), request);
    }

    /**
     * <pre>
     * 获取缓存 keys
     * </pre>
     */
    public com.ywt.gapi.system.GetCacheKeysResponse getCacheKeys(com.ywt.gapi.system.GetCacheKeysRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_GET_CACHE_KEYS, getCallOptions(), request);
    }

    /**
     * <pre>
     * 获取配置的内容
     * </pre>
     */
    public com.ywt.gapi.system.GetConfigByTypeResponse getConfigByType(com.ywt.gapi.system.GetConfigByTypeRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_GET_CONFIG_BY_TYPE, getCallOptions(), request);
    }

    /**
     * <pre>
     * 根据医院IDs得到医院信息		
     * </pre>
     */
    public com.ywt.gapi.system.GetHospitalByHospitalIdsResponse getHospitalByHospitalIds(com.ywt.gapi.system.GetHospitalByHospitalIdsRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_GET_HOSPITAL_BY_HOSPITAL_IDS, getCallOptions(), request);
    }

    /**
     * <pre>
     * 保存GPS记录
     * </pre>
     */
    public com.ywt.gapi.system.SaveGPSRecordResponse saveGPSRecord(com.ywt.gapi.system.SaveGPSRecordRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_SAVE_GPSRECORD, getCallOptions(), request);
    }

    /**
     * <pre>
     * 根据配置ID获取配置信息
     * </pre>
     */
    public com.ywt.gapi.system.GetConfigByIdResponse getConfigById(com.ywt.gapi.system.GetConfigByIdRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_GET_CONFIG_BY_ID, getCallOptions(), request);
    }

    /**
     * <pre>
     * 根据名称获取科室列表
     * </pre>
     */
    public com.ywt.gapi.system.SearchDeptListByNameResponse searchDeptListByName(com.ywt.gapi.system.SearchDeptListByNameRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_SEARCH_DEPT_LIST_BY_NAME, getCallOptions(), request);
    }

    /**
     * <pre>
     * 根据名称获取医生列表
     * </pre>
     */
    public com.ywt.gapi.system.SearchDoctorListByNameResponse searchDoctorListByName(com.ywt.gapi.system.SearchDoctorListByNameRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_SEARCH_DOCTOR_LIST_BY_NAME, getCallOptions(), request);
    }

    /**
     * <pre>
     * 根据姓名从多个医院查找医生
     * </pre>
     */
    public com.ywt.gapi.system.SearchDoctorListByNameResponse searchDoctorByNameFromMultiHosp(com.ywt.gapi.system.SearchDoctorByNameFromMultiHospRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_SEARCH_DOCTOR_BY_NAME_FROM_MULTI_HOSP, getCallOptions(), request);
    }

    /**
     * <pre>
     * 得到预约挂号公告信息
     * </pre>
     */
    public com.ywt.gapi.system.RetRegisteredAnnouncementResponse getRegisteredAnnouncement(com.ywt.gapi.system.RetRegisteredAnnouncementRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_GET_REGISTERED_ANNOUNCEMENT, getCallOptions(), request);
    }

    /**
     * <pre>
     * 判断是否有救护车的权限
     * </pre>
     */
    public com.ywt.gapi.Result checkHasAmbulanceRight(com.ywt.gapi.system.CheckHasAmbulanceRightRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_CHECK_HAS_AMBULANCE_RIGHT, getCallOptions(), request);
    }

    /**
     * <pre>
     * 记录救护车位置
     * </pre>
     */
    public com.ywt.gapi.Result saveAmbulanceLocation(com.ywt.gapi.system.SaveAmbulanceLocationRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_SAVE_AMBULANCE_LOCATION, getCallOptions(), request);
    }

    /**
     * <pre>
     *须知展示
     * </pre>
     */
    public com.ywt.gapi.system.CommonAnnouncementResponse showCommonAnnouncement(com.ywt.gapi.system.CommonAnnouncementRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_SHOW_COMMON_ANNOUNCEMENT, getCallOptions(), request);
    }
  }

  /**
   * <pre>
   * 对应 rpc 项目的 SystemServiceImpl 类
   * </pre>
   */
  public static final class SystemServiceFutureStub extends io.grpc.stub.AbstractStub<SystemServiceFutureStub> {
    private SystemServiceFutureStub(io.grpc.Channel channel) {
      super(channel);
    }

    private SystemServiceFutureStub(io.grpc.Channel channel,
        io.grpc.CallOptions callOptions) {
      super(channel, callOptions);
    }

    @java.lang.Override
    protected SystemServiceFutureStub build(io.grpc.Channel channel,
        io.grpc.CallOptions callOptions) {
      return new SystemServiceFutureStub(channel, callOptions);
    }

    /**
     * <pre>
     *获取医院列表
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.system.HospitalListResponse> getHospitalList(
        com.ywt.gapi.system.HospitalListRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_GET_HOSPITAL_LIST, getCallOptions()), request);
    }

    /**
     * <pre>
     *获取医院科室列表
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.system.DeptListResponse> getDeptList(
        com.ywt.gapi.system.DeptListRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_GET_DEPT_LIST, getCallOptions()), request);
    }

    /**
     * <pre>
     *获取医院所有科室列表
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.system.HospitalDeptListResponse> getHospitalDeptList(
        com.ywt.gapi.system.HospitalDeptListRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_GET_HOSPITAL_DEPT_LIST, getCallOptions()), request);
    }

    /**
     * <pre>
     *检测APP是否需要更新
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.system.CheckAppVersionResponse> checkAppVersion(
        com.ywt.gapi.system.CheckAppVersionRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_CHECK_APP_VERSION, getCallOptions()), request);
    }

    /**
     * <pre>
     *获取地区列表
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.system.GetAreaListResponse> getAreaList(
        com.ywt.gapi.system.GetAreaListRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_GET_AREA_LIST, getCallOptions()), request);
    }

    /**
     * <pre>
     *获取地址列表
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.system.GetAddressListResponse> getAddressList(
        com.ywt.gapi.system.GetAddressListRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_GET_ADDRESS_LIST, getCallOptions()), request);
    }

    /**
     * <pre>
     *保存收货地址
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.system.SaveAddressResponse> saveAddress(
        com.ywt.gapi.system.SaveAddressRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_SAVE_ADDRESS, getCallOptions()), request);
    }

    /**
     * <pre>
     *删除收货地址
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.Result> deleteAddress(
        com.ywt.gapi.system.DeleteAddressRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_DELETE_ADDRESS, getCallOptions()), request);
    }

    /**
     * <pre>
     *获取地址详情
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.system.GetAddressResponse> getAddress(
        com.ywt.gapi.system.GetAddressRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_GET_ADDRESS, getCallOptions()), request);
    }

    /**
     * <pre>
     *获取地区列表（树状结构）
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.system.GetAreaTreeNodeListResponse> getAreaTreeNodeList(
        com.ywt.gapi.system.GetAreaTreeNodeListRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_GET_AREA_TREE_NODE_LIST, getCallOptions()), request);
    }

    /**
     * <pre>
     *获取地区
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.system.AreaListResponse> getAppAreaList(
        com.ywt.gapi.system.AreaListRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_GET_APP_AREA_LIST, getCallOptions()), request);
    }

    /**
     * <pre>
     *根据地区获取医院列表
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.system.AreaHospitalListResponse> getAreaHospitalList(
        com.ywt.gapi.system.AreaHospitalListRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_GET_AREA_HOSPITAL_LIST, getCallOptions()), request);
    }

    /**
     * <pre>
     *获取微信配置
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.system.GetWeChatConfigResponse> getWeChatConfig(
        com.ywt.gapi.system.GetWeChatConfigRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_GET_WE_CHAT_CONFIG, getCallOptions()), request);
    }

    /**
     * <pre>
     *根据医达科室Code获取科室信息
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.system.GetDeptByYiDaCodeResponse> getDeptByYiDaCode(
        com.ywt.gapi.system.GetDeptByYiDaCodeRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_GET_DEPT_BY_YI_DA_CODE, getCallOptions()), request);
    }

    /**
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.system.GetYiDaDoctorCodeResponse> getYiDaDoctorCode(
        com.ywt.gapi.system.GetYiDaDoctorCodeRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_GET_YI_DA_DOCTOR_CODE, getCallOptions()), request);
    }

    /**
     * <pre>
     *获取国际疾病分类
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.system.GetIcdCodeListResponse> getIcdCodeList(
        com.ywt.gapi.system.GetIcdCodeListRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_GET_ICD_CODE_LIST, getCallOptions()), request);
    }

    /**
     * <pre>
     *得到所有地区集合，包括区、县
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.system.GetAreaListResponse> getAllAreaList(
        com.ywt.gapi.system.GetAreaListRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_GET_ALL_AREA_LIST, getCallOptions()), request);
    }

    /**
     * <pre>
     *获取医生地址列表 create by daiyihua
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.system.GetAddressListResponse> getDoctorAddressList(
        com.ywt.gapi.system.GetAddressListRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_GET_DOCTOR_ADDRESS_LIST, getCallOptions()), request);
    }

    /**
     * <pre>
     *医生保存地址 create by daiyihua
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.Result> doctorSaveAddress(
        com.ywt.gapi.system.SaveAddressRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_DOCTOR_SAVE_ADDRESS, getCallOptions()), request);
    }

    /**
     * <pre>
     *医生设置默认地址 create by daiyihua
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.Result> settingDefaultAddress(
        com.ywt.gapi.system.SettingDefaultAddressRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_SETTING_DEFAULT_ADDRESS, getCallOptions()), request);
    }

    /**
     * <pre>
     *获取消息模板列表
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.system.GetMsgTplListByModuleResponse> getMsgTplListByModule(
        com.ywt.gapi.system.GetMsgTplListByModuleRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_GET_MSG_TPL_LIST_BY_MODULE, getCallOptions()), request);
    }

    /**
     * <pre>
     *得到医生默认或最近添加的地址  create by daiyhua
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.system.GetDoctorDefaultAddressResponse> getDoctorDefaultAddress(
        com.ywt.gapi.system.GetDoctorAddressRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_GET_DOCTOR_DEFAULT_ADDRESS, getCallOptions()), request);
    }

    /**
     * <pre>
     *同步诊疗卡信息		create by daiyihua
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.Result> synchronizingInformation(
        com.ywt.gapi.system.SynchronizingInformationRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_SYNCHRONIZING_INFORMATION, getCallOptions()), request);
    }

    /**
     * <pre>
     *根据医院ID得到医院信息		create by daiyihua
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.system.GetHospitalResponse> getHospital(
        com.ywt.gapi.system.GetHospitalRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_GET_HOSPITAL, getCallOptions()), request);
    }

    /**
     * <pre>
     *同步太和检查结果
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.Result> syncTaiheInspectionReport(
        com.ywt.gapi.system.SyncTaiheInspectionReportRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_SYNC_TAIHE_INSPECTION_REPORT, getCallOptions()), request);
    }

    /**
     * <pre>
     *同步太和检验结果
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.Result> syncTaiheLaboratoryReport(
        com.ywt.gapi.system.SyncTaiheLaboratoryReportRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_SYNC_TAIHE_LABORATORY_REPORT, getCallOptions()), request);
    }

    /**
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.Result> createHisAddRegisteredFlag(
        com.ywt.gapi.system.CreateHisAddRegisteredFlagRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_CREATE_HIS_ADD_REGISTERED_FLAG, getCallOptions()), request);
    }

    /**
     * <pre>
     *医生团队（展示的）领衔医生所在的一级科室
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.system.GetTeamDeptListResponse> getTeamDeptList(
        com.ywt.gapi.system.GetTeamDeptListRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_GET_TEAM_DEPT_LIST, getCallOptions()), request);
    }

    /**
     * <pre>
     *根据条件查找医院列表
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.system.HospitalListResponse> findHospitalList(
        com.ywt.gapi.system.GetHospitalListRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_FIND_HOSPITAL_LIST, getCallOptions()), request);
    }

    /**
     * <pre>
     *得到普通用户关注的医院列表
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.system.HospitalListResponse> getGeneralAttentionHospitalList(
        com.ywt.gapi.system.GetHospitalListRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_GET_GENERAL_ATTENTION_HOSPITAL_LIST, getCallOptions()), request);
    }

    /**
     * <pre>
     *保存小程序日志
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.system.SaveMiniProgramLogResponse> saveMiniProgramLog(
        com.ywt.gapi.system.SaveMiniProgramLogRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_SAVE_MINI_PROGRAM_LOG, getCallOptions()), request);
    }

    /**
     * <pre>
     *获取科室
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.system.GetDeptResponse> getDept(
        com.ywt.gapi.system.GetDeptRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_GET_DEPT, getCallOptions()), request);
    }

    /**
     * <pre>
     *得到医务通云平台首页医院列表
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.system.CloudPlatformHospitalListResponse> getCloudPlatformHospitalList(
        com.ywt.gapi.system.HospitalListRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_GET_CLOUD_PLATFORM_HOSPITAL_LIST, getCallOptions()), request);
    }

    /**
     * <pre>
     * 获取系统字典
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.system.GetSystemDicTypeItemListByTypeCodeResponse> getSystemDicTypeItemListByTypeCode(
        com.ywt.gapi.system.GetSystemDicTypeItemListByTypeCodeRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_GET_SYSTEM_DIC_TYPE_ITEM_LIST_BY_TYPE_CODE, getCallOptions()), request);
    }

    /**
     * <pre>
     * 清除缓存
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.system.InvalidateCacheResponse> invalidateCache(
        com.ywt.gapi.system.InvalidateCacheRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_INVALIDATE_CACHE, getCallOptions()), request);
    }

    /**
     * <pre>
     * 获取缓存 keys
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.system.GetCacheKeysResponse> getCacheKeys(
        com.ywt.gapi.system.GetCacheKeysRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_GET_CACHE_KEYS, getCallOptions()), request);
    }

    /**
     * <pre>
     * 获取配置的内容
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.system.GetConfigByTypeResponse> getConfigByType(
        com.ywt.gapi.system.GetConfigByTypeRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_GET_CONFIG_BY_TYPE, getCallOptions()), request);
    }

    /**
     * <pre>
     * 根据医院IDs得到医院信息		
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.system.GetHospitalByHospitalIdsResponse> getHospitalByHospitalIds(
        com.ywt.gapi.system.GetHospitalByHospitalIdsRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_GET_HOSPITAL_BY_HOSPITAL_IDS, getCallOptions()), request);
    }

    /**
     * <pre>
     * 保存GPS记录
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.system.SaveGPSRecordResponse> saveGPSRecord(
        com.ywt.gapi.system.SaveGPSRecordRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_SAVE_GPSRECORD, getCallOptions()), request);
    }

    /**
     * <pre>
     * 根据配置ID获取配置信息
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.system.GetConfigByIdResponse> getConfigById(
        com.ywt.gapi.system.GetConfigByIdRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_GET_CONFIG_BY_ID, getCallOptions()), request);
    }

    /**
     * <pre>
     * 根据名称获取科室列表
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.system.SearchDeptListByNameResponse> searchDeptListByName(
        com.ywt.gapi.system.SearchDeptListByNameRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_SEARCH_DEPT_LIST_BY_NAME, getCallOptions()), request);
    }

    /**
     * <pre>
     * 根据名称获取医生列表
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.system.SearchDoctorListByNameResponse> searchDoctorListByName(
        com.ywt.gapi.system.SearchDoctorListByNameRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_SEARCH_DOCTOR_LIST_BY_NAME, getCallOptions()), request);
    }

    /**
     * <pre>
     * 根据姓名从多个医院查找医生
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.system.SearchDoctorListByNameResponse> searchDoctorByNameFromMultiHosp(
        com.ywt.gapi.system.SearchDoctorByNameFromMultiHospRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_SEARCH_DOCTOR_BY_NAME_FROM_MULTI_HOSP, getCallOptions()), request);
    }

    /**
     * <pre>
     * 得到预约挂号公告信息
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.system.RetRegisteredAnnouncementResponse> getRegisteredAnnouncement(
        com.ywt.gapi.system.RetRegisteredAnnouncementRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_GET_REGISTERED_ANNOUNCEMENT, getCallOptions()), request);
    }

    /**
     * <pre>
     * 判断是否有救护车的权限
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.Result> checkHasAmbulanceRight(
        com.ywt.gapi.system.CheckHasAmbulanceRightRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_CHECK_HAS_AMBULANCE_RIGHT, getCallOptions()), request);
    }

    /**
     * <pre>
     * 记录救护车位置
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.Result> saveAmbulanceLocation(
        com.ywt.gapi.system.SaveAmbulanceLocationRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_SAVE_AMBULANCE_LOCATION, getCallOptions()), request);
    }

    /**
     * <pre>
     *须知展示
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.system.CommonAnnouncementResponse> showCommonAnnouncement(
        com.ywt.gapi.system.CommonAnnouncementRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_SHOW_COMMON_ANNOUNCEMENT, getCallOptions()), request);
    }
  }

  private static final int METHODID_GET_HOSPITAL_LIST = 0;
  private static final int METHODID_GET_DEPT_LIST = 1;
  private static final int METHODID_GET_HOSPITAL_DEPT_LIST = 2;
  private static final int METHODID_CHECK_APP_VERSION = 3;
  private static final int METHODID_GET_AREA_LIST = 4;
  private static final int METHODID_GET_ADDRESS_LIST = 5;
  private static final int METHODID_SAVE_ADDRESS = 6;
  private static final int METHODID_DELETE_ADDRESS = 7;
  private static final int METHODID_GET_ADDRESS = 8;
  private static final int METHODID_GET_AREA_TREE_NODE_LIST = 9;
  private static final int METHODID_GET_APP_AREA_LIST = 10;
  private static final int METHODID_GET_AREA_HOSPITAL_LIST = 11;
  private static final int METHODID_GET_WE_CHAT_CONFIG = 12;
  private static final int METHODID_GET_DEPT_BY_YI_DA_CODE = 13;
  private static final int METHODID_GET_YI_DA_DOCTOR_CODE = 14;
  private static final int METHODID_GET_ICD_CODE_LIST = 15;
  private static final int METHODID_GET_ALL_AREA_LIST = 16;
  private static final int METHODID_GET_DOCTOR_ADDRESS_LIST = 17;
  private static final int METHODID_DOCTOR_SAVE_ADDRESS = 18;
  private static final int METHODID_SETTING_DEFAULT_ADDRESS = 19;
  private static final int METHODID_GET_MSG_TPL_LIST_BY_MODULE = 20;
  private static final int METHODID_GET_DOCTOR_DEFAULT_ADDRESS = 21;
  private static final int METHODID_SYNCHRONIZING_INFORMATION = 22;
  private static final int METHODID_GET_HOSPITAL = 23;
  private static final int METHODID_SYNC_TAIHE_INSPECTION_REPORT = 24;
  private static final int METHODID_SYNC_TAIHE_LABORATORY_REPORT = 25;
  private static final int METHODID_CREATE_HIS_ADD_REGISTERED_FLAG = 26;
  private static final int METHODID_GET_TEAM_DEPT_LIST = 27;
  private static final int METHODID_FIND_HOSPITAL_LIST = 28;
  private static final int METHODID_GET_GENERAL_ATTENTION_HOSPITAL_LIST = 29;
  private static final int METHODID_SAVE_MINI_PROGRAM_LOG = 30;
  private static final int METHODID_GET_DEPT = 31;
  private static final int METHODID_GET_CLOUD_PLATFORM_HOSPITAL_LIST = 32;
  private static final int METHODID_GET_SYSTEM_DIC_TYPE_ITEM_LIST_BY_TYPE_CODE = 33;
  private static final int METHODID_INVALIDATE_CACHE = 34;
  private static final int METHODID_GET_CACHE_KEYS = 35;
  private static final int METHODID_GET_CONFIG_BY_TYPE = 36;
  private static final int METHODID_GET_HOSPITAL_BY_HOSPITAL_IDS = 37;
  private static final int METHODID_SAVE_GPSRECORD = 38;
  private static final int METHODID_GET_CONFIG_BY_ID = 39;
  private static final int METHODID_SEARCH_DEPT_LIST_BY_NAME = 40;
  private static final int METHODID_SEARCH_DOCTOR_LIST_BY_NAME = 41;
  private static final int METHODID_SEARCH_DOCTOR_BY_NAME_FROM_MULTI_HOSP = 42;
  private static final int METHODID_GET_REGISTERED_ANNOUNCEMENT = 43;
  private static final int METHODID_CHECK_HAS_AMBULANCE_RIGHT = 44;
  private static final int METHODID_SAVE_AMBULANCE_LOCATION = 45;
  private static final int METHODID_SHOW_COMMON_ANNOUNCEMENT = 46;

  private static final class MethodHandlers<Req, Resp> implements
      io.grpc.stub.ServerCalls.UnaryMethod<Req, Resp>,
      io.grpc.stub.ServerCalls.ServerStreamingMethod<Req, Resp>,
      io.grpc.stub.ServerCalls.ClientStreamingMethod<Req, Resp>,
      io.grpc.stub.ServerCalls.BidiStreamingMethod<Req, Resp> {
    private final SystemServiceImplBase serviceImpl;
    private final int methodId;

    MethodHandlers(SystemServiceImplBase serviceImpl, int methodId) {
      this.serviceImpl = serviceImpl;
      this.methodId = methodId;
    }

    @java.lang.Override
    @java.lang.SuppressWarnings("unchecked")
    public void invoke(Req request, io.grpc.stub.StreamObserver<Resp> responseObserver) {
      switch (methodId) {
        case METHODID_GET_HOSPITAL_LIST:
          serviceImpl.getHospitalList((com.ywt.gapi.system.HospitalListRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.system.HospitalListResponse>) responseObserver);
          break;
        case METHODID_GET_DEPT_LIST:
          serviceImpl.getDeptList((com.ywt.gapi.system.DeptListRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.system.DeptListResponse>) responseObserver);
          break;
        case METHODID_GET_HOSPITAL_DEPT_LIST:
          serviceImpl.getHospitalDeptList((com.ywt.gapi.system.HospitalDeptListRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.system.HospitalDeptListResponse>) responseObserver);
          break;
        case METHODID_CHECK_APP_VERSION:
          serviceImpl.checkAppVersion((com.ywt.gapi.system.CheckAppVersionRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.system.CheckAppVersionResponse>) responseObserver);
          break;
        case METHODID_GET_AREA_LIST:
          serviceImpl.getAreaList((com.ywt.gapi.system.GetAreaListRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.system.GetAreaListResponse>) responseObserver);
          break;
        case METHODID_GET_ADDRESS_LIST:
          serviceImpl.getAddressList((com.ywt.gapi.system.GetAddressListRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.system.GetAddressListResponse>) responseObserver);
          break;
        case METHODID_SAVE_ADDRESS:
          serviceImpl.saveAddress((com.ywt.gapi.system.SaveAddressRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.system.SaveAddressResponse>) responseObserver);
          break;
        case METHODID_DELETE_ADDRESS:
          serviceImpl.deleteAddress((com.ywt.gapi.system.DeleteAddressRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.Result>) responseObserver);
          break;
        case METHODID_GET_ADDRESS:
          serviceImpl.getAddress((com.ywt.gapi.system.GetAddressRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.system.GetAddressResponse>) responseObserver);
          break;
        case METHODID_GET_AREA_TREE_NODE_LIST:
          serviceImpl.getAreaTreeNodeList((com.ywt.gapi.system.GetAreaTreeNodeListRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.system.GetAreaTreeNodeListResponse>) responseObserver);
          break;
        case METHODID_GET_APP_AREA_LIST:
          serviceImpl.getAppAreaList((com.ywt.gapi.system.AreaListRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.system.AreaListResponse>) responseObserver);
          break;
        case METHODID_GET_AREA_HOSPITAL_LIST:
          serviceImpl.getAreaHospitalList((com.ywt.gapi.system.AreaHospitalListRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.system.AreaHospitalListResponse>) responseObserver);
          break;
        case METHODID_GET_WE_CHAT_CONFIG:
          serviceImpl.getWeChatConfig((com.ywt.gapi.system.GetWeChatConfigRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.system.GetWeChatConfigResponse>) responseObserver);
          break;
        case METHODID_GET_DEPT_BY_YI_DA_CODE:
          serviceImpl.getDeptByYiDaCode((com.ywt.gapi.system.GetDeptByYiDaCodeRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.system.GetDeptByYiDaCodeResponse>) responseObserver);
          break;
        case METHODID_GET_YI_DA_DOCTOR_CODE:
          serviceImpl.getYiDaDoctorCode((com.ywt.gapi.system.GetYiDaDoctorCodeRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.system.GetYiDaDoctorCodeResponse>) responseObserver);
          break;
        case METHODID_GET_ICD_CODE_LIST:
          serviceImpl.getIcdCodeList((com.ywt.gapi.system.GetIcdCodeListRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.system.GetIcdCodeListResponse>) responseObserver);
          break;
        case METHODID_GET_ALL_AREA_LIST:
          serviceImpl.getAllAreaList((com.ywt.gapi.system.GetAreaListRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.system.GetAreaListResponse>) responseObserver);
          break;
        case METHODID_GET_DOCTOR_ADDRESS_LIST:
          serviceImpl.getDoctorAddressList((com.ywt.gapi.system.GetAddressListRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.system.GetAddressListResponse>) responseObserver);
          break;
        case METHODID_DOCTOR_SAVE_ADDRESS:
          serviceImpl.doctorSaveAddress((com.ywt.gapi.system.SaveAddressRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.Result>) responseObserver);
          break;
        case METHODID_SETTING_DEFAULT_ADDRESS:
          serviceImpl.settingDefaultAddress((com.ywt.gapi.system.SettingDefaultAddressRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.Result>) responseObserver);
          break;
        case METHODID_GET_MSG_TPL_LIST_BY_MODULE:
          serviceImpl.getMsgTplListByModule((com.ywt.gapi.system.GetMsgTplListByModuleRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.system.GetMsgTplListByModuleResponse>) responseObserver);
          break;
        case METHODID_GET_DOCTOR_DEFAULT_ADDRESS:
          serviceImpl.getDoctorDefaultAddress((com.ywt.gapi.system.GetDoctorAddressRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.system.GetDoctorDefaultAddressResponse>) responseObserver);
          break;
        case METHODID_SYNCHRONIZING_INFORMATION:
          serviceImpl.synchronizingInformation((com.ywt.gapi.system.SynchronizingInformationRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.Result>) responseObserver);
          break;
        case METHODID_GET_HOSPITAL:
          serviceImpl.getHospital((com.ywt.gapi.system.GetHospitalRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.system.GetHospitalResponse>) responseObserver);
          break;
        case METHODID_SYNC_TAIHE_INSPECTION_REPORT:
          serviceImpl.syncTaiheInspectionReport((com.ywt.gapi.system.SyncTaiheInspectionReportRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.Result>) responseObserver);
          break;
        case METHODID_SYNC_TAIHE_LABORATORY_REPORT:
          serviceImpl.syncTaiheLaboratoryReport((com.ywt.gapi.system.SyncTaiheLaboratoryReportRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.Result>) responseObserver);
          break;
        case METHODID_CREATE_HIS_ADD_REGISTERED_FLAG:
          serviceImpl.createHisAddRegisteredFlag((com.ywt.gapi.system.CreateHisAddRegisteredFlagRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.Result>) responseObserver);
          break;
        case METHODID_GET_TEAM_DEPT_LIST:
          serviceImpl.getTeamDeptList((com.ywt.gapi.system.GetTeamDeptListRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.system.GetTeamDeptListResponse>) responseObserver);
          break;
        case METHODID_FIND_HOSPITAL_LIST:
          serviceImpl.findHospitalList((com.ywt.gapi.system.GetHospitalListRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.system.HospitalListResponse>) responseObserver);
          break;
        case METHODID_GET_GENERAL_ATTENTION_HOSPITAL_LIST:
          serviceImpl.getGeneralAttentionHospitalList((com.ywt.gapi.system.GetHospitalListRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.system.HospitalListResponse>) responseObserver);
          break;
        case METHODID_SAVE_MINI_PROGRAM_LOG:
          serviceImpl.saveMiniProgramLog((com.ywt.gapi.system.SaveMiniProgramLogRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.system.SaveMiniProgramLogResponse>) responseObserver);
          break;
        case METHODID_GET_DEPT:
          serviceImpl.getDept((com.ywt.gapi.system.GetDeptRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.system.GetDeptResponse>) responseObserver);
          break;
        case METHODID_GET_CLOUD_PLATFORM_HOSPITAL_LIST:
          serviceImpl.getCloudPlatformHospitalList((com.ywt.gapi.system.HospitalListRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.system.CloudPlatformHospitalListResponse>) responseObserver);
          break;
        case METHODID_GET_SYSTEM_DIC_TYPE_ITEM_LIST_BY_TYPE_CODE:
          serviceImpl.getSystemDicTypeItemListByTypeCode((com.ywt.gapi.system.GetSystemDicTypeItemListByTypeCodeRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.system.GetSystemDicTypeItemListByTypeCodeResponse>) responseObserver);
          break;
        case METHODID_INVALIDATE_CACHE:
          serviceImpl.invalidateCache((com.ywt.gapi.system.InvalidateCacheRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.system.InvalidateCacheResponse>) responseObserver);
          break;
        case METHODID_GET_CACHE_KEYS:
          serviceImpl.getCacheKeys((com.ywt.gapi.system.GetCacheKeysRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.system.GetCacheKeysResponse>) responseObserver);
          break;
        case METHODID_GET_CONFIG_BY_TYPE:
          serviceImpl.getConfigByType((com.ywt.gapi.system.GetConfigByTypeRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.system.GetConfigByTypeResponse>) responseObserver);
          break;
        case METHODID_GET_HOSPITAL_BY_HOSPITAL_IDS:
          serviceImpl.getHospitalByHospitalIds((com.ywt.gapi.system.GetHospitalByHospitalIdsRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.system.GetHospitalByHospitalIdsResponse>) responseObserver);
          break;
        case METHODID_SAVE_GPSRECORD:
          serviceImpl.saveGPSRecord((com.ywt.gapi.system.SaveGPSRecordRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.system.SaveGPSRecordResponse>) responseObserver);
          break;
        case METHODID_GET_CONFIG_BY_ID:
          serviceImpl.getConfigById((com.ywt.gapi.system.GetConfigByIdRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.system.GetConfigByIdResponse>) responseObserver);
          break;
        case METHODID_SEARCH_DEPT_LIST_BY_NAME:
          serviceImpl.searchDeptListByName((com.ywt.gapi.system.SearchDeptListByNameRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.system.SearchDeptListByNameResponse>) responseObserver);
          break;
        case METHODID_SEARCH_DOCTOR_LIST_BY_NAME:
          serviceImpl.searchDoctorListByName((com.ywt.gapi.system.SearchDoctorListByNameRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.system.SearchDoctorListByNameResponse>) responseObserver);
          break;
        case METHODID_SEARCH_DOCTOR_BY_NAME_FROM_MULTI_HOSP:
          serviceImpl.searchDoctorByNameFromMultiHosp((com.ywt.gapi.system.SearchDoctorByNameFromMultiHospRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.system.SearchDoctorListByNameResponse>) responseObserver);
          break;
        case METHODID_GET_REGISTERED_ANNOUNCEMENT:
          serviceImpl.getRegisteredAnnouncement((com.ywt.gapi.system.RetRegisteredAnnouncementRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.system.RetRegisteredAnnouncementResponse>) responseObserver);
          break;
        case METHODID_CHECK_HAS_AMBULANCE_RIGHT:
          serviceImpl.checkHasAmbulanceRight((com.ywt.gapi.system.CheckHasAmbulanceRightRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.Result>) responseObserver);
          break;
        case METHODID_SAVE_AMBULANCE_LOCATION:
          serviceImpl.saveAmbulanceLocation((com.ywt.gapi.system.SaveAmbulanceLocationRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.Result>) responseObserver);
          break;
        case METHODID_SHOW_COMMON_ANNOUNCEMENT:
          serviceImpl.showCommonAnnouncement((com.ywt.gapi.system.CommonAnnouncementRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.system.CommonAnnouncementResponse>) responseObserver);
          break;
        default:
          throw new AssertionError();
      }
    }

    @java.lang.Override
    @java.lang.SuppressWarnings("unchecked")
    public io.grpc.stub.StreamObserver<Req> invoke(
        io.grpc.stub.StreamObserver<Resp> responseObserver) {
      switch (methodId) {
        default:
          throw new AssertionError();
      }
    }
  }

  private static abstract class SystemServiceBaseDescriptorSupplier
      implements io.grpc.protobuf.ProtoFileDescriptorSupplier, io.grpc.protobuf.ProtoServiceDescriptorSupplier {
    SystemServiceBaseDescriptorSupplier() {}

    @java.lang.Override
    public com.google.protobuf.Descriptors.FileDescriptor getFileDescriptor() {
      return com.ywt.gapi.system.System.getDescriptor();
    }

    @java.lang.Override
    public com.google.protobuf.Descriptors.ServiceDescriptor getServiceDescriptor() {
      return getFileDescriptor().findServiceByName("SystemService");
    }
  }

  private static final class SystemServiceFileDescriptorSupplier
      extends SystemServiceBaseDescriptorSupplier {
    SystemServiceFileDescriptorSupplier() {}
  }

  private static final class SystemServiceMethodDescriptorSupplier
      extends SystemServiceBaseDescriptorSupplier
      implements io.grpc.protobuf.ProtoMethodDescriptorSupplier {
    private final String methodName;

    SystemServiceMethodDescriptorSupplier(String methodName) {
      this.methodName = methodName;
    }

    @java.lang.Override
    public com.google.protobuf.Descriptors.MethodDescriptor getMethodDescriptor() {
      return getServiceDescriptor().findMethodByName(methodName);
    }
  }

  private static volatile io.grpc.ServiceDescriptor serviceDescriptor;

  public static io.grpc.ServiceDescriptor getServiceDescriptor() {
    io.grpc.ServiceDescriptor result = serviceDescriptor;
    if (result == null) {
      synchronized (SystemServiceGrpc.class) {
        result = serviceDescriptor;
        if (result == null) {
          serviceDescriptor = result = io.grpc.ServiceDescriptor.newBuilder(SERVICE_NAME)
              .setSchemaDescriptor(new SystemServiceFileDescriptorSupplier())
              .addMethod(METHOD_GET_HOSPITAL_LIST)
              .addMethod(METHOD_GET_DEPT_LIST)
              .addMethod(METHOD_GET_HOSPITAL_DEPT_LIST)
              .addMethod(METHOD_CHECK_APP_VERSION)
              .addMethod(METHOD_GET_AREA_LIST)
              .addMethod(METHOD_GET_ADDRESS_LIST)
              .addMethod(METHOD_SAVE_ADDRESS)
              .addMethod(METHOD_DELETE_ADDRESS)
              .addMethod(METHOD_GET_ADDRESS)
              .addMethod(METHOD_GET_AREA_TREE_NODE_LIST)
              .addMethod(METHOD_GET_APP_AREA_LIST)
              .addMethod(METHOD_GET_AREA_HOSPITAL_LIST)
              .addMethod(METHOD_GET_WE_CHAT_CONFIG)
              .addMethod(METHOD_GET_DEPT_BY_YI_DA_CODE)
              .addMethod(METHOD_GET_YI_DA_DOCTOR_CODE)
              .addMethod(METHOD_GET_ICD_CODE_LIST)
              .addMethod(METHOD_GET_ALL_AREA_LIST)
              .addMethod(METHOD_GET_DOCTOR_ADDRESS_LIST)
              .addMethod(METHOD_DOCTOR_SAVE_ADDRESS)
              .addMethod(METHOD_SETTING_DEFAULT_ADDRESS)
              .addMethod(METHOD_GET_MSG_TPL_LIST_BY_MODULE)
              .addMethod(METHOD_GET_DOCTOR_DEFAULT_ADDRESS)
              .addMethod(METHOD_SYNCHRONIZING_INFORMATION)
              .addMethod(METHOD_GET_HOSPITAL)
              .addMethod(METHOD_SYNC_TAIHE_INSPECTION_REPORT)
              .addMethod(METHOD_SYNC_TAIHE_LABORATORY_REPORT)
              .addMethod(METHOD_CREATE_HIS_ADD_REGISTERED_FLAG)
              .addMethod(METHOD_GET_TEAM_DEPT_LIST)
              .addMethod(METHOD_FIND_HOSPITAL_LIST)
              .addMethod(METHOD_GET_GENERAL_ATTENTION_HOSPITAL_LIST)
              .addMethod(METHOD_SAVE_MINI_PROGRAM_LOG)
              .addMethod(METHOD_GET_DEPT)
              .addMethod(METHOD_GET_CLOUD_PLATFORM_HOSPITAL_LIST)
              .addMethod(METHOD_GET_SYSTEM_DIC_TYPE_ITEM_LIST_BY_TYPE_CODE)
              .addMethod(METHOD_INVALIDATE_CACHE)
              .addMethod(METHOD_GET_CACHE_KEYS)
              .addMethod(METHOD_GET_CONFIG_BY_TYPE)
              .addMethod(METHOD_GET_HOSPITAL_BY_HOSPITAL_IDS)
              .addMethod(METHOD_SAVE_GPSRECORD)
              .addMethod(METHOD_GET_CONFIG_BY_ID)
              .addMethod(METHOD_SEARCH_DEPT_LIST_BY_NAME)
              .addMethod(METHOD_SEARCH_DOCTOR_LIST_BY_NAME)
              .addMethod(METHOD_SEARCH_DOCTOR_BY_NAME_FROM_MULTI_HOSP)
              .addMethod(METHOD_GET_REGISTERED_ANNOUNCEMENT)
              .addMethod(METHOD_CHECK_HAS_AMBULANCE_RIGHT)
              .addMethod(METHOD_SAVE_AMBULANCE_LOCATION)
              .addMethod(METHOD_SHOW_COMMON_ANNOUNCEMENT)
              .build();
        }
      }
    }
    return result;
  }
}
