package com.ywt.request.card;

import com.ywt.model.IsvRequest;
import com.ywt.request.IAppIdRequest;
import com.ywt.request.IUserIdRequest;
import com.ywt.response.card.UpdatePatientResponse;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 编辑就诊人请求体
 */
@Getter
@Setter
@ToString
public class UpdatePatientRequest implements IsvRequest<UpdatePatientResponse>, IAppIdRequest, IUserIdRequest {
    private String appId;//医院小程序的AppId
    private String userId;//用户唯一id
    private String id;// 就诊人id
    private String name;// 就诊人姓名
    private String idCardType;// 证件类型
    private String idCardNo;// 证件号码
    private String phoneNumber;// 手机号
    private String relationShip;// 与就诊人关系
    private String sex;// 性别
    @Override
    public String serviceName() {
        return "isvRequest.patient.update";
    }
}
