package com.ywt.request.history;

import com.ywt.model.IsvRequest;
import com.ywt.request.IAppIdRequest;
import com.ywt.request.IUserIdRequest;
import com.ywt.response.history.DistrictConfigInfoResponseData;
import lombok.Data;

/**
 * 院区可配置信息请求
 */
@Data
public class DistrictConfigInfoRequest implements IsvRequest<DistrictConfigInfoResponseData>, IAppIdRequest, IUserIdRequest {

    private String appId;//医院小程序的AppId

    private String userId;//用户id

    @Override
    public String serviceName() {
        return "isvRequest.district.configInfo";
    }

}
