package com.ywt.request.register;

import com.ywt.model.IsvListRequest;
import com.ywt.request.IAppIdRequest;
import com.ywt.response.register.QueryHospitalDistrictListResponseData;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 院区列表查询请求数据
 */
@Getter
@Setter
@ToString
public class QueryHospitalDistrictListRequest implements IsvListRequest<QueryHospitalDistrictListResponseData>, IAppIdRequest {

    private String appId;//医院小程序的AppId

    @Override
    public String serviceName() {
        return "isvRequest.order.queryHospitalDistrictList";
    }
}
