package com.ywt.response.queue;

import com.ywt.model.IsvResponseData;
import lombok.Data;

/**
 * 排队列表回执
 */
@Data
public class QueryQueueListResponse implements IsvResponseData {
    private String cardNum;//就诊卡卡号
    private String name;//就诊人姓名
    private String sex;//性别
    private String age;//年龄
    private String title;//排队标题
    private String depName;//科室
    private String doctorName;//医生姓名
    private String doctorDesc;//医生描述
    private String address;//就诊地点
    private String queueNum;//排队编号
    private String leftover;//前面排队剩余人数
    private String status;//状态,expired：已过号，queuing：排队中，ringing：叫号中，completed：已完成
    private String context;//排队结束显示内容
}
