package com.ywt.response.register;

import com.ywt.model.IsvResponseData;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.util.List;

/**
 * 得到医生分时排班信息
 **/
@Getter
@Setter
@ToString
public class QueryDoctorScheduleListResponseData implements IsvResponseData {
    private int period;         // 时间段，参考 {@link DatePeriodEnum }
    private String serviceDate; //日期
    private String datePeriod;  //时间段
    private List<ScheduleInfo> schedule;    //分时排班信息list
    private String deptCode;  //科室code
    private String deptName;  //科室名称
    private String doctorCode;  //医生code
    private String doctorName;  //医生姓名
    private Double regFee;         // 挂号费，单位：元
    private String regFeeStr;         // 挂号费，单位：元
    private Double treatFee;  // 治疗费，前端用于诊疗卡费 ，单位：元
    private String treatFeeStr;  // 治疗费，前端用于诊疗卡费 ，单位：元
}
