package com.ywt.gapi.third.taihe;

import static io.grpc.stub.ClientCalls.asyncUnaryCall;
import static io.grpc.stub.ClientCalls.asyncServerStreamingCall;
import static io.grpc.stub.ClientCalls.asyncClientStreamingCall;
import static io.grpc.stub.ClientCalls.asyncBidiStreamingCall;
import static io.grpc.stub.ClientCalls.blockingUnaryCall;
import static io.grpc.stub.ClientCalls.blockingServerStreamingCall;
import static io.grpc.stub.ClientCalls.futureUnaryCall;
import static io.grpc.MethodDescriptor.generateFullMethodName;
import static io.grpc.stub.ServerCalls.asyncUnaryCall;
import static io.grpc.stub.ServerCalls.asyncServerStreamingCall;
import static io.grpc.stub.ServerCalls.asyncClientStreamingCall;
import static io.grpc.stub.ServerCalls.asyncBidiStreamingCall;
import static io.grpc.stub.ServerCalls.asyncUnimplementedUnaryCall;
import static io.grpc.stub.ServerCalls.asyncUnimplementedStreamingCall;

/**
 * <pre>
 * 对应 central-control-service 项目的 provider/taihe.js 文件
 * </pre>
 */
@javax.annotation.Generated(
    value = "by gRPC proto compiler (version 1.7.0)",
    comments = "Source: taihe.proto")
public final class TaiheServiceGrpc {

  private TaiheServiceGrpc() {}

  public static final String SERVICE_NAME = "com.ywt.gapi.third.taihe.TaiheService";

  // Static method descriptors that strictly reflect the proto.
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.third.taihe.GetPatientInfoRequest,
      com.ywt.gapi.third.taihe.GetPatientInfoResponse> METHOD_GET_PATIENT_INFO =
      io.grpc.MethodDescriptor.<com.ywt.gapi.third.taihe.GetPatientInfoRequest, com.ywt.gapi.third.taihe.GetPatientInfoResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.third.taihe.TaiheService", "getPatientInfo"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.GetPatientInfoRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.GetPatientInfoResponse.getDefaultInstance()))
          .setSchemaDescriptor(new TaiheServiceMethodDescriptorSupplier("getPatientInfo"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.third.taihe.GetDeptListRequest,
      com.ywt.gapi.third.taihe.GetDeptListResponse> METHOD_GET_DEPT_LIST =
      io.grpc.MethodDescriptor.<com.ywt.gapi.third.taihe.GetDeptListRequest, com.ywt.gapi.third.taihe.GetDeptListResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.third.taihe.TaiheService", "getDeptList"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.GetDeptListRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.GetDeptListResponse.getDefaultInstance()))
          .setSchemaDescriptor(new TaiheServiceMethodDescriptorSupplier("getDeptList"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.third.taihe.GetDoctorListRequest,
      com.ywt.gapi.third.taihe.GetDoctorListResponse> METHOD_GET_DOCTOR_LIST =
      io.grpc.MethodDescriptor.<com.ywt.gapi.third.taihe.GetDoctorListRequest, com.ywt.gapi.third.taihe.GetDoctorListResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.third.taihe.TaiheService", "getDoctorList"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.GetDoctorListRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.GetDoctorListResponse.getDefaultInstance()))
          .setSchemaDescriptor(new TaiheServiceMethodDescriptorSupplier("getDoctorList"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.third.taihe.GetMedicalRecordRequest,
      com.ywt.gapi.third.taihe.GetMedicalRecordResponse> METHOD_GET_MEDICAL_RECORD =
      io.grpc.MethodDescriptor.<com.ywt.gapi.third.taihe.GetMedicalRecordRequest, com.ywt.gapi.third.taihe.GetMedicalRecordResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.third.taihe.TaiheService", "getMedicalRecord"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.GetMedicalRecordRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.GetMedicalRecordResponse.getDefaultInstance()))
          .setSchemaDescriptor(new TaiheServiceMethodDescriptorSupplier("getMedicalRecord"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.third.taihe.GetLaboratoryListRequest,
      com.ywt.gapi.third.taihe.GetLaboratoryListResponse> METHOD_GET_LABORATORY_LIST =
      io.grpc.MethodDescriptor.<com.ywt.gapi.third.taihe.GetLaboratoryListRequest, com.ywt.gapi.third.taihe.GetLaboratoryListResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.third.taihe.TaiheService", "getLaboratoryList"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.GetLaboratoryListRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.GetLaboratoryListResponse.getDefaultInstance()))
          .setSchemaDescriptor(new TaiheServiceMethodDescriptorSupplier("getLaboratoryList"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.third.taihe.GetLaboratoryDetailRequest,
      com.ywt.gapi.third.taihe.GetLaboratoryDetailResponse> METHOD_GET_LABORATORY_DETAIL =
      io.grpc.MethodDescriptor.<com.ywt.gapi.third.taihe.GetLaboratoryDetailRequest, com.ywt.gapi.third.taihe.GetLaboratoryDetailResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.third.taihe.TaiheService", "getLaboratoryDetail"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.GetLaboratoryDetailRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.GetLaboratoryDetailResponse.getDefaultInstance()))
          .setSchemaDescriptor(new TaiheServiceMethodDescriptorSupplier("getLaboratoryDetail"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.third.taihe.GetScheduleListRequest,
      com.ywt.gapi.third.taihe.GetScheduleListResponse> METHOD_GET_SCHEDULE_LIST =
      io.grpc.MethodDescriptor.<com.ywt.gapi.third.taihe.GetScheduleListRequest, com.ywt.gapi.third.taihe.GetScheduleListResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.third.taihe.TaiheService", "getScheduleList"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.GetScheduleListRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.GetScheduleListResponse.getDefaultInstance()))
          .setSchemaDescriptor(new TaiheServiceMethodDescriptorSupplier("getScheduleList"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.third.taihe.GetScheduleTimeInfoRequest,
      com.ywt.gapi.third.taihe.GetScheduleTimeInfoResponse> METHOD_GET_SCHEDULE_TIME_INFO =
      io.grpc.MethodDescriptor.<com.ywt.gapi.third.taihe.GetScheduleTimeInfoRequest, com.ywt.gapi.third.taihe.GetScheduleTimeInfoResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.third.taihe.TaiheService", "getScheduleTimeInfo"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.GetScheduleTimeInfoRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.GetScheduleTimeInfoResponse.getDefaultInstance()))
          .setSchemaDescriptor(new TaiheServiceMethodDescriptorSupplier("getScheduleTimeInfo"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.third.taihe.GetInspectionListRequest,
      com.ywt.gapi.third.taihe.GetInspectionListResponse> METHOD_GET_INSPECTION_LIST =
      io.grpc.MethodDescriptor.<com.ywt.gapi.third.taihe.GetInspectionListRequest, com.ywt.gapi.third.taihe.GetInspectionListResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.third.taihe.TaiheService", "getInspectionList"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.GetInspectionListRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.GetInspectionListResponse.getDefaultInstance()))
          .setSchemaDescriptor(new TaiheServiceMethodDescriptorSupplier("getInspectionList"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.third.taihe.GetInspectionDetailRequest,
      com.ywt.gapi.third.taihe.GetInspectionDetailResponse> METHOD_GET_INSPECTION_DETAIL =
      io.grpc.MethodDescriptor.<com.ywt.gapi.third.taihe.GetInspectionDetailRequest, com.ywt.gapi.third.taihe.GetInspectionDetailResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.third.taihe.TaiheService", "getInspectionDetail"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.GetInspectionDetailRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.GetInspectionDetailResponse.getDefaultInstance()))
          .setSchemaDescriptor(new TaiheServiceMethodDescriptorSupplier("getInspectionDetail"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.third.taihe.GetQueueInfoRequest,
      com.ywt.gapi.third.taihe.GetQueueInfoResponse> METHOD_GET_QUEUE_INFO =
      io.grpc.MethodDescriptor.<com.ywt.gapi.third.taihe.GetQueueInfoRequest, com.ywt.gapi.third.taihe.GetQueueInfoResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.third.taihe.TaiheService", "getQueueInfo"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.GetQueueInfoRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.GetQueueInfoResponse.getDefaultInstance()))
          .setSchemaDescriptor(new TaiheServiceMethodDescriptorSupplier("getQueueInfo"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.third.taihe.TakeRequest,
      com.ywt.gapi.third.taihe.TakeResponse> METHOD_TAKE =
      io.grpc.MethodDescriptor.<com.ywt.gapi.third.taihe.TakeRequest, com.ywt.gapi.third.taihe.TakeResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.third.taihe.TaiheService", "take"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.TakeRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.TakeResponse.getDefaultInstance()))
          .setSchemaDescriptor(new TaiheServiceMethodDescriptorSupplier("take"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.third.taihe.CancelRequest,
      com.ywt.gapi.third.taihe.CancelResponse> METHOD_CANCEL =
      io.grpc.MethodDescriptor.<com.ywt.gapi.third.taihe.CancelRequest, com.ywt.gapi.third.taihe.CancelResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.third.taihe.TaiheService", "cancel"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.CancelRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.CancelResponse.getDefaultInstance()))
          .setSchemaDescriptor(new TaiheServiceMethodDescriptorSupplier("cancel"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.third.taihe.GetRegistrationListRequest,
      com.ywt.gapi.third.taihe.GetRegistrationListResponse> METHOD_GET_REGISTRATION_LIST =
      io.grpc.MethodDescriptor.<com.ywt.gapi.third.taihe.GetRegistrationListRequest, com.ywt.gapi.third.taihe.GetRegistrationListResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.third.taihe.TaiheService", "getRegistrationList"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.GetRegistrationListRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.GetRegistrationListResponse.getDefaultInstance()))
          .setSchemaDescriptor(new TaiheServiceMethodDescriptorSupplier("getRegistrationList"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.third.taihe.GetRegistrationDetailRequest,
      com.ywt.gapi.third.taihe.GetRegistrationDetailResponse> METHOD_GET_REGISTRATION_DETAIL =
      io.grpc.MethodDescriptor.<com.ywt.gapi.third.taihe.GetRegistrationDetailRequest, com.ywt.gapi.third.taihe.GetRegistrationDetailResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.third.taihe.TaiheService", "getRegistrationDetail"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.GetRegistrationDetailRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.GetRegistrationDetailResponse.getDefaultInstance()))
          .setSchemaDescriptor(new TaiheServiceMethodDescriptorSupplier("getRegistrationDetail"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.third.taihe.RegisterRequest,
      com.ywt.gapi.third.taihe.RegisterResponse> METHOD_REGISTER =
      io.grpc.MethodDescriptor.<com.ywt.gapi.third.taihe.RegisterRequest, com.ywt.gapi.third.taihe.RegisterResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.third.taihe.TaiheService", "register"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.RegisterRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.RegisterResponse.getDefaultInstance()))
          .setSchemaDescriptor(new TaiheServiceMethodDescriptorSupplier("register"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.third.taihe.PayRequest,
      com.ywt.gapi.third.taihe.PayResponse> METHOD_PAY =
      io.grpc.MethodDescriptor.<com.ywt.gapi.third.taihe.PayRequest, com.ywt.gapi.third.taihe.PayResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.third.taihe.TaiheService", "pay"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.PayRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.PayResponse.getDefaultInstance()))
          .setSchemaDescriptor(new TaiheServiceMethodDescriptorSupplier("pay"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.third.taihe.PayFreeRequest,
      com.ywt.gapi.third.taihe.PayFreeResponse> METHOD_PAY_FREE =
      io.grpc.MethodDescriptor.<com.ywt.gapi.third.taihe.PayFreeRequest, com.ywt.gapi.third.taihe.PayFreeResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.third.taihe.TaiheService", "payFree"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.PayFreeRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.PayFreeResponse.getDefaultInstance()))
          .setSchemaDescriptor(new TaiheServiceMethodDescriptorSupplier("payFree"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.third.taihe.GetOutpatientListRequest,
      com.ywt.gapi.third.taihe.GetOutpatientListResponse> METHOD_GET_OUTPATIENT_LIST =
      io.grpc.MethodDescriptor.<com.ywt.gapi.third.taihe.GetOutpatientListRequest, com.ywt.gapi.third.taihe.GetOutpatientListResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.third.taihe.TaiheService", "getOutpatientList"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.GetOutpatientListRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.GetOutpatientListResponse.getDefaultInstance()))
          .setSchemaDescriptor(new TaiheServiceMethodDescriptorSupplier("getOutpatientList"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.third.taihe.GetPaymentDetailRequest,
      com.ywt.gapi.third.taihe.GetPaymentDetailResponse> METHOD_GET_PAYMENT_DETAIL =
      io.grpc.MethodDescriptor.<com.ywt.gapi.third.taihe.GetPaymentDetailRequest, com.ywt.gapi.third.taihe.GetPaymentDetailResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.third.taihe.TaiheService", "getPaymentDetail"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.GetPaymentDetailRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.GetPaymentDetailResponse.getDefaultInstance()))
          .setSchemaDescriptor(new TaiheServiceMethodDescriptorSupplier("getPaymentDetail"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.third.taihe.CalInsuranceRequest,
      com.ywt.gapi.third.taihe.CalInsuranceResponse> METHOD_CAL_INSURANCE =
      io.grpc.MethodDescriptor.<com.ywt.gapi.third.taihe.CalInsuranceRequest, com.ywt.gapi.third.taihe.CalInsuranceResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.third.taihe.TaiheService", "calInsurance"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.CalInsuranceRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.CalInsuranceResponse.getDefaultInstance()))
          .setSchemaDescriptor(new TaiheServiceMethodDescriptorSupplier("calInsurance"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.third.taihe.PayOrderRequest,
      com.ywt.gapi.third.taihe.PayOrderResponse> METHOD_PAY_ORDER =
      io.grpc.MethodDescriptor.<com.ywt.gapi.third.taihe.PayOrderRequest, com.ywt.gapi.third.taihe.PayOrderResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.third.taihe.TaiheService", "payOrder"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.PayOrderRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.PayOrderResponse.getDefaultInstance()))
          .setSchemaDescriptor(new TaiheServiceMethodDescriptorSupplier("payOrder"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.third.taihe.GetAddInfoRequest,
      com.ywt.gapi.third.taihe.GetAddInfoResponse> METHOD_GET_ADD_INFO =
      io.grpc.MethodDescriptor.<com.ywt.gapi.third.taihe.GetAddInfoRequest, com.ywt.gapi.third.taihe.GetAddInfoResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.third.taihe.TaiheService", "getAddInfo"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.GetAddInfoRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.GetAddInfoResponse.getDefaultInstance()))
          .setSchemaDescriptor(new TaiheServiceMethodDescriptorSupplier("getAddInfo"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.third.taihe.GetTreatmentGuideRequest,
      com.ywt.gapi.third.taihe.GetTreatmentGuideResponse> METHOD_GET_TREATMENT_GUIDE =
      io.grpc.MethodDescriptor.<com.ywt.gapi.third.taihe.GetTreatmentGuideRequest, com.ywt.gapi.third.taihe.GetTreatmentGuideResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.third.taihe.TaiheService", "getTreatmentGuide"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.GetTreatmentGuideRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.GetTreatmentGuideResponse.getDefaultInstance()))
          .setSchemaDescriptor(new TaiheServiceMethodDescriptorSupplier("getTreatmentGuide"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.third.taihe.GetTreatmentGuideV2Request,
      com.ywt.gapi.third.taihe.GetTreatmentGuideV2Response> METHOD_GET_TREATMENT_GUIDE_V2 =
      io.grpc.MethodDescriptor.<com.ywt.gapi.third.taihe.GetTreatmentGuideV2Request, com.ywt.gapi.third.taihe.GetTreatmentGuideV2Response>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.third.taihe.TaiheService", "getTreatmentGuideV2"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.GetTreatmentGuideV2Request.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.GetTreatmentGuideV2Response.getDefaultInstance()))
          .setSchemaDescriptor(new TaiheServiceMethodDescriptorSupplier("getTreatmentGuideV2"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.third.taihe.GetDrugListRequest,
      com.ywt.gapi.third.taihe.GetDrugListResponse> METHOD_GET_DRUG_LIST =
      io.grpc.MethodDescriptor.<com.ywt.gapi.third.taihe.GetDrugListRequest, com.ywt.gapi.third.taihe.GetDrugListResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.third.taihe.TaiheService", "getDrugList"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.GetDrugListRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.GetDrugListResponse.getDefaultInstance()))
          .setSchemaDescriptor(new TaiheServiceMethodDescriptorSupplier("getDrugList"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.third.taihe.PushPresInfoRequest,
      com.ywt.gapi.third.taihe.BaseResult> METHOD_PUSH_PRES_INFO =
      io.grpc.MethodDescriptor.<com.ywt.gapi.third.taihe.PushPresInfoRequest, com.ywt.gapi.third.taihe.BaseResult>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.third.taihe.TaiheService", "pushPresInfo"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.PushPresInfoRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.BaseResult.getDefaultInstance()))
          .setSchemaDescriptor(new TaiheServiceMethodDescriptorSupplier("pushPresInfo"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.third.taihe.GetPresInfoRequest,
      com.ywt.gapi.third.taihe.GetPresInfoResponse> METHOD_GET_PRES_INFO =
      io.grpc.MethodDescriptor.<com.ywt.gapi.third.taihe.GetPresInfoRequest, com.ywt.gapi.third.taihe.GetPresInfoResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.third.taihe.TaiheService", "getPresInfo"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.GetPresInfoRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.GetPresInfoResponse.getDefaultInstance()))
          .setSchemaDescriptor(new TaiheServiceMethodDescriptorSupplier("getPresInfo"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.third.taihe.GetPatInfoByHisClinicCodeRequest,
      com.ywt.gapi.third.taihe.GetPatInfoByHisClinicCodeResponse> METHOD_GET_PAT_INFO_BY_HIS_CLINIC_CODE =
      io.grpc.MethodDescriptor.<com.ywt.gapi.third.taihe.GetPatInfoByHisClinicCodeRequest, com.ywt.gapi.third.taihe.GetPatInfoByHisClinicCodeResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.third.taihe.TaiheService", "getPatInfoByHisClinicCode"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.GetPatInfoByHisClinicCodeRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.GetPatInfoByHisClinicCodeResponse.getDefaultInstance()))
          .setSchemaDescriptor(new TaiheServiceMethodDescriptorSupplier("getPatInfoByHisClinicCode"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.third.taihe.LockOrderRequest,
      com.ywt.gapi.third.taihe.LockOrderResponse> METHOD_LOCK_ORDER =
      io.grpc.MethodDescriptor.<com.ywt.gapi.third.taihe.LockOrderRequest, com.ywt.gapi.third.taihe.LockOrderResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.third.taihe.TaiheService", "lockOrder"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.LockOrderRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.LockOrderResponse.getDefaultInstance()))
          .setSchemaDescriptor(new TaiheServiceMethodDescriptorSupplier("lockOrder"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.third.taihe.GetClinicListRequest,
      com.ywt.gapi.third.taihe.GetClinicListResponse> METHOD_GET_CLINIC_LIST =
      io.grpc.MethodDescriptor.<com.ywt.gapi.third.taihe.GetClinicListRequest, com.ywt.gapi.third.taihe.GetClinicListResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.third.taihe.TaiheService", "getClinicList"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.GetClinicListRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.GetClinicListResponse.getDefaultInstance()))
          .setSchemaDescriptor(new TaiheServiceMethodDescriptorSupplier("getClinicList"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.third.taihe.GetDoctorCurrentScheduleRequest,
      com.ywt.gapi.third.taihe.GetDoctorCurrentScheduleResponse> METHOD_GET_DOCTOR_CURRENT_SCHEDULE =
      io.grpc.MethodDescriptor.<com.ywt.gapi.third.taihe.GetDoctorCurrentScheduleRequest, com.ywt.gapi.third.taihe.GetDoctorCurrentScheduleResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.third.taihe.TaiheService", "getDoctorCurrentSchedule"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.GetDoctorCurrentScheduleRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.GetDoctorCurrentScheduleResponse.getDefaultInstance()))
          .setSchemaDescriptor(new TaiheServiceMethodDescriptorSupplier("getDoctorCurrentSchedule"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.third.taihe.PrePayConfirmRequest,
      com.ywt.gapi.third.taihe.PrePayConfirmResponse> METHOD_PRE_PAY_CONFIRM =
      io.grpc.MethodDescriptor.<com.ywt.gapi.third.taihe.PrePayConfirmRequest, com.ywt.gapi.third.taihe.PrePayConfirmResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.third.taihe.TaiheService", "prePayConfirm"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.PrePayConfirmRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.PrePayConfirmResponse.getDefaultInstance()))
          .setSchemaDescriptor(new TaiheServiceMethodDescriptorSupplier("prePayConfirm"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.third.taihe.GetDrugInventoryRequest,
      com.ywt.gapi.third.taihe.GetDrugInventoryResponse> METHOD_GET_DRUG_INVENTORY =
      io.grpc.MethodDescriptor.<com.ywt.gapi.third.taihe.GetDrugInventoryRequest, com.ywt.gapi.third.taihe.GetDrugInventoryResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.third.taihe.TaiheService", "getDrugInventory"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.GetDrugInventoryRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.GetDrugInventoryResponse.getDefaultInstance()))
          .setSchemaDescriptor(new TaiheServiceMethodDescriptorSupplier("getDrugInventory"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.third.taihe.AddDiagnosisRequest,
      com.ywt.gapi.third.taihe.AddDiagnosisResponse> METHOD_ADD_DIAGNOSIS =
      io.grpc.MethodDescriptor.<com.ywt.gapi.third.taihe.AddDiagnosisRequest, com.ywt.gapi.third.taihe.AddDiagnosisResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.third.taihe.TaiheService", "addDiagnosis"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.AddDiagnosisRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.AddDiagnosisResponse.getDefaultInstance()))
          .setSchemaDescriptor(new TaiheServiceMethodDescriptorSupplier("addDiagnosis"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.third.taihe.AddOEORIInfoRequest,
      com.ywt.gapi.third.taihe.AddOEORIInfoResponse> METHOD_ADD_OEORIINFO =
      io.grpc.MethodDescriptor.<com.ywt.gapi.third.taihe.AddOEORIInfoRequest, com.ywt.gapi.third.taihe.AddOEORIInfoResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.third.taihe.TaiheService", "addOEORIInfo"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.AddOEORIInfoRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.AddOEORIInfoResponse.getDefaultInstance()))
          .setSchemaDescriptor(new TaiheServiceMethodDescriptorSupplier("addOEORIInfo"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.third.taihe.CancelOEORIInfoRequest,
      com.ywt.gapi.third.taihe.CancelOEORIInfoResponse> METHOD_CANCEL_OEORIINFO =
      io.grpc.MethodDescriptor.<com.ywt.gapi.third.taihe.CancelOEORIInfoRequest, com.ywt.gapi.third.taihe.CancelOEORIInfoResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.third.taihe.TaiheService", "cancelOEORIInfo"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.CancelOEORIInfoRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.CancelOEORIInfoResponse.getDefaultInstance()))
          .setSchemaDescriptor(new TaiheServiceMethodDescriptorSupplier("cancelOEORIInfo"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.third.taihe.GetInPatInfoRequest,
      com.ywt.gapi.third.taihe.GetInPatInfoResponse> METHOD_GET_IN_PAT_INFO =
      io.grpc.MethodDescriptor.<com.ywt.gapi.third.taihe.GetInPatInfoRequest, com.ywt.gapi.third.taihe.GetInPatInfoResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.third.taihe.TaiheService", "getInPatInfo"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.GetInPatInfoRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.GetInPatInfoResponse.getDefaultInstance()))
          .setSchemaDescriptor(new TaiheServiceMethodDescriptorSupplier("getInPatInfo"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.third.taihe.GetDayFeeListRequest,
      com.ywt.gapi.third.taihe.GetDayFeeListResponse> METHOD_GET_DAY_FEE_LIST =
      io.grpc.MethodDescriptor.<com.ywt.gapi.third.taihe.GetDayFeeListRequest, com.ywt.gapi.third.taihe.GetDayFeeListResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.third.taihe.TaiheService", "getDayFeeList"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.GetDayFeeListRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.GetDayFeeListResponse.getDefaultInstance()))
          .setSchemaDescriptor(new TaiheServiceMethodDescriptorSupplier("getDayFeeList"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.third.taihe.PayCashRequest,
      com.ywt.gapi.third.taihe.PayCashResponse> METHOD_PAY_CASH =
      io.grpc.MethodDescriptor.<com.ywt.gapi.third.taihe.PayCashRequest, com.ywt.gapi.third.taihe.PayCashResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.third.taihe.TaiheService", "payCash"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.PayCashRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.PayCashResponse.getDefaultInstance()))
          .setSchemaDescriptor(new TaiheServiceMethodDescriptorSupplier("payCash"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.third.taihe.GetCashListRequest,
      com.ywt.gapi.third.taihe.GetCashListResponse> METHOD_GET_CASH_LIST =
      io.grpc.MethodDescriptor.<com.ywt.gapi.third.taihe.GetCashListRequest, com.ywt.gapi.third.taihe.GetCashListResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.third.taihe.TaiheService", "getCashList"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.GetCashListRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.GetCashListResponse.getDefaultInstance()))
          .setSchemaDescriptor(new TaiheServiceMethodDescriptorSupplier("getCashList"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.third.taihe.GetCheckInRequest,
      com.ywt.gapi.third.taihe.GetCheckInResponse> METHOD_GET_CHECK_IN =
      io.grpc.MethodDescriptor.<com.ywt.gapi.third.taihe.GetCheckInRequest, com.ywt.gapi.third.taihe.GetCheckInResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.third.taihe.TaiheService", "getCheckIn"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.GetCheckInRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.GetCheckInResponse.getDefaultInstance()))
          .setSchemaDescriptor(new TaiheServiceMethodDescriptorSupplier("getCheckIn"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.third.taihe.CreatePatInfoRequest,
      com.ywt.gapi.third.taihe.CreatePatInfoResponse> METHOD_CREATE_PAT_INFO =
      io.grpc.MethodDescriptor.<com.ywt.gapi.third.taihe.CreatePatInfoRequest, com.ywt.gapi.third.taihe.CreatePatInfoResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.third.taihe.TaiheService", "createPatInfo"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.CreatePatInfoRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.CreatePatInfoResponse.getDefaultInstance()))
          .setSchemaDescriptor(new TaiheServiceMethodDescriptorSupplier("createPatInfo"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.third.taihe.OneKeyRegisterRequest,
      com.ywt.gapi.third.taihe.OneKeyRegisterResponse> METHOD_ONE_KEY_REGISTER =
      io.grpc.MethodDescriptor.<com.ywt.gapi.third.taihe.OneKeyRegisterRequest, com.ywt.gapi.third.taihe.OneKeyRegisterResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.third.taihe.TaiheService", "oneKeyRegister"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.OneKeyRegisterRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.OneKeyRegisterResponse.getDefaultInstance()))
          .setSchemaDescriptor(new TaiheServiceMethodDescriptorSupplier("oneKeyRegister"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.third.taihe.GetDiagnoseRecordRequest,
      com.ywt.gapi.third.taihe.GetDiagnoseRecordResponse> METHOD_GET_DIAGNOSE_RECORD =
      io.grpc.MethodDescriptor.<com.ywt.gapi.third.taihe.GetDiagnoseRecordRequest, com.ywt.gapi.third.taihe.GetDiagnoseRecordResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.third.taihe.TaiheService", "getDiagnoseRecord"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.GetDiagnoseRecordRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.GetDiagnoseRecordResponse.getDefaultInstance()))
          .setSchemaDescriptor(new TaiheServiceMethodDescriptorSupplier("getDiagnoseRecord"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.third.taihe.PhyPayListRequest,
      com.ywt.gapi.third.taihe.PhyPayListResponse> METHOD_PHY_PAY_LIST =
      io.grpc.MethodDescriptor.<com.ywt.gapi.third.taihe.PhyPayListRequest, com.ywt.gapi.third.taihe.PhyPayListResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.third.taihe.TaiheService", "phyPayList"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.PhyPayListRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.PhyPayListResponse.getDefaultInstance()))
          .setSchemaDescriptor(new TaiheServiceMethodDescriptorSupplier("phyPayList"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.third.taihe.PhyPayDetailRequest,
      com.ywt.gapi.third.taihe.PhyPayDetailResponse> METHOD_PHY_PAY_DETAIL =
      io.grpc.MethodDescriptor.<com.ywt.gapi.third.taihe.PhyPayDetailRequest, com.ywt.gapi.third.taihe.PhyPayDetailResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.third.taihe.TaiheService", "phyPayDetail"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.PhyPayDetailRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.PhyPayDetailResponse.getDefaultInstance()))
          .setSchemaDescriptor(new TaiheServiceMethodDescriptorSupplier("phyPayDetail"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.third.taihe.PhyPayOrderRequest,
      com.ywt.gapi.third.taihe.PhyPayOrderResponse> METHOD_PHY_PAY_ORDER =
      io.grpc.MethodDescriptor.<com.ywt.gapi.third.taihe.PhyPayOrderRequest, com.ywt.gapi.third.taihe.PhyPayOrderResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.third.taihe.TaiheService", "phyPayOrder"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.PhyPayOrderRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.PhyPayOrderResponse.getDefaultInstance()))
          .setSchemaDescriptor(new TaiheServiceMethodDescriptorSupplier("phyPayOrder"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.third.taihe.GetEInvoiceRequest,
      com.ywt.gapi.third.taihe.GetEInvoiceResponse> METHOD_GET_EINVOICE =
      io.grpc.MethodDescriptor.<com.ywt.gapi.third.taihe.GetEInvoiceRequest, com.ywt.gapi.third.taihe.GetEInvoiceResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.third.taihe.TaiheService", "getEInvoice"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.GetEInvoiceRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.GetEInvoiceResponse.getDefaultInstance()))
          .setSchemaDescriptor(new TaiheServiceMethodDescriptorSupplier("getEInvoice"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.third.taihe.GetInsuOPDividePreRequest,
      com.ywt.gapi.third.taihe.GetInsuOPDividePreResponse> METHOD_GET_INSU_OPDIVIDE_PRE =
      io.grpc.MethodDescriptor.<com.ywt.gapi.third.taihe.GetInsuOPDividePreRequest, com.ywt.gapi.third.taihe.GetInsuOPDividePreResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.third.taihe.TaiheService", "getInsuOPDividePre"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.GetInsuOPDividePreRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.GetInsuOPDividePreResponse.getDefaultInstance()))
          .setSchemaDescriptor(new TaiheServiceMethodDescriptorSupplier("getInsuOPDividePre"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.third.taihe.GetInsuAdmInfoRequest,
      com.ywt.gapi.third.taihe.GetInsuAdmInfoResponse> METHOD_GET_INSU_ADM_INFO =
      io.grpc.MethodDescriptor.<com.ywt.gapi.third.taihe.GetInsuAdmInfoRequest, com.ywt.gapi.third.taihe.GetInsuAdmInfoResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.third.taihe.TaiheService", "getInsuAdmInfo"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.GetInsuAdmInfoRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.GetInsuAdmInfoResponse.getDefaultInstance()))
          .setSchemaDescriptor(new TaiheServiceMethodDescriptorSupplier("getInsuAdmInfo"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.third.taihe.SaveInsuResultRequest,
      com.ywt.gapi.third.taihe.SaveInsuResultResponse> METHOD_SAVE_INSU_RESULT =
      io.grpc.MethodDescriptor.<com.ywt.gapi.third.taihe.SaveInsuResultRequest, com.ywt.gapi.third.taihe.SaveInsuResultResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.third.taihe.TaiheService", "saveInsuResult"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.SaveInsuResultRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.SaveInsuResultResponse.getDefaultInstance()))
          .setSchemaDescriptor(new TaiheServiceMethodDescriptorSupplier("saveInsuResult"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.third.taihe.PhyReportListRequest,
      com.ywt.gapi.third.taihe.PhyReportListResponse> METHOD_PHY_REPORT_LIST =
      io.grpc.MethodDescriptor.<com.ywt.gapi.third.taihe.PhyReportListRequest, com.ywt.gapi.third.taihe.PhyReportListResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.third.taihe.TaiheService", "phyReportList"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.PhyReportListRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.PhyReportListResponse.getDefaultInstance()))
          .setSchemaDescriptor(new TaiheServiceMethodDescriptorSupplier("phyReportList"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.third.taihe.PhyReportDetailRequest,
      com.ywt.gapi.third.taihe.PhyReportDetailResponse> METHOD_PHY_REPORT_DETAIL =
      io.grpc.MethodDescriptor.<com.ywt.gapi.third.taihe.PhyReportDetailRequest, com.ywt.gapi.third.taihe.PhyReportDetailResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.third.taihe.TaiheService", "phyReportDetail"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.PhyReportDetailRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.third.taihe.PhyReportDetailResponse.getDefaultInstance()))
          .setSchemaDescriptor(new TaiheServiceMethodDescriptorSupplier("phyReportDetail"))
          .build();

  /**
   * Creates a new async stub that supports all call types for the service
   */
  public static TaiheServiceStub newStub(io.grpc.Channel channel) {
    return new TaiheServiceStub(channel);
  }

  /**
   * Creates a new blocking-style stub that supports unary and streaming output calls on the service
   */
  public static TaiheServiceBlockingStub newBlockingStub(
      io.grpc.Channel channel) {
    return new TaiheServiceBlockingStub(channel);
  }

  /**
   * Creates a new ListenableFuture-style stub that supports unary calls on the service
   */
  public static TaiheServiceFutureStub newFutureStub(
      io.grpc.Channel channel) {
    return new TaiheServiceFutureStub(channel);
  }

  /**
   * <pre>
   * 对应 central-control-service 项目的 provider/taihe.js 文件
   * </pre>
   */
  public static abstract class TaiheServiceImplBase implements io.grpc.BindableService {

    /**
     * <pre>
     *获取患者基本信息
     * </pre>
     */
    public void getPatientInfo(com.ywt.gapi.third.taihe.GetPatientInfoRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetPatientInfoResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_GET_PATIENT_INFO, responseObserver);
    }

    /**
     * <pre>
     *获取科室列表
     * </pre>
     */
    public void getDeptList(com.ywt.gapi.third.taihe.GetDeptListRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetDeptListResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_GET_DEPT_LIST, responseObserver);
    }

    /**
     * <pre>
     *获取医生列表
     * </pre>
     */
    public void getDoctorList(com.ywt.gapi.third.taihe.GetDoctorListRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetDoctorListResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_GET_DOCTOR_LIST, responseObserver);
    }

    /**
     * <pre>
     *获取患者病历
     * </pre>
     */
    public void getMedicalRecord(com.ywt.gapi.third.taihe.GetMedicalRecordRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetMedicalRecordResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_GET_MEDICAL_RECORD, responseObserver);
    }

    /**
     * <pre>
     *获取检验报告列表
     * </pre>
     */
    public void getLaboratoryList(com.ywt.gapi.third.taihe.GetLaboratoryListRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetLaboratoryListResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_GET_LABORATORY_LIST, responseObserver);
    }

    /**
     * <pre>
     *获取报告详情
     * </pre>
     */
    public void getLaboratoryDetail(com.ywt.gapi.third.taihe.GetLaboratoryDetailRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetLaboratoryDetailResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_GET_LABORATORY_DETAIL, responseObserver);
    }

    /**
     * <pre>
     *获取排班记录
     * </pre>
     */
    public void getScheduleList(com.ywt.gapi.third.taihe.GetScheduleListRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetScheduleListResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_GET_SCHEDULE_LIST, responseObserver);
    }

    /**
     * <pre>
     *获取医生号源分时信息
     * </pre>
     */
    public void getScheduleTimeInfo(com.ywt.gapi.third.taihe.GetScheduleTimeInfoRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetScheduleTimeInfoResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_GET_SCHEDULE_TIME_INFO, responseObserver);
    }

    /**
     * <pre>
     *获取检查报告列表
     * </pre>
     */
    public void getInspectionList(com.ywt.gapi.third.taihe.GetInspectionListRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetInspectionListResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_GET_INSPECTION_LIST, responseObserver);
    }

    /**
     * <pre>
     *获取检查报告详情
     * </pre>
     */
    public void getInspectionDetail(com.ywt.gapi.third.taihe.GetInspectionDetailRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetInspectionDetailResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_GET_INSPECTION_DETAIL, responseObserver);
    }

    /**
     * <pre>
     *获取排队信息
     * </pre>
     */
    public void getQueueInfo(com.ywt.gapi.third.taihe.GetQueueInfoRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetQueueInfoResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_GET_QUEUE_INFO, responseObserver);
    }

    /**
     * <pre>
     *在线取号
     * </pre>
     */
    public void take(com.ywt.gapi.third.taihe.TakeRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.TakeResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_TAKE, responseObserver);
    }

    /**
     * <pre>
     *取消预约
     * </pre>
     */
    public void cancel(com.ywt.gapi.third.taihe.CancelRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.CancelResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_CANCEL, responseObserver);
    }

    /**
     * <pre>
     *查询挂号记录列表
     * </pre>
     */
    public void getRegistrationList(com.ywt.gapi.third.taihe.GetRegistrationListRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetRegistrationListResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_GET_REGISTRATION_LIST, responseObserver);
    }

    /**
     * <pre>
     *查询挂号记录详情
     * </pre>
     */
    public void getRegistrationDetail(com.ywt.gapi.third.taihe.GetRegistrationDetailRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetRegistrationDetailResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_GET_REGISTRATION_DETAIL, responseObserver);
    }

    /**
     * <pre>
     *挂号
     * </pre>
     */
    public void register(com.ywt.gapi.third.taihe.RegisterRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.RegisterResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_REGISTER, responseObserver);
    }

    /**
     * <pre>
     *挂号支付
     * </pre>
     */
    public void pay(com.ywt.gapi.third.taihe.PayRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.PayResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_PAY, responseObserver);
    }

    /**
     * <pre>
     *挂号无须支付
     * </pre>
     */
    public void payFree(com.ywt.gapi.third.taihe.PayFreeRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.PayFreeResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_PAY_FREE, responseObserver);
    }

    /**
     * <pre>
     *查询门诊缴费记录
     * </pre>
     */
    public void getOutpatientList(com.ywt.gapi.third.taihe.GetOutpatientListRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetOutpatientListResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_GET_OUTPATIENT_LIST, responseObserver);
    }

    /**
     * <pre>
     *查询门诊缴费记录明细
     * </pre>
     */
    public void getPaymentDetail(com.ywt.gapi.third.taihe.GetPaymentDetailRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetPaymentDetailResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_GET_PAYMENT_DETAIL, responseObserver);
    }

    /**
     * <pre>
     *医保试算
     * </pre>
     */
    public void calInsurance(com.ywt.gapi.third.taihe.CalInsuranceRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.CalInsuranceResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_CAL_INSURANCE, responseObserver);
    }

    /**
     * <pre>
     *门诊缴费订单支付（医保结算）
     * </pre>
     */
    public void payOrder(com.ywt.gapi.third.taihe.PayOrderRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.PayOrderResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_PAY_ORDER, responseObserver);
    }

    /**
     * <pre>
     *查询加号信息
     * </pre>
     */
    public void getAddInfo(com.ywt.gapi.third.taihe.GetAddInfoRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetAddInfoResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_GET_ADD_INFO, responseObserver);
    }

    /**
     * <pre>
     *获取治疗指引
     * </pre>
     */
    public void getTreatmentGuide(com.ywt.gapi.third.taihe.GetTreatmentGuideRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetTreatmentGuideResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_GET_TREATMENT_GUIDE, responseObserver);
    }

    /**
     * <pre>
     *获取治疗指引（东华）
     * </pre>
     */
    public void getTreatmentGuideV2(com.ywt.gapi.third.taihe.GetTreatmentGuideV2Request request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetTreatmentGuideV2Response> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_GET_TREATMENT_GUIDE_V2, responseObserver);
    }

    /**
     * <pre>
     *获取太和药品目录信息
     * </pre>
     */
    public void getDrugList(com.ywt.gapi.third.taihe.GetDrugListRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetDrugListResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_GET_DRUG_LIST, responseObserver);
    }

    /**
     * <pre>
     *推送处方信息
     * </pre>
     */
    public void pushPresInfo(com.ywt.gapi.third.taihe.PushPresInfoRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.BaseResult> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_PUSH_PRES_INFO, responseObserver);
    }

    /**
     * <pre>
     *获取处方信息
     * </pre>
     */
    public void getPresInfo(com.ywt.gapi.third.taihe.GetPresInfoRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetPresInfoResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_GET_PRES_INFO, responseObserver);
    }

    /**
     * <pre>
     *根据就诊流水号获取患者基本信息
     * </pre>
     */
    public void getPatInfoByHisClinicCode(com.ywt.gapi.third.taihe.GetPatInfoByHisClinicCodeRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetPatInfoByHisClinicCodeResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_GET_PAT_INFO_BY_HIS_CLINIC_CODE, responseObserver);
    }

    /**
     * <pre>
     * 东华 HIS 挂号锁号
     * </pre>
     */
    public void lockOrder(com.ywt.gapi.third.taihe.LockOrderRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.LockOrderResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_LOCK_ORDER, responseObserver);
    }

    /**
     * <pre>
     * 获取就诊记录列表
     * </pre>
     */
    public void getClinicList(com.ywt.gapi.third.taihe.GetClinicListRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetClinicListResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_GET_CLINIC_LIST, responseObserver);
    }

    /**
     * <pre>
     * 获取医生当前排班信息
     * </pre>
     */
    public void getDoctorCurrentSchedule(com.ywt.gapi.third.taihe.GetDoctorCurrentScheduleRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetDoctorCurrentScheduleResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_GET_DOCTOR_CURRENT_SCHEDULE, responseObserver);
    }

    /**
     * <pre>
     * 预结算
     * </pre>
     */
    public void prePayConfirm(com.ywt.gapi.third.taihe.PrePayConfirmRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.PrePayConfirmResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_PRE_PAY_CONFIRM, responseObserver);
    }

    /**
     * <pre>
     * 查询药品库存
     * </pre>
     */
    public void getDrugInventory(com.ywt.gapi.third.taihe.GetDrugInventoryRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetDrugInventoryResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_GET_DRUG_INVENTORY, responseObserver);
    }

    /**
     * <pre>
     * 插入诊断
     * </pre>
     */
    public void addDiagnosis(com.ywt.gapi.third.taihe.AddDiagnosisRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.AddDiagnosisResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_ADD_DIAGNOSIS, responseObserver);
    }

    /**
     * <pre>
     * 插入医嘱
     * </pre>
     */
    public void addOEORIInfo(com.ywt.gapi.third.taihe.AddOEORIInfoRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.AddOEORIInfoResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_ADD_OEORIINFO, responseObserver);
    }

    /**
     * <pre>
     * 作废医嘱
     * </pre>
     */
    public void cancelOEORIInfo(com.ywt.gapi.third.taihe.CancelOEORIInfoRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.CancelOEORIInfoResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_CANCEL_OEORIINFO, responseObserver);
    }

    /**
     * <pre>
     * 获取住院患者信息
     * </pre>
     */
    public void getInPatInfo(com.ywt.gapi.third.taihe.GetInPatInfoRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetInPatInfoResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_GET_IN_PAT_INFO, responseObserver);
    }

    /**
     * <pre>
     * 日清单列表
     * </pre>
     */
    public void getDayFeeList(com.ywt.gapi.third.taihe.GetDayFeeListRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetDayFeeListResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_GET_DAY_FEE_LIST, responseObserver);
    }

    /**
     * <pre>
     * 住院充值押金
     * </pre>
     */
    public void payCash(com.ywt.gapi.third.taihe.PayCashRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.PayCashResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_PAY_CASH, responseObserver);
    }

    /**
     * <pre>
     * 查询住院押金
     * </pre>
     */
    public void getCashList(com.ywt.gapi.third.taihe.GetCashListRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetCashListResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_GET_CASH_LIST, responseObserver);
    }

    /**
     * <pre>
     *在线自助报到
     * </pre>
     */
    public void getCheckIn(com.ywt.gapi.third.taihe.GetCheckInRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetCheckInResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_GET_CHECK_IN, responseObserver);
    }

    /**
     * <pre>
     * 创建病人主索引
     * </pre>
     */
    public void createPatInfo(com.ywt.gapi.third.taihe.CreatePatInfoRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.CreatePatInfoResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_CREATE_PAT_INFO, responseObserver);
    }

    /**
     * <pre>
     * 一键挂号
     * </pre>
     */
    public void oneKeyRegister(com.ywt.gapi.third.taihe.OneKeyRegisterRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.OneKeyRegisterResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_ONE_KEY_REGISTER, responseObserver);
    }

    /**
     * <pre>
     * 获取患者诊断详情 
     * </pre>
     */
    public void getDiagnoseRecord(com.ywt.gapi.third.taihe.GetDiagnoseRecordRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetDiagnoseRecordResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_GET_DIAGNOSE_RECORD, responseObserver);
    }

    /**
     * <pre>
     * 体检缴费 查找待缴费记录  
     * </pre>
     */
    public void phyPayList(com.ywt.gapi.third.taihe.PhyPayListRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.PhyPayListResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_PHY_PAY_LIST, responseObserver);
    }

    /**
     * <pre>
     * 体检缴费 查找待缴费项目 
     * </pre>
     */
    public void phyPayDetail(com.ywt.gapi.third.taihe.PhyPayDetailRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.PhyPayDetailResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_PHY_PAY_DETAIL, responseObserver);
    }

    /**
     * <pre>
     * 体检缴费 支付接口 
     * </pre>
     */
    public void phyPayOrder(com.ywt.gapi.third.taihe.PhyPayOrderRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.PhyPayOrderResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_PHY_PAY_ORDER, responseObserver);
    }

    /**
     * <pre>
     * 电子票据接口 
     * </pre>
     */
    public void getEInvoice(com.ywt.gapi.third.taihe.GetEInvoiceRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetEInvoiceResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_GET_EINVOICE, responseObserver);
    }

    /**
     * <pre>
     * 调用医保线上接口 
     * </pre>
     */
    public void getInsuOPDividePre(com.ywt.gapi.third.taihe.GetInsuOPDividePreRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetInsuOPDividePreResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_GET_INSU_OPDIVIDE_PRE, responseObserver);
    }

    /**
     * <pre>
     * 获取医保登记信息 
     * </pre>
     */
    public void getInsuAdmInfo(com.ywt.gapi.third.taihe.GetInsuAdmInfoRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetInsuAdmInfoResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_GET_INSU_ADM_INFO, responseObserver);
    }

    /**
     * <pre>
     * 保存医保结算结果 
     * </pre>
     */
    public void saveInsuResult(com.ywt.gapi.third.taihe.SaveInsuResultRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.SaveInsuResultResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_SAVE_INSU_RESULT, responseObserver);
    }

    /**
     * <pre>
     * 体检报告列表
     * </pre>
     */
    public void phyReportList(com.ywt.gapi.third.taihe.PhyReportListRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.PhyReportListResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_PHY_REPORT_LIST, responseObserver);
    }

    /**
     * <pre>
     * 体检报告详情
     * </pre>
     */
    public void phyReportDetail(com.ywt.gapi.third.taihe.PhyReportDetailRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.PhyReportDetailResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_PHY_REPORT_DETAIL, responseObserver);
    }

    @java.lang.Override public final io.grpc.ServerServiceDefinition bindService() {
      return io.grpc.ServerServiceDefinition.builder(getServiceDescriptor())
          .addMethod(
            METHOD_GET_PATIENT_INFO,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.third.taihe.GetPatientInfoRequest,
                com.ywt.gapi.third.taihe.GetPatientInfoResponse>(
                  this, METHODID_GET_PATIENT_INFO)))
          .addMethod(
            METHOD_GET_DEPT_LIST,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.third.taihe.GetDeptListRequest,
                com.ywt.gapi.third.taihe.GetDeptListResponse>(
                  this, METHODID_GET_DEPT_LIST)))
          .addMethod(
            METHOD_GET_DOCTOR_LIST,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.third.taihe.GetDoctorListRequest,
                com.ywt.gapi.third.taihe.GetDoctorListResponse>(
                  this, METHODID_GET_DOCTOR_LIST)))
          .addMethod(
            METHOD_GET_MEDICAL_RECORD,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.third.taihe.GetMedicalRecordRequest,
                com.ywt.gapi.third.taihe.GetMedicalRecordResponse>(
                  this, METHODID_GET_MEDICAL_RECORD)))
          .addMethod(
            METHOD_GET_LABORATORY_LIST,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.third.taihe.GetLaboratoryListRequest,
                com.ywt.gapi.third.taihe.GetLaboratoryListResponse>(
                  this, METHODID_GET_LABORATORY_LIST)))
          .addMethod(
            METHOD_GET_LABORATORY_DETAIL,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.third.taihe.GetLaboratoryDetailRequest,
                com.ywt.gapi.third.taihe.GetLaboratoryDetailResponse>(
                  this, METHODID_GET_LABORATORY_DETAIL)))
          .addMethod(
            METHOD_GET_SCHEDULE_LIST,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.third.taihe.GetScheduleListRequest,
                com.ywt.gapi.third.taihe.GetScheduleListResponse>(
                  this, METHODID_GET_SCHEDULE_LIST)))
          .addMethod(
            METHOD_GET_SCHEDULE_TIME_INFO,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.third.taihe.GetScheduleTimeInfoRequest,
                com.ywt.gapi.third.taihe.GetScheduleTimeInfoResponse>(
                  this, METHODID_GET_SCHEDULE_TIME_INFO)))
          .addMethod(
            METHOD_GET_INSPECTION_LIST,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.third.taihe.GetInspectionListRequest,
                com.ywt.gapi.third.taihe.GetInspectionListResponse>(
                  this, METHODID_GET_INSPECTION_LIST)))
          .addMethod(
            METHOD_GET_INSPECTION_DETAIL,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.third.taihe.GetInspectionDetailRequest,
                com.ywt.gapi.third.taihe.GetInspectionDetailResponse>(
                  this, METHODID_GET_INSPECTION_DETAIL)))
          .addMethod(
            METHOD_GET_QUEUE_INFO,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.third.taihe.GetQueueInfoRequest,
                com.ywt.gapi.third.taihe.GetQueueInfoResponse>(
                  this, METHODID_GET_QUEUE_INFO)))
          .addMethod(
            METHOD_TAKE,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.third.taihe.TakeRequest,
                com.ywt.gapi.third.taihe.TakeResponse>(
                  this, METHODID_TAKE)))
          .addMethod(
            METHOD_CANCEL,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.third.taihe.CancelRequest,
                com.ywt.gapi.third.taihe.CancelResponse>(
                  this, METHODID_CANCEL)))
          .addMethod(
            METHOD_GET_REGISTRATION_LIST,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.third.taihe.GetRegistrationListRequest,
                com.ywt.gapi.third.taihe.GetRegistrationListResponse>(
                  this, METHODID_GET_REGISTRATION_LIST)))
          .addMethod(
            METHOD_GET_REGISTRATION_DETAIL,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.third.taihe.GetRegistrationDetailRequest,
                com.ywt.gapi.third.taihe.GetRegistrationDetailResponse>(
                  this, METHODID_GET_REGISTRATION_DETAIL)))
          .addMethod(
            METHOD_REGISTER,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.third.taihe.RegisterRequest,
                com.ywt.gapi.third.taihe.RegisterResponse>(
                  this, METHODID_REGISTER)))
          .addMethod(
            METHOD_PAY,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.third.taihe.PayRequest,
                com.ywt.gapi.third.taihe.PayResponse>(
                  this, METHODID_PAY)))
          .addMethod(
            METHOD_PAY_FREE,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.third.taihe.PayFreeRequest,
                com.ywt.gapi.third.taihe.PayFreeResponse>(
                  this, METHODID_PAY_FREE)))
          .addMethod(
            METHOD_GET_OUTPATIENT_LIST,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.third.taihe.GetOutpatientListRequest,
                com.ywt.gapi.third.taihe.GetOutpatientListResponse>(
                  this, METHODID_GET_OUTPATIENT_LIST)))
          .addMethod(
            METHOD_GET_PAYMENT_DETAIL,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.third.taihe.GetPaymentDetailRequest,
                com.ywt.gapi.third.taihe.GetPaymentDetailResponse>(
                  this, METHODID_GET_PAYMENT_DETAIL)))
          .addMethod(
            METHOD_CAL_INSURANCE,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.third.taihe.CalInsuranceRequest,
                com.ywt.gapi.third.taihe.CalInsuranceResponse>(
                  this, METHODID_CAL_INSURANCE)))
          .addMethod(
            METHOD_PAY_ORDER,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.third.taihe.PayOrderRequest,
                com.ywt.gapi.third.taihe.PayOrderResponse>(
                  this, METHODID_PAY_ORDER)))
          .addMethod(
            METHOD_GET_ADD_INFO,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.third.taihe.GetAddInfoRequest,
                com.ywt.gapi.third.taihe.GetAddInfoResponse>(
                  this, METHODID_GET_ADD_INFO)))
          .addMethod(
            METHOD_GET_TREATMENT_GUIDE,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.third.taihe.GetTreatmentGuideRequest,
                com.ywt.gapi.third.taihe.GetTreatmentGuideResponse>(
                  this, METHODID_GET_TREATMENT_GUIDE)))
          .addMethod(
            METHOD_GET_TREATMENT_GUIDE_V2,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.third.taihe.GetTreatmentGuideV2Request,
                com.ywt.gapi.third.taihe.GetTreatmentGuideV2Response>(
                  this, METHODID_GET_TREATMENT_GUIDE_V2)))
          .addMethod(
            METHOD_GET_DRUG_LIST,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.third.taihe.GetDrugListRequest,
                com.ywt.gapi.third.taihe.GetDrugListResponse>(
                  this, METHODID_GET_DRUG_LIST)))
          .addMethod(
            METHOD_PUSH_PRES_INFO,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.third.taihe.PushPresInfoRequest,
                com.ywt.gapi.third.taihe.BaseResult>(
                  this, METHODID_PUSH_PRES_INFO)))
          .addMethod(
            METHOD_GET_PRES_INFO,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.third.taihe.GetPresInfoRequest,
                com.ywt.gapi.third.taihe.GetPresInfoResponse>(
                  this, METHODID_GET_PRES_INFO)))
          .addMethod(
            METHOD_GET_PAT_INFO_BY_HIS_CLINIC_CODE,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.third.taihe.GetPatInfoByHisClinicCodeRequest,
                com.ywt.gapi.third.taihe.GetPatInfoByHisClinicCodeResponse>(
                  this, METHODID_GET_PAT_INFO_BY_HIS_CLINIC_CODE)))
          .addMethod(
            METHOD_LOCK_ORDER,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.third.taihe.LockOrderRequest,
                com.ywt.gapi.third.taihe.LockOrderResponse>(
                  this, METHODID_LOCK_ORDER)))
          .addMethod(
            METHOD_GET_CLINIC_LIST,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.third.taihe.GetClinicListRequest,
                com.ywt.gapi.third.taihe.GetClinicListResponse>(
                  this, METHODID_GET_CLINIC_LIST)))
          .addMethod(
            METHOD_GET_DOCTOR_CURRENT_SCHEDULE,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.third.taihe.GetDoctorCurrentScheduleRequest,
                com.ywt.gapi.third.taihe.GetDoctorCurrentScheduleResponse>(
                  this, METHODID_GET_DOCTOR_CURRENT_SCHEDULE)))
          .addMethod(
            METHOD_PRE_PAY_CONFIRM,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.third.taihe.PrePayConfirmRequest,
                com.ywt.gapi.third.taihe.PrePayConfirmResponse>(
                  this, METHODID_PRE_PAY_CONFIRM)))
          .addMethod(
            METHOD_GET_DRUG_INVENTORY,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.third.taihe.GetDrugInventoryRequest,
                com.ywt.gapi.third.taihe.GetDrugInventoryResponse>(
                  this, METHODID_GET_DRUG_INVENTORY)))
          .addMethod(
            METHOD_ADD_DIAGNOSIS,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.third.taihe.AddDiagnosisRequest,
                com.ywt.gapi.third.taihe.AddDiagnosisResponse>(
                  this, METHODID_ADD_DIAGNOSIS)))
          .addMethod(
            METHOD_ADD_OEORIINFO,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.third.taihe.AddOEORIInfoRequest,
                com.ywt.gapi.third.taihe.AddOEORIInfoResponse>(
                  this, METHODID_ADD_OEORIINFO)))
          .addMethod(
            METHOD_CANCEL_OEORIINFO,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.third.taihe.CancelOEORIInfoRequest,
                com.ywt.gapi.third.taihe.CancelOEORIInfoResponse>(
                  this, METHODID_CANCEL_OEORIINFO)))
          .addMethod(
            METHOD_GET_IN_PAT_INFO,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.third.taihe.GetInPatInfoRequest,
                com.ywt.gapi.third.taihe.GetInPatInfoResponse>(
                  this, METHODID_GET_IN_PAT_INFO)))
          .addMethod(
            METHOD_GET_DAY_FEE_LIST,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.third.taihe.GetDayFeeListRequest,
                com.ywt.gapi.third.taihe.GetDayFeeListResponse>(
                  this, METHODID_GET_DAY_FEE_LIST)))
          .addMethod(
            METHOD_PAY_CASH,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.third.taihe.PayCashRequest,
                com.ywt.gapi.third.taihe.PayCashResponse>(
                  this, METHODID_PAY_CASH)))
          .addMethod(
            METHOD_GET_CASH_LIST,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.third.taihe.GetCashListRequest,
                com.ywt.gapi.third.taihe.GetCashListResponse>(
                  this, METHODID_GET_CASH_LIST)))
          .addMethod(
            METHOD_GET_CHECK_IN,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.third.taihe.GetCheckInRequest,
                com.ywt.gapi.third.taihe.GetCheckInResponse>(
                  this, METHODID_GET_CHECK_IN)))
          .addMethod(
            METHOD_CREATE_PAT_INFO,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.third.taihe.CreatePatInfoRequest,
                com.ywt.gapi.third.taihe.CreatePatInfoResponse>(
                  this, METHODID_CREATE_PAT_INFO)))
          .addMethod(
            METHOD_ONE_KEY_REGISTER,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.third.taihe.OneKeyRegisterRequest,
                com.ywt.gapi.third.taihe.OneKeyRegisterResponse>(
                  this, METHODID_ONE_KEY_REGISTER)))
          .addMethod(
            METHOD_GET_DIAGNOSE_RECORD,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.third.taihe.GetDiagnoseRecordRequest,
                com.ywt.gapi.third.taihe.GetDiagnoseRecordResponse>(
                  this, METHODID_GET_DIAGNOSE_RECORD)))
          .addMethod(
            METHOD_PHY_PAY_LIST,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.third.taihe.PhyPayListRequest,
                com.ywt.gapi.third.taihe.PhyPayListResponse>(
                  this, METHODID_PHY_PAY_LIST)))
          .addMethod(
            METHOD_PHY_PAY_DETAIL,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.third.taihe.PhyPayDetailRequest,
                com.ywt.gapi.third.taihe.PhyPayDetailResponse>(
                  this, METHODID_PHY_PAY_DETAIL)))
          .addMethod(
            METHOD_PHY_PAY_ORDER,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.third.taihe.PhyPayOrderRequest,
                com.ywt.gapi.third.taihe.PhyPayOrderResponse>(
                  this, METHODID_PHY_PAY_ORDER)))
          .addMethod(
            METHOD_GET_EINVOICE,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.third.taihe.GetEInvoiceRequest,
                com.ywt.gapi.third.taihe.GetEInvoiceResponse>(
                  this, METHODID_GET_EINVOICE)))
          .addMethod(
            METHOD_GET_INSU_OPDIVIDE_PRE,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.third.taihe.GetInsuOPDividePreRequest,
                com.ywt.gapi.third.taihe.GetInsuOPDividePreResponse>(
                  this, METHODID_GET_INSU_OPDIVIDE_PRE)))
          .addMethod(
            METHOD_GET_INSU_ADM_INFO,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.third.taihe.GetInsuAdmInfoRequest,
                com.ywt.gapi.third.taihe.GetInsuAdmInfoResponse>(
                  this, METHODID_GET_INSU_ADM_INFO)))
          .addMethod(
            METHOD_SAVE_INSU_RESULT,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.third.taihe.SaveInsuResultRequest,
                com.ywt.gapi.third.taihe.SaveInsuResultResponse>(
                  this, METHODID_SAVE_INSU_RESULT)))
          .addMethod(
            METHOD_PHY_REPORT_LIST,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.third.taihe.PhyReportListRequest,
                com.ywt.gapi.third.taihe.PhyReportListResponse>(
                  this, METHODID_PHY_REPORT_LIST)))
          .addMethod(
            METHOD_PHY_REPORT_DETAIL,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.third.taihe.PhyReportDetailRequest,
                com.ywt.gapi.third.taihe.PhyReportDetailResponse>(
                  this, METHODID_PHY_REPORT_DETAIL)))
          .build();
    }
  }

  /**
   * <pre>
   * 对应 central-control-service 项目的 provider/taihe.js 文件
   * </pre>
   */
  public static final class TaiheServiceStub extends io.grpc.stub.AbstractStub<TaiheServiceStub> {
    private TaiheServiceStub(io.grpc.Channel channel) {
      super(channel);
    }

    private TaiheServiceStub(io.grpc.Channel channel,
        io.grpc.CallOptions callOptions) {
      super(channel, callOptions);
    }

    @java.lang.Override
    protected TaiheServiceStub build(io.grpc.Channel channel,
        io.grpc.CallOptions callOptions) {
      return new TaiheServiceStub(channel, callOptions);
    }

    /**
     * <pre>
     *获取患者基本信息
     * </pre>
     */
    public void getPatientInfo(com.ywt.gapi.third.taihe.GetPatientInfoRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetPatientInfoResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_GET_PATIENT_INFO, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     *获取科室列表
     * </pre>
     */
    public void getDeptList(com.ywt.gapi.third.taihe.GetDeptListRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetDeptListResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_GET_DEPT_LIST, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     *获取医生列表
     * </pre>
     */
    public void getDoctorList(com.ywt.gapi.third.taihe.GetDoctorListRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetDoctorListResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_GET_DOCTOR_LIST, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     *获取患者病历
     * </pre>
     */
    public void getMedicalRecord(com.ywt.gapi.third.taihe.GetMedicalRecordRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetMedicalRecordResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_GET_MEDICAL_RECORD, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     *获取检验报告列表
     * </pre>
     */
    public void getLaboratoryList(com.ywt.gapi.third.taihe.GetLaboratoryListRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetLaboratoryListResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_GET_LABORATORY_LIST, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     *获取报告详情
     * </pre>
     */
    public void getLaboratoryDetail(com.ywt.gapi.third.taihe.GetLaboratoryDetailRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetLaboratoryDetailResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_GET_LABORATORY_DETAIL, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     *获取排班记录
     * </pre>
     */
    public void getScheduleList(com.ywt.gapi.third.taihe.GetScheduleListRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetScheduleListResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_GET_SCHEDULE_LIST, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     *获取医生号源分时信息
     * </pre>
     */
    public void getScheduleTimeInfo(com.ywt.gapi.third.taihe.GetScheduleTimeInfoRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetScheduleTimeInfoResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_GET_SCHEDULE_TIME_INFO, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     *获取检查报告列表
     * </pre>
     */
    public void getInspectionList(com.ywt.gapi.third.taihe.GetInspectionListRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetInspectionListResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_GET_INSPECTION_LIST, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     *获取检查报告详情
     * </pre>
     */
    public void getInspectionDetail(com.ywt.gapi.third.taihe.GetInspectionDetailRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetInspectionDetailResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_GET_INSPECTION_DETAIL, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     *获取排队信息
     * </pre>
     */
    public void getQueueInfo(com.ywt.gapi.third.taihe.GetQueueInfoRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetQueueInfoResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_GET_QUEUE_INFO, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     *在线取号
     * </pre>
     */
    public void take(com.ywt.gapi.third.taihe.TakeRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.TakeResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_TAKE, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     *取消预约
     * </pre>
     */
    public void cancel(com.ywt.gapi.third.taihe.CancelRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.CancelResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_CANCEL, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     *查询挂号记录列表
     * </pre>
     */
    public void getRegistrationList(com.ywt.gapi.third.taihe.GetRegistrationListRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetRegistrationListResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_GET_REGISTRATION_LIST, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     *查询挂号记录详情
     * </pre>
     */
    public void getRegistrationDetail(com.ywt.gapi.third.taihe.GetRegistrationDetailRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetRegistrationDetailResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_GET_REGISTRATION_DETAIL, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     *挂号
     * </pre>
     */
    public void register(com.ywt.gapi.third.taihe.RegisterRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.RegisterResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_REGISTER, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     *挂号支付
     * </pre>
     */
    public void pay(com.ywt.gapi.third.taihe.PayRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.PayResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_PAY, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     *挂号无须支付
     * </pre>
     */
    public void payFree(com.ywt.gapi.third.taihe.PayFreeRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.PayFreeResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_PAY_FREE, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     *查询门诊缴费记录
     * </pre>
     */
    public void getOutpatientList(com.ywt.gapi.third.taihe.GetOutpatientListRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetOutpatientListResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_GET_OUTPATIENT_LIST, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     *查询门诊缴费记录明细
     * </pre>
     */
    public void getPaymentDetail(com.ywt.gapi.third.taihe.GetPaymentDetailRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetPaymentDetailResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_GET_PAYMENT_DETAIL, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     *医保试算
     * </pre>
     */
    public void calInsurance(com.ywt.gapi.third.taihe.CalInsuranceRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.CalInsuranceResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_CAL_INSURANCE, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     *门诊缴费订单支付（医保结算）
     * </pre>
     */
    public void payOrder(com.ywt.gapi.third.taihe.PayOrderRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.PayOrderResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_PAY_ORDER, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     *查询加号信息
     * </pre>
     */
    public void getAddInfo(com.ywt.gapi.third.taihe.GetAddInfoRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetAddInfoResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_GET_ADD_INFO, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     *获取治疗指引
     * </pre>
     */
    public void getTreatmentGuide(com.ywt.gapi.third.taihe.GetTreatmentGuideRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetTreatmentGuideResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_GET_TREATMENT_GUIDE, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     *获取治疗指引（东华）
     * </pre>
     */
    public void getTreatmentGuideV2(com.ywt.gapi.third.taihe.GetTreatmentGuideV2Request request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetTreatmentGuideV2Response> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_GET_TREATMENT_GUIDE_V2, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     *获取太和药品目录信息
     * </pre>
     */
    public void getDrugList(com.ywt.gapi.third.taihe.GetDrugListRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetDrugListResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_GET_DRUG_LIST, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     *推送处方信息
     * </pre>
     */
    public void pushPresInfo(com.ywt.gapi.third.taihe.PushPresInfoRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.BaseResult> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_PUSH_PRES_INFO, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     *获取处方信息
     * </pre>
     */
    public void getPresInfo(com.ywt.gapi.third.taihe.GetPresInfoRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetPresInfoResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_GET_PRES_INFO, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     *根据就诊流水号获取患者基本信息
     * </pre>
     */
    public void getPatInfoByHisClinicCode(com.ywt.gapi.third.taihe.GetPatInfoByHisClinicCodeRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetPatInfoByHisClinicCodeResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_GET_PAT_INFO_BY_HIS_CLINIC_CODE, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     * 东华 HIS 挂号锁号
     * </pre>
     */
    public void lockOrder(com.ywt.gapi.third.taihe.LockOrderRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.LockOrderResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_LOCK_ORDER, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     * 获取就诊记录列表
     * </pre>
     */
    public void getClinicList(com.ywt.gapi.third.taihe.GetClinicListRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetClinicListResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_GET_CLINIC_LIST, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     * 获取医生当前排班信息
     * </pre>
     */
    public void getDoctorCurrentSchedule(com.ywt.gapi.third.taihe.GetDoctorCurrentScheduleRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetDoctorCurrentScheduleResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_GET_DOCTOR_CURRENT_SCHEDULE, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     * 预结算
     * </pre>
     */
    public void prePayConfirm(com.ywt.gapi.third.taihe.PrePayConfirmRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.PrePayConfirmResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_PRE_PAY_CONFIRM, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     * 查询药品库存
     * </pre>
     */
    public void getDrugInventory(com.ywt.gapi.third.taihe.GetDrugInventoryRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetDrugInventoryResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_GET_DRUG_INVENTORY, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     * 插入诊断
     * </pre>
     */
    public void addDiagnosis(com.ywt.gapi.third.taihe.AddDiagnosisRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.AddDiagnosisResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_ADD_DIAGNOSIS, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     * 插入医嘱
     * </pre>
     */
    public void addOEORIInfo(com.ywt.gapi.third.taihe.AddOEORIInfoRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.AddOEORIInfoResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_ADD_OEORIINFO, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     * 作废医嘱
     * </pre>
     */
    public void cancelOEORIInfo(com.ywt.gapi.third.taihe.CancelOEORIInfoRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.CancelOEORIInfoResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_CANCEL_OEORIINFO, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     * 获取住院患者信息
     * </pre>
     */
    public void getInPatInfo(com.ywt.gapi.third.taihe.GetInPatInfoRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetInPatInfoResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_GET_IN_PAT_INFO, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     * 日清单列表
     * </pre>
     */
    public void getDayFeeList(com.ywt.gapi.third.taihe.GetDayFeeListRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetDayFeeListResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_GET_DAY_FEE_LIST, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     * 住院充值押金
     * </pre>
     */
    public void payCash(com.ywt.gapi.third.taihe.PayCashRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.PayCashResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_PAY_CASH, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     * 查询住院押金
     * </pre>
     */
    public void getCashList(com.ywt.gapi.third.taihe.GetCashListRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetCashListResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_GET_CASH_LIST, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     *在线自助报到
     * </pre>
     */
    public void getCheckIn(com.ywt.gapi.third.taihe.GetCheckInRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetCheckInResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_GET_CHECK_IN, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     * 创建病人主索引
     * </pre>
     */
    public void createPatInfo(com.ywt.gapi.third.taihe.CreatePatInfoRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.CreatePatInfoResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_CREATE_PAT_INFO, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     * 一键挂号
     * </pre>
     */
    public void oneKeyRegister(com.ywt.gapi.third.taihe.OneKeyRegisterRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.OneKeyRegisterResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_ONE_KEY_REGISTER, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     * 获取患者诊断详情 
     * </pre>
     */
    public void getDiagnoseRecord(com.ywt.gapi.third.taihe.GetDiagnoseRecordRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetDiagnoseRecordResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_GET_DIAGNOSE_RECORD, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     * 体检缴费 查找待缴费记录  
     * </pre>
     */
    public void phyPayList(com.ywt.gapi.third.taihe.PhyPayListRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.PhyPayListResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_PHY_PAY_LIST, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     * 体检缴费 查找待缴费项目 
     * </pre>
     */
    public void phyPayDetail(com.ywt.gapi.third.taihe.PhyPayDetailRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.PhyPayDetailResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_PHY_PAY_DETAIL, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     * 体检缴费 支付接口 
     * </pre>
     */
    public void phyPayOrder(com.ywt.gapi.third.taihe.PhyPayOrderRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.PhyPayOrderResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_PHY_PAY_ORDER, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     * 电子票据接口 
     * </pre>
     */
    public void getEInvoice(com.ywt.gapi.third.taihe.GetEInvoiceRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetEInvoiceResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_GET_EINVOICE, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     * 调用医保线上接口 
     * </pre>
     */
    public void getInsuOPDividePre(com.ywt.gapi.third.taihe.GetInsuOPDividePreRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetInsuOPDividePreResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_GET_INSU_OPDIVIDE_PRE, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     * 获取医保登记信息 
     * </pre>
     */
    public void getInsuAdmInfo(com.ywt.gapi.third.taihe.GetInsuAdmInfoRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetInsuAdmInfoResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_GET_INSU_ADM_INFO, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     * 保存医保结算结果 
     * </pre>
     */
    public void saveInsuResult(com.ywt.gapi.third.taihe.SaveInsuResultRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.SaveInsuResultResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_SAVE_INSU_RESULT, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     * 体检报告列表
     * </pre>
     */
    public void phyReportList(com.ywt.gapi.third.taihe.PhyReportListRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.PhyReportListResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_PHY_REPORT_LIST, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     * 体检报告详情
     * </pre>
     */
    public void phyReportDetail(com.ywt.gapi.third.taihe.PhyReportDetailRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.PhyReportDetailResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_PHY_REPORT_DETAIL, getCallOptions()), request, responseObserver);
    }
  }

  /**
   * <pre>
   * 对应 central-control-service 项目的 provider/taihe.js 文件
   * </pre>
   */
  public static final class TaiheServiceBlockingStub extends io.grpc.stub.AbstractStub<TaiheServiceBlockingStub> {
    private TaiheServiceBlockingStub(io.grpc.Channel channel) {
      super(channel);
    }

    private TaiheServiceBlockingStub(io.grpc.Channel channel,
        io.grpc.CallOptions callOptions) {
      super(channel, callOptions);
    }

    @java.lang.Override
    protected TaiheServiceBlockingStub build(io.grpc.Channel channel,
        io.grpc.CallOptions callOptions) {
      return new TaiheServiceBlockingStub(channel, callOptions);
    }

    /**
     * <pre>
     *获取患者基本信息
     * </pre>
     */
    public com.ywt.gapi.third.taihe.GetPatientInfoResponse getPatientInfo(com.ywt.gapi.third.taihe.GetPatientInfoRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_GET_PATIENT_INFO, getCallOptions(), request);
    }

    /**
     * <pre>
     *获取科室列表
     * </pre>
     */
    public com.ywt.gapi.third.taihe.GetDeptListResponse getDeptList(com.ywt.gapi.third.taihe.GetDeptListRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_GET_DEPT_LIST, getCallOptions(), request);
    }

    /**
     * <pre>
     *获取医生列表
     * </pre>
     */
    public com.ywt.gapi.third.taihe.GetDoctorListResponse getDoctorList(com.ywt.gapi.third.taihe.GetDoctorListRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_GET_DOCTOR_LIST, getCallOptions(), request);
    }

    /**
     * <pre>
     *获取患者病历
     * </pre>
     */
    public com.ywt.gapi.third.taihe.GetMedicalRecordResponse getMedicalRecord(com.ywt.gapi.third.taihe.GetMedicalRecordRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_GET_MEDICAL_RECORD, getCallOptions(), request);
    }

    /**
     * <pre>
     *获取检验报告列表
     * </pre>
     */
    public com.ywt.gapi.third.taihe.GetLaboratoryListResponse getLaboratoryList(com.ywt.gapi.third.taihe.GetLaboratoryListRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_GET_LABORATORY_LIST, getCallOptions(), request);
    }

    /**
     * <pre>
     *获取报告详情
     * </pre>
     */
    public com.ywt.gapi.third.taihe.GetLaboratoryDetailResponse getLaboratoryDetail(com.ywt.gapi.third.taihe.GetLaboratoryDetailRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_GET_LABORATORY_DETAIL, getCallOptions(), request);
    }

    /**
     * <pre>
     *获取排班记录
     * </pre>
     */
    public com.ywt.gapi.third.taihe.GetScheduleListResponse getScheduleList(com.ywt.gapi.third.taihe.GetScheduleListRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_GET_SCHEDULE_LIST, getCallOptions(), request);
    }

    /**
     * <pre>
     *获取医生号源分时信息
     * </pre>
     */
    public com.ywt.gapi.third.taihe.GetScheduleTimeInfoResponse getScheduleTimeInfo(com.ywt.gapi.third.taihe.GetScheduleTimeInfoRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_GET_SCHEDULE_TIME_INFO, getCallOptions(), request);
    }

    /**
     * <pre>
     *获取检查报告列表
     * </pre>
     */
    public com.ywt.gapi.third.taihe.GetInspectionListResponse getInspectionList(com.ywt.gapi.third.taihe.GetInspectionListRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_GET_INSPECTION_LIST, getCallOptions(), request);
    }

    /**
     * <pre>
     *获取检查报告详情
     * </pre>
     */
    public com.ywt.gapi.third.taihe.GetInspectionDetailResponse getInspectionDetail(com.ywt.gapi.third.taihe.GetInspectionDetailRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_GET_INSPECTION_DETAIL, getCallOptions(), request);
    }

    /**
     * <pre>
     *获取排队信息
     * </pre>
     */
    public com.ywt.gapi.third.taihe.GetQueueInfoResponse getQueueInfo(com.ywt.gapi.third.taihe.GetQueueInfoRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_GET_QUEUE_INFO, getCallOptions(), request);
    }

    /**
     * <pre>
     *在线取号
     * </pre>
     */
    public com.ywt.gapi.third.taihe.TakeResponse take(com.ywt.gapi.third.taihe.TakeRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_TAKE, getCallOptions(), request);
    }

    /**
     * <pre>
     *取消预约
     * </pre>
     */
    public com.ywt.gapi.third.taihe.CancelResponse cancel(com.ywt.gapi.third.taihe.CancelRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_CANCEL, getCallOptions(), request);
    }

    /**
     * <pre>
     *查询挂号记录列表
     * </pre>
     */
    public com.ywt.gapi.third.taihe.GetRegistrationListResponse getRegistrationList(com.ywt.gapi.third.taihe.GetRegistrationListRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_GET_REGISTRATION_LIST, getCallOptions(), request);
    }

    /**
     * <pre>
     *查询挂号记录详情
     * </pre>
     */
    public com.ywt.gapi.third.taihe.GetRegistrationDetailResponse getRegistrationDetail(com.ywt.gapi.third.taihe.GetRegistrationDetailRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_GET_REGISTRATION_DETAIL, getCallOptions(), request);
    }

    /**
     * <pre>
     *挂号
     * </pre>
     */
    public com.ywt.gapi.third.taihe.RegisterResponse register(com.ywt.gapi.third.taihe.RegisterRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_REGISTER, getCallOptions(), request);
    }

    /**
     * <pre>
     *挂号支付
     * </pre>
     */
    public com.ywt.gapi.third.taihe.PayResponse pay(com.ywt.gapi.third.taihe.PayRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_PAY, getCallOptions(), request);
    }

    /**
     * <pre>
     *挂号无须支付
     * </pre>
     */
    public com.ywt.gapi.third.taihe.PayFreeResponse payFree(com.ywt.gapi.third.taihe.PayFreeRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_PAY_FREE, getCallOptions(), request);
    }

    /**
     * <pre>
     *查询门诊缴费记录
     * </pre>
     */
    public com.ywt.gapi.third.taihe.GetOutpatientListResponse getOutpatientList(com.ywt.gapi.third.taihe.GetOutpatientListRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_GET_OUTPATIENT_LIST, getCallOptions(), request);
    }

    /**
     * <pre>
     *查询门诊缴费记录明细
     * </pre>
     */
    public com.ywt.gapi.third.taihe.GetPaymentDetailResponse getPaymentDetail(com.ywt.gapi.third.taihe.GetPaymentDetailRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_GET_PAYMENT_DETAIL, getCallOptions(), request);
    }

    /**
     * <pre>
     *医保试算
     * </pre>
     */
    public com.ywt.gapi.third.taihe.CalInsuranceResponse calInsurance(com.ywt.gapi.third.taihe.CalInsuranceRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_CAL_INSURANCE, getCallOptions(), request);
    }

    /**
     * <pre>
     *门诊缴费订单支付（医保结算）
     * </pre>
     */
    public com.ywt.gapi.third.taihe.PayOrderResponse payOrder(com.ywt.gapi.third.taihe.PayOrderRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_PAY_ORDER, getCallOptions(), request);
    }

    /**
     * <pre>
     *查询加号信息
     * </pre>
     */
    public com.ywt.gapi.third.taihe.GetAddInfoResponse getAddInfo(com.ywt.gapi.third.taihe.GetAddInfoRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_GET_ADD_INFO, getCallOptions(), request);
    }

    /**
     * <pre>
     *获取治疗指引
     * </pre>
     */
    public com.ywt.gapi.third.taihe.GetTreatmentGuideResponse getTreatmentGuide(com.ywt.gapi.third.taihe.GetTreatmentGuideRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_GET_TREATMENT_GUIDE, getCallOptions(), request);
    }

    /**
     * <pre>
     *获取治疗指引（东华）
     * </pre>
     */
    public com.ywt.gapi.third.taihe.GetTreatmentGuideV2Response getTreatmentGuideV2(com.ywt.gapi.third.taihe.GetTreatmentGuideV2Request request) {
      return blockingUnaryCall(
          getChannel(), METHOD_GET_TREATMENT_GUIDE_V2, getCallOptions(), request);
    }

    /**
     * <pre>
     *获取太和药品目录信息
     * </pre>
     */
    public com.ywt.gapi.third.taihe.GetDrugListResponse getDrugList(com.ywt.gapi.third.taihe.GetDrugListRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_GET_DRUG_LIST, getCallOptions(), request);
    }

    /**
     * <pre>
     *推送处方信息
     * </pre>
     */
    public com.ywt.gapi.third.taihe.BaseResult pushPresInfo(com.ywt.gapi.third.taihe.PushPresInfoRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_PUSH_PRES_INFO, getCallOptions(), request);
    }

    /**
     * <pre>
     *获取处方信息
     * </pre>
     */
    public com.ywt.gapi.third.taihe.GetPresInfoResponse getPresInfo(com.ywt.gapi.third.taihe.GetPresInfoRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_GET_PRES_INFO, getCallOptions(), request);
    }

    /**
     * <pre>
     *根据就诊流水号获取患者基本信息
     * </pre>
     */
    public com.ywt.gapi.third.taihe.GetPatInfoByHisClinicCodeResponse getPatInfoByHisClinicCode(com.ywt.gapi.third.taihe.GetPatInfoByHisClinicCodeRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_GET_PAT_INFO_BY_HIS_CLINIC_CODE, getCallOptions(), request);
    }

    /**
     * <pre>
     * 东华 HIS 挂号锁号
     * </pre>
     */
    public com.ywt.gapi.third.taihe.LockOrderResponse lockOrder(com.ywt.gapi.third.taihe.LockOrderRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_LOCK_ORDER, getCallOptions(), request);
    }

    /**
     * <pre>
     * 获取就诊记录列表
     * </pre>
     */
    public com.ywt.gapi.third.taihe.GetClinicListResponse getClinicList(com.ywt.gapi.third.taihe.GetClinicListRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_GET_CLINIC_LIST, getCallOptions(), request);
    }

    /**
     * <pre>
     * 获取医生当前排班信息
     * </pre>
     */
    public com.ywt.gapi.third.taihe.GetDoctorCurrentScheduleResponse getDoctorCurrentSchedule(com.ywt.gapi.third.taihe.GetDoctorCurrentScheduleRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_GET_DOCTOR_CURRENT_SCHEDULE, getCallOptions(), request);
    }

    /**
     * <pre>
     * 预结算
     * </pre>
     */
    public com.ywt.gapi.third.taihe.PrePayConfirmResponse prePayConfirm(com.ywt.gapi.third.taihe.PrePayConfirmRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_PRE_PAY_CONFIRM, getCallOptions(), request);
    }

    /**
     * <pre>
     * 查询药品库存
     * </pre>
     */
    public com.ywt.gapi.third.taihe.GetDrugInventoryResponse getDrugInventory(com.ywt.gapi.third.taihe.GetDrugInventoryRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_GET_DRUG_INVENTORY, getCallOptions(), request);
    }

    /**
     * <pre>
     * 插入诊断
     * </pre>
     */
    public com.ywt.gapi.third.taihe.AddDiagnosisResponse addDiagnosis(com.ywt.gapi.third.taihe.AddDiagnosisRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_ADD_DIAGNOSIS, getCallOptions(), request);
    }

    /**
     * <pre>
     * 插入医嘱
     * </pre>
     */
    public com.ywt.gapi.third.taihe.AddOEORIInfoResponse addOEORIInfo(com.ywt.gapi.third.taihe.AddOEORIInfoRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_ADD_OEORIINFO, getCallOptions(), request);
    }

    /**
     * <pre>
     * 作废医嘱
     * </pre>
     */
    public com.ywt.gapi.third.taihe.CancelOEORIInfoResponse cancelOEORIInfo(com.ywt.gapi.third.taihe.CancelOEORIInfoRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_CANCEL_OEORIINFO, getCallOptions(), request);
    }

    /**
     * <pre>
     * 获取住院患者信息
     * </pre>
     */
    public com.ywt.gapi.third.taihe.GetInPatInfoResponse getInPatInfo(com.ywt.gapi.third.taihe.GetInPatInfoRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_GET_IN_PAT_INFO, getCallOptions(), request);
    }

    /**
     * <pre>
     * 日清单列表
     * </pre>
     */
    public com.ywt.gapi.third.taihe.GetDayFeeListResponse getDayFeeList(com.ywt.gapi.third.taihe.GetDayFeeListRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_GET_DAY_FEE_LIST, getCallOptions(), request);
    }

    /**
     * <pre>
     * 住院充值押金
     * </pre>
     */
    public com.ywt.gapi.third.taihe.PayCashResponse payCash(com.ywt.gapi.third.taihe.PayCashRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_PAY_CASH, getCallOptions(), request);
    }

    /**
     * <pre>
     * 查询住院押金
     * </pre>
     */
    public com.ywt.gapi.third.taihe.GetCashListResponse getCashList(com.ywt.gapi.third.taihe.GetCashListRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_GET_CASH_LIST, getCallOptions(), request);
    }

    /**
     * <pre>
     *在线自助报到
     * </pre>
     */
    public com.ywt.gapi.third.taihe.GetCheckInResponse getCheckIn(com.ywt.gapi.third.taihe.GetCheckInRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_GET_CHECK_IN, getCallOptions(), request);
    }

    /**
     * <pre>
     * 创建病人主索引
     * </pre>
     */
    public com.ywt.gapi.third.taihe.CreatePatInfoResponse createPatInfo(com.ywt.gapi.third.taihe.CreatePatInfoRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_CREATE_PAT_INFO, getCallOptions(), request);
    }

    /**
     * <pre>
     * 一键挂号
     * </pre>
     */
    public com.ywt.gapi.third.taihe.OneKeyRegisterResponse oneKeyRegister(com.ywt.gapi.third.taihe.OneKeyRegisterRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_ONE_KEY_REGISTER, getCallOptions(), request);
    }

    /**
     * <pre>
     * 获取患者诊断详情 
     * </pre>
     */
    public com.ywt.gapi.third.taihe.GetDiagnoseRecordResponse getDiagnoseRecord(com.ywt.gapi.third.taihe.GetDiagnoseRecordRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_GET_DIAGNOSE_RECORD, getCallOptions(), request);
    }

    /**
     * <pre>
     * 体检缴费 查找待缴费记录  
     * </pre>
     */
    public com.ywt.gapi.third.taihe.PhyPayListResponse phyPayList(com.ywt.gapi.third.taihe.PhyPayListRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_PHY_PAY_LIST, getCallOptions(), request);
    }

    /**
     * <pre>
     * 体检缴费 查找待缴费项目 
     * </pre>
     */
    public com.ywt.gapi.third.taihe.PhyPayDetailResponse phyPayDetail(com.ywt.gapi.third.taihe.PhyPayDetailRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_PHY_PAY_DETAIL, getCallOptions(), request);
    }

    /**
     * <pre>
     * 体检缴费 支付接口 
     * </pre>
     */
    public com.ywt.gapi.third.taihe.PhyPayOrderResponse phyPayOrder(com.ywt.gapi.third.taihe.PhyPayOrderRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_PHY_PAY_ORDER, getCallOptions(), request);
    }

    /**
     * <pre>
     * 电子票据接口 
     * </pre>
     */
    public com.ywt.gapi.third.taihe.GetEInvoiceResponse getEInvoice(com.ywt.gapi.third.taihe.GetEInvoiceRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_GET_EINVOICE, getCallOptions(), request);
    }

    /**
     * <pre>
     * 调用医保线上接口 
     * </pre>
     */
    public com.ywt.gapi.third.taihe.GetInsuOPDividePreResponse getInsuOPDividePre(com.ywt.gapi.third.taihe.GetInsuOPDividePreRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_GET_INSU_OPDIVIDE_PRE, getCallOptions(), request);
    }

    /**
     * <pre>
     * 获取医保登记信息 
     * </pre>
     */
    public com.ywt.gapi.third.taihe.GetInsuAdmInfoResponse getInsuAdmInfo(com.ywt.gapi.third.taihe.GetInsuAdmInfoRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_GET_INSU_ADM_INFO, getCallOptions(), request);
    }

    /**
     * <pre>
     * 保存医保结算结果 
     * </pre>
     */
    public com.ywt.gapi.third.taihe.SaveInsuResultResponse saveInsuResult(com.ywt.gapi.third.taihe.SaveInsuResultRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_SAVE_INSU_RESULT, getCallOptions(), request);
    }

    /**
     * <pre>
     * 体检报告列表
     * </pre>
     */
    public com.ywt.gapi.third.taihe.PhyReportListResponse phyReportList(com.ywt.gapi.third.taihe.PhyReportListRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_PHY_REPORT_LIST, getCallOptions(), request);
    }

    /**
     * <pre>
     * 体检报告详情
     * </pre>
     */
    public com.ywt.gapi.third.taihe.PhyReportDetailResponse phyReportDetail(com.ywt.gapi.third.taihe.PhyReportDetailRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_PHY_REPORT_DETAIL, getCallOptions(), request);
    }
  }

  /**
   * <pre>
   * 对应 central-control-service 项目的 provider/taihe.js 文件
   * </pre>
   */
  public static final class TaiheServiceFutureStub extends io.grpc.stub.AbstractStub<TaiheServiceFutureStub> {
    private TaiheServiceFutureStub(io.grpc.Channel channel) {
      super(channel);
    }

    private TaiheServiceFutureStub(io.grpc.Channel channel,
        io.grpc.CallOptions callOptions) {
      super(channel, callOptions);
    }

    @java.lang.Override
    protected TaiheServiceFutureStub build(io.grpc.Channel channel,
        io.grpc.CallOptions callOptions) {
      return new TaiheServiceFutureStub(channel, callOptions);
    }

    /**
     * <pre>
     *获取患者基本信息
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.third.taihe.GetPatientInfoResponse> getPatientInfo(
        com.ywt.gapi.third.taihe.GetPatientInfoRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_GET_PATIENT_INFO, getCallOptions()), request);
    }

    /**
     * <pre>
     *获取科室列表
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.third.taihe.GetDeptListResponse> getDeptList(
        com.ywt.gapi.third.taihe.GetDeptListRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_GET_DEPT_LIST, getCallOptions()), request);
    }

    /**
     * <pre>
     *获取医生列表
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.third.taihe.GetDoctorListResponse> getDoctorList(
        com.ywt.gapi.third.taihe.GetDoctorListRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_GET_DOCTOR_LIST, getCallOptions()), request);
    }

    /**
     * <pre>
     *获取患者病历
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.third.taihe.GetMedicalRecordResponse> getMedicalRecord(
        com.ywt.gapi.third.taihe.GetMedicalRecordRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_GET_MEDICAL_RECORD, getCallOptions()), request);
    }

    /**
     * <pre>
     *获取检验报告列表
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.third.taihe.GetLaboratoryListResponse> getLaboratoryList(
        com.ywt.gapi.third.taihe.GetLaboratoryListRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_GET_LABORATORY_LIST, getCallOptions()), request);
    }

    /**
     * <pre>
     *获取报告详情
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.third.taihe.GetLaboratoryDetailResponse> getLaboratoryDetail(
        com.ywt.gapi.third.taihe.GetLaboratoryDetailRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_GET_LABORATORY_DETAIL, getCallOptions()), request);
    }

    /**
     * <pre>
     *获取排班记录
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.third.taihe.GetScheduleListResponse> getScheduleList(
        com.ywt.gapi.third.taihe.GetScheduleListRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_GET_SCHEDULE_LIST, getCallOptions()), request);
    }

    /**
     * <pre>
     *获取医生号源分时信息
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.third.taihe.GetScheduleTimeInfoResponse> getScheduleTimeInfo(
        com.ywt.gapi.third.taihe.GetScheduleTimeInfoRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_GET_SCHEDULE_TIME_INFO, getCallOptions()), request);
    }

    /**
     * <pre>
     *获取检查报告列表
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.third.taihe.GetInspectionListResponse> getInspectionList(
        com.ywt.gapi.third.taihe.GetInspectionListRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_GET_INSPECTION_LIST, getCallOptions()), request);
    }

    /**
     * <pre>
     *获取检查报告详情
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.third.taihe.GetInspectionDetailResponse> getInspectionDetail(
        com.ywt.gapi.third.taihe.GetInspectionDetailRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_GET_INSPECTION_DETAIL, getCallOptions()), request);
    }

    /**
     * <pre>
     *获取排队信息
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.third.taihe.GetQueueInfoResponse> getQueueInfo(
        com.ywt.gapi.third.taihe.GetQueueInfoRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_GET_QUEUE_INFO, getCallOptions()), request);
    }

    /**
     * <pre>
     *在线取号
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.third.taihe.TakeResponse> take(
        com.ywt.gapi.third.taihe.TakeRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_TAKE, getCallOptions()), request);
    }

    /**
     * <pre>
     *取消预约
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.third.taihe.CancelResponse> cancel(
        com.ywt.gapi.third.taihe.CancelRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_CANCEL, getCallOptions()), request);
    }

    /**
     * <pre>
     *查询挂号记录列表
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.third.taihe.GetRegistrationListResponse> getRegistrationList(
        com.ywt.gapi.third.taihe.GetRegistrationListRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_GET_REGISTRATION_LIST, getCallOptions()), request);
    }

    /**
     * <pre>
     *查询挂号记录详情
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.third.taihe.GetRegistrationDetailResponse> getRegistrationDetail(
        com.ywt.gapi.third.taihe.GetRegistrationDetailRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_GET_REGISTRATION_DETAIL, getCallOptions()), request);
    }

    /**
     * <pre>
     *挂号
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.third.taihe.RegisterResponse> register(
        com.ywt.gapi.third.taihe.RegisterRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_REGISTER, getCallOptions()), request);
    }

    /**
     * <pre>
     *挂号支付
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.third.taihe.PayResponse> pay(
        com.ywt.gapi.third.taihe.PayRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_PAY, getCallOptions()), request);
    }

    /**
     * <pre>
     *挂号无须支付
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.third.taihe.PayFreeResponse> payFree(
        com.ywt.gapi.third.taihe.PayFreeRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_PAY_FREE, getCallOptions()), request);
    }

    /**
     * <pre>
     *查询门诊缴费记录
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.third.taihe.GetOutpatientListResponse> getOutpatientList(
        com.ywt.gapi.third.taihe.GetOutpatientListRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_GET_OUTPATIENT_LIST, getCallOptions()), request);
    }

    /**
     * <pre>
     *查询门诊缴费记录明细
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.third.taihe.GetPaymentDetailResponse> getPaymentDetail(
        com.ywt.gapi.third.taihe.GetPaymentDetailRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_GET_PAYMENT_DETAIL, getCallOptions()), request);
    }

    /**
     * <pre>
     *医保试算
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.third.taihe.CalInsuranceResponse> calInsurance(
        com.ywt.gapi.third.taihe.CalInsuranceRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_CAL_INSURANCE, getCallOptions()), request);
    }

    /**
     * <pre>
     *门诊缴费订单支付（医保结算）
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.third.taihe.PayOrderResponse> payOrder(
        com.ywt.gapi.third.taihe.PayOrderRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_PAY_ORDER, getCallOptions()), request);
    }

    /**
     * <pre>
     *查询加号信息
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.third.taihe.GetAddInfoResponse> getAddInfo(
        com.ywt.gapi.third.taihe.GetAddInfoRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_GET_ADD_INFO, getCallOptions()), request);
    }

    /**
     * <pre>
     *获取治疗指引
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.third.taihe.GetTreatmentGuideResponse> getTreatmentGuide(
        com.ywt.gapi.third.taihe.GetTreatmentGuideRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_GET_TREATMENT_GUIDE, getCallOptions()), request);
    }

    /**
     * <pre>
     *获取治疗指引（东华）
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.third.taihe.GetTreatmentGuideV2Response> getTreatmentGuideV2(
        com.ywt.gapi.third.taihe.GetTreatmentGuideV2Request request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_GET_TREATMENT_GUIDE_V2, getCallOptions()), request);
    }

    /**
     * <pre>
     *获取太和药品目录信息
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.third.taihe.GetDrugListResponse> getDrugList(
        com.ywt.gapi.third.taihe.GetDrugListRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_GET_DRUG_LIST, getCallOptions()), request);
    }

    /**
     * <pre>
     *推送处方信息
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.third.taihe.BaseResult> pushPresInfo(
        com.ywt.gapi.third.taihe.PushPresInfoRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_PUSH_PRES_INFO, getCallOptions()), request);
    }

    /**
     * <pre>
     *获取处方信息
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.third.taihe.GetPresInfoResponse> getPresInfo(
        com.ywt.gapi.third.taihe.GetPresInfoRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_GET_PRES_INFO, getCallOptions()), request);
    }

    /**
     * <pre>
     *根据就诊流水号获取患者基本信息
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.third.taihe.GetPatInfoByHisClinicCodeResponse> getPatInfoByHisClinicCode(
        com.ywt.gapi.third.taihe.GetPatInfoByHisClinicCodeRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_GET_PAT_INFO_BY_HIS_CLINIC_CODE, getCallOptions()), request);
    }

    /**
     * <pre>
     * 东华 HIS 挂号锁号
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.third.taihe.LockOrderResponse> lockOrder(
        com.ywt.gapi.third.taihe.LockOrderRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_LOCK_ORDER, getCallOptions()), request);
    }

    /**
     * <pre>
     * 获取就诊记录列表
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.third.taihe.GetClinicListResponse> getClinicList(
        com.ywt.gapi.third.taihe.GetClinicListRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_GET_CLINIC_LIST, getCallOptions()), request);
    }

    /**
     * <pre>
     * 获取医生当前排班信息
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.third.taihe.GetDoctorCurrentScheduleResponse> getDoctorCurrentSchedule(
        com.ywt.gapi.third.taihe.GetDoctorCurrentScheduleRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_GET_DOCTOR_CURRENT_SCHEDULE, getCallOptions()), request);
    }

    /**
     * <pre>
     * 预结算
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.third.taihe.PrePayConfirmResponse> prePayConfirm(
        com.ywt.gapi.third.taihe.PrePayConfirmRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_PRE_PAY_CONFIRM, getCallOptions()), request);
    }

    /**
     * <pre>
     * 查询药品库存
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.third.taihe.GetDrugInventoryResponse> getDrugInventory(
        com.ywt.gapi.third.taihe.GetDrugInventoryRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_GET_DRUG_INVENTORY, getCallOptions()), request);
    }

    /**
     * <pre>
     * 插入诊断
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.third.taihe.AddDiagnosisResponse> addDiagnosis(
        com.ywt.gapi.third.taihe.AddDiagnosisRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_ADD_DIAGNOSIS, getCallOptions()), request);
    }

    /**
     * <pre>
     * 插入医嘱
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.third.taihe.AddOEORIInfoResponse> addOEORIInfo(
        com.ywt.gapi.third.taihe.AddOEORIInfoRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_ADD_OEORIINFO, getCallOptions()), request);
    }

    /**
     * <pre>
     * 作废医嘱
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.third.taihe.CancelOEORIInfoResponse> cancelOEORIInfo(
        com.ywt.gapi.third.taihe.CancelOEORIInfoRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_CANCEL_OEORIINFO, getCallOptions()), request);
    }

    /**
     * <pre>
     * 获取住院患者信息
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.third.taihe.GetInPatInfoResponse> getInPatInfo(
        com.ywt.gapi.third.taihe.GetInPatInfoRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_GET_IN_PAT_INFO, getCallOptions()), request);
    }

    /**
     * <pre>
     * 日清单列表
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.third.taihe.GetDayFeeListResponse> getDayFeeList(
        com.ywt.gapi.third.taihe.GetDayFeeListRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_GET_DAY_FEE_LIST, getCallOptions()), request);
    }

    /**
     * <pre>
     * 住院充值押金
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.third.taihe.PayCashResponse> payCash(
        com.ywt.gapi.third.taihe.PayCashRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_PAY_CASH, getCallOptions()), request);
    }

    /**
     * <pre>
     * 查询住院押金
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.third.taihe.GetCashListResponse> getCashList(
        com.ywt.gapi.third.taihe.GetCashListRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_GET_CASH_LIST, getCallOptions()), request);
    }

    /**
     * <pre>
     *在线自助报到
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.third.taihe.GetCheckInResponse> getCheckIn(
        com.ywt.gapi.third.taihe.GetCheckInRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_GET_CHECK_IN, getCallOptions()), request);
    }

    /**
     * <pre>
     * 创建病人主索引
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.third.taihe.CreatePatInfoResponse> createPatInfo(
        com.ywt.gapi.third.taihe.CreatePatInfoRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_CREATE_PAT_INFO, getCallOptions()), request);
    }

    /**
     * <pre>
     * 一键挂号
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.third.taihe.OneKeyRegisterResponse> oneKeyRegister(
        com.ywt.gapi.third.taihe.OneKeyRegisterRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_ONE_KEY_REGISTER, getCallOptions()), request);
    }

    /**
     * <pre>
     * 获取患者诊断详情 
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.third.taihe.GetDiagnoseRecordResponse> getDiagnoseRecord(
        com.ywt.gapi.third.taihe.GetDiagnoseRecordRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_GET_DIAGNOSE_RECORD, getCallOptions()), request);
    }

    /**
     * <pre>
     * 体检缴费 查找待缴费记录  
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.third.taihe.PhyPayListResponse> phyPayList(
        com.ywt.gapi.third.taihe.PhyPayListRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_PHY_PAY_LIST, getCallOptions()), request);
    }

    /**
     * <pre>
     * 体检缴费 查找待缴费项目 
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.third.taihe.PhyPayDetailResponse> phyPayDetail(
        com.ywt.gapi.third.taihe.PhyPayDetailRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_PHY_PAY_DETAIL, getCallOptions()), request);
    }

    /**
     * <pre>
     * 体检缴费 支付接口 
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.third.taihe.PhyPayOrderResponse> phyPayOrder(
        com.ywt.gapi.third.taihe.PhyPayOrderRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_PHY_PAY_ORDER, getCallOptions()), request);
    }

    /**
     * <pre>
     * 电子票据接口 
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.third.taihe.GetEInvoiceResponse> getEInvoice(
        com.ywt.gapi.third.taihe.GetEInvoiceRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_GET_EINVOICE, getCallOptions()), request);
    }

    /**
     * <pre>
     * 调用医保线上接口 
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.third.taihe.GetInsuOPDividePreResponse> getInsuOPDividePre(
        com.ywt.gapi.third.taihe.GetInsuOPDividePreRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_GET_INSU_OPDIVIDE_PRE, getCallOptions()), request);
    }

    /**
     * <pre>
     * 获取医保登记信息 
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.third.taihe.GetInsuAdmInfoResponse> getInsuAdmInfo(
        com.ywt.gapi.third.taihe.GetInsuAdmInfoRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_GET_INSU_ADM_INFO, getCallOptions()), request);
    }

    /**
     * <pre>
     * 保存医保结算结果 
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.third.taihe.SaveInsuResultResponse> saveInsuResult(
        com.ywt.gapi.third.taihe.SaveInsuResultRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_SAVE_INSU_RESULT, getCallOptions()), request);
    }

    /**
     * <pre>
     * 体检报告列表
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.third.taihe.PhyReportListResponse> phyReportList(
        com.ywt.gapi.third.taihe.PhyReportListRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_PHY_REPORT_LIST, getCallOptions()), request);
    }

    /**
     * <pre>
     * 体检报告详情
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.third.taihe.PhyReportDetailResponse> phyReportDetail(
        com.ywt.gapi.third.taihe.PhyReportDetailRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_PHY_REPORT_DETAIL, getCallOptions()), request);
    }
  }

  private static final int METHODID_GET_PATIENT_INFO = 0;
  private static final int METHODID_GET_DEPT_LIST = 1;
  private static final int METHODID_GET_DOCTOR_LIST = 2;
  private static final int METHODID_GET_MEDICAL_RECORD = 3;
  private static final int METHODID_GET_LABORATORY_LIST = 4;
  private static final int METHODID_GET_LABORATORY_DETAIL = 5;
  private static final int METHODID_GET_SCHEDULE_LIST = 6;
  private static final int METHODID_GET_SCHEDULE_TIME_INFO = 7;
  private static final int METHODID_GET_INSPECTION_LIST = 8;
  private static final int METHODID_GET_INSPECTION_DETAIL = 9;
  private static final int METHODID_GET_QUEUE_INFO = 10;
  private static final int METHODID_TAKE = 11;
  private static final int METHODID_CANCEL = 12;
  private static final int METHODID_GET_REGISTRATION_LIST = 13;
  private static final int METHODID_GET_REGISTRATION_DETAIL = 14;
  private static final int METHODID_REGISTER = 15;
  private static final int METHODID_PAY = 16;
  private static final int METHODID_PAY_FREE = 17;
  private static final int METHODID_GET_OUTPATIENT_LIST = 18;
  private static final int METHODID_GET_PAYMENT_DETAIL = 19;
  private static final int METHODID_CAL_INSURANCE = 20;
  private static final int METHODID_PAY_ORDER = 21;
  private static final int METHODID_GET_ADD_INFO = 22;
  private static final int METHODID_GET_TREATMENT_GUIDE = 23;
  private static final int METHODID_GET_TREATMENT_GUIDE_V2 = 24;
  private static final int METHODID_GET_DRUG_LIST = 25;
  private static final int METHODID_PUSH_PRES_INFO = 26;
  private static final int METHODID_GET_PRES_INFO = 27;
  private static final int METHODID_GET_PAT_INFO_BY_HIS_CLINIC_CODE = 28;
  private static final int METHODID_LOCK_ORDER = 29;
  private static final int METHODID_GET_CLINIC_LIST = 30;
  private static final int METHODID_GET_DOCTOR_CURRENT_SCHEDULE = 31;
  private static final int METHODID_PRE_PAY_CONFIRM = 32;
  private static final int METHODID_GET_DRUG_INVENTORY = 33;
  private static final int METHODID_ADD_DIAGNOSIS = 34;
  private static final int METHODID_ADD_OEORIINFO = 35;
  private static final int METHODID_CANCEL_OEORIINFO = 36;
  private static final int METHODID_GET_IN_PAT_INFO = 37;
  private static final int METHODID_GET_DAY_FEE_LIST = 38;
  private static final int METHODID_PAY_CASH = 39;
  private static final int METHODID_GET_CASH_LIST = 40;
  private static final int METHODID_GET_CHECK_IN = 41;
  private static final int METHODID_CREATE_PAT_INFO = 42;
  private static final int METHODID_ONE_KEY_REGISTER = 43;
  private static final int METHODID_GET_DIAGNOSE_RECORD = 44;
  private static final int METHODID_PHY_PAY_LIST = 45;
  private static final int METHODID_PHY_PAY_DETAIL = 46;
  private static final int METHODID_PHY_PAY_ORDER = 47;
  private static final int METHODID_GET_EINVOICE = 48;
  private static final int METHODID_GET_INSU_OPDIVIDE_PRE = 49;
  private static final int METHODID_GET_INSU_ADM_INFO = 50;
  private static final int METHODID_SAVE_INSU_RESULT = 51;
  private static final int METHODID_PHY_REPORT_LIST = 52;
  private static final int METHODID_PHY_REPORT_DETAIL = 53;

  private static final class MethodHandlers<Req, Resp> implements
      io.grpc.stub.ServerCalls.UnaryMethod<Req, Resp>,
      io.grpc.stub.ServerCalls.ServerStreamingMethod<Req, Resp>,
      io.grpc.stub.ServerCalls.ClientStreamingMethod<Req, Resp>,
      io.grpc.stub.ServerCalls.BidiStreamingMethod<Req, Resp> {
    private final TaiheServiceImplBase serviceImpl;
    private final int methodId;

    MethodHandlers(TaiheServiceImplBase serviceImpl, int methodId) {
      this.serviceImpl = serviceImpl;
      this.methodId = methodId;
    }

    @java.lang.Override
    @java.lang.SuppressWarnings("unchecked")
    public void invoke(Req request, io.grpc.stub.StreamObserver<Resp> responseObserver) {
      switch (methodId) {
        case METHODID_GET_PATIENT_INFO:
          serviceImpl.getPatientInfo((com.ywt.gapi.third.taihe.GetPatientInfoRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetPatientInfoResponse>) responseObserver);
          break;
        case METHODID_GET_DEPT_LIST:
          serviceImpl.getDeptList((com.ywt.gapi.third.taihe.GetDeptListRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetDeptListResponse>) responseObserver);
          break;
        case METHODID_GET_DOCTOR_LIST:
          serviceImpl.getDoctorList((com.ywt.gapi.third.taihe.GetDoctorListRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetDoctorListResponse>) responseObserver);
          break;
        case METHODID_GET_MEDICAL_RECORD:
          serviceImpl.getMedicalRecord((com.ywt.gapi.third.taihe.GetMedicalRecordRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetMedicalRecordResponse>) responseObserver);
          break;
        case METHODID_GET_LABORATORY_LIST:
          serviceImpl.getLaboratoryList((com.ywt.gapi.third.taihe.GetLaboratoryListRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetLaboratoryListResponse>) responseObserver);
          break;
        case METHODID_GET_LABORATORY_DETAIL:
          serviceImpl.getLaboratoryDetail((com.ywt.gapi.third.taihe.GetLaboratoryDetailRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetLaboratoryDetailResponse>) responseObserver);
          break;
        case METHODID_GET_SCHEDULE_LIST:
          serviceImpl.getScheduleList((com.ywt.gapi.third.taihe.GetScheduleListRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetScheduleListResponse>) responseObserver);
          break;
        case METHODID_GET_SCHEDULE_TIME_INFO:
          serviceImpl.getScheduleTimeInfo((com.ywt.gapi.third.taihe.GetScheduleTimeInfoRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetScheduleTimeInfoResponse>) responseObserver);
          break;
        case METHODID_GET_INSPECTION_LIST:
          serviceImpl.getInspectionList((com.ywt.gapi.third.taihe.GetInspectionListRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetInspectionListResponse>) responseObserver);
          break;
        case METHODID_GET_INSPECTION_DETAIL:
          serviceImpl.getInspectionDetail((com.ywt.gapi.third.taihe.GetInspectionDetailRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetInspectionDetailResponse>) responseObserver);
          break;
        case METHODID_GET_QUEUE_INFO:
          serviceImpl.getQueueInfo((com.ywt.gapi.third.taihe.GetQueueInfoRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetQueueInfoResponse>) responseObserver);
          break;
        case METHODID_TAKE:
          serviceImpl.take((com.ywt.gapi.third.taihe.TakeRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.TakeResponse>) responseObserver);
          break;
        case METHODID_CANCEL:
          serviceImpl.cancel((com.ywt.gapi.third.taihe.CancelRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.CancelResponse>) responseObserver);
          break;
        case METHODID_GET_REGISTRATION_LIST:
          serviceImpl.getRegistrationList((com.ywt.gapi.third.taihe.GetRegistrationListRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetRegistrationListResponse>) responseObserver);
          break;
        case METHODID_GET_REGISTRATION_DETAIL:
          serviceImpl.getRegistrationDetail((com.ywt.gapi.third.taihe.GetRegistrationDetailRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetRegistrationDetailResponse>) responseObserver);
          break;
        case METHODID_REGISTER:
          serviceImpl.register((com.ywt.gapi.third.taihe.RegisterRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.RegisterResponse>) responseObserver);
          break;
        case METHODID_PAY:
          serviceImpl.pay((com.ywt.gapi.third.taihe.PayRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.PayResponse>) responseObserver);
          break;
        case METHODID_PAY_FREE:
          serviceImpl.payFree((com.ywt.gapi.third.taihe.PayFreeRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.PayFreeResponse>) responseObserver);
          break;
        case METHODID_GET_OUTPATIENT_LIST:
          serviceImpl.getOutpatientList((com.ywt.gapi.third.taihe.GetOutpatientListRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetOutpatientListResponse>) responseObserver);
          break;
        case METHODID_GET_PAYMENT_DETAIL:
          serviceImpl.getPaymentDetail((com.ywt.gapi.third.taihe.GetPaymentDetailRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetPaymentDetailResponse>) responseObserver);
          break;
        case METHODID_CAL_INSURANCE:
          serviceImpl.calInsurance((com.ywt.gapi.third.taihe.CalInsuranceRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.CalInsuranceResponse>) responseObserver);
          break;
        case METHODID_PAY_ORDER:
          serviceImpl.payOrder((com.ywt.gapi.third.taihe.PayOrderRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.PayOrderResponse>) responseObserver);
          break;
        case METHODID_GET_ADD_INFO:
          serviceImpl.getAddInfo((com.ywt.gapi.third.taihe.GetAddInfoRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetAddInfoResponse>) responseObserver);
          break;
        case METHODID_GET_TREATMENT_GUIDE:
          serviceImpl.getTreatmentGuide((com.ywt.gapi.third.taihe.GetTreatmentGuideRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetTreatmentGuideResponse>) responseObserver);
          break;
        case METHODID_GET_TREATMENT_GUIDE_V2:
          serviceImpl.getTreatmentGuideV2((com.ywt.gapi.third.taihe.GetTreatmentGuideV2Request) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetTreatmentGuideV2Response>) responseObserver);
          break;
        case METHODID_GET_DRUG_LIST:
          serviceImpl.getDrugList((com.ywt.gapi.third.taihe.GetDrugListRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetDrugListResponse>) responseObserver);
          break;
        case METHODID_PUSH_PRES_INFO:
          serviceImpl.pushPresInfo((com.ywt.gapi.third.taihe.PushPresInfoRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.BaseResult>) responseObserver);
          break;
        case METHODID_GET_PRES_INFO:
          serviceImpl.getPresInfo((com.ywt.gapi.third.taihe.GetPresInfoRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetPresInfoResponse>) responseObserver);
          break;
        case METHODID_GET_PAT_INFO_BY_HIS_CLINIC_CODE:
          serviceImpl.getPatInfoByHisClinicCode((com.ywt.gapi.third.taihe.GetPatInfoByHisClinicCodeRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetPatInfoByHisClinicCodeResponse>) responseObserver);
          break;
        case METHODID_LOCK_ORDER:
          serviceImpl.lockOrder((com.ywt.gapi.third.taihe.LockOrderRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.LockOrderResponse>) responseObserver);
          break;
        case METHODID_GET_CLINIC_LIST:
          serviceImpl.getClinicList((com.ywt.gapi.third.taihe.GetClinicListRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetClinicListResponse>) responseObserver);
          break;
        case METHODID_GET_DOCTOR_CURRENT_SCHEDULE:
          serviceImpl.getDoctorCurrentSchedule((com.ywt.gapi.third.taihe.GetDoctorCurrentScheduleRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetDoctorCurrentScheduleResponse>) responseObserver);
          break;
        case METHODID_PRE_PAY_CONFIRM:
          serviceImpl.prePayConfirm((com.ywt.gapi.third.taihe.PrePayConfirmRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.PrePayConfirmResponse>) responseObserver);
          break;
        case METHODID_GET_DRUG_INVENTORY:
          serviceImpl.getDrugInventory((com.ywt.gapi.third.taihe.GetDrugInventoryRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetDrugInventoryResponse>) responseObserver);
          break;
        case METHODID_ADD_DIAGNOSIS:
          serviceImpl.addDiagnosis((com.ywt.gapi.third.taihe.AddDiagnosisRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.AddDiagnosisResponse>) responseObserver);
          break;
        case METHODID_ADD_OEORIINFO:
          serviceImpl.addOEORIInfo((com.ywt.gapi.third.taihe.AddOEORIInfoRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.AddOEORIInfoResponse>) responseObserver);
          break;
        case METHODID_CANCEL_OEORIINFO:
          serviceImpl.cancelOEORIInfo((com.ywt.gapi.third.taihe.CancelOEORIInfoRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.CancelOEORIInfoResponse>) responseObserver);
          break;
        case METHODID_GET_IN_PAT_INFO:
          serviceImpl.getInPatInfo((com.ywt.gapi.third.taihe.GetInPatInfoRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetInPatInfoResponse>) responseObserver);
          break;
        case METHODID_GET_DAY_FEE_LIST:
          serviceImpl.getDayFeeList((com.ywt.gapi.third.taihe.GetDayFeeListRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetDayFeeListResponse>) responseObserver);
          break;
        case METHODID_PAY_CASH:
          serviceImpl.payCash((com.ywt.gapi.third.taihe.PayCashRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.PayCashResponse>) responseObserver);
          break;
        case METHODID_GET_CASH_LIST:
          serviceImpl.getCashList((com.ywt.gapi.third.taihe.GetCashListRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetCashListResponse>) responseObserver);
          break;
        case METHODID_GET_CHECK_IN:
          serviceImpl.getCheckIn((com.ywt.gapi.third.taihe.GetCheckInRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetCheckInResponse>) responseObserver);
          break;
        case METHODID_CREATE_PAT_INFO:
          serviceImpl.createPatInfo((com.ywt.gapi.third.taihe.CreatePatInfoRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.CreatePatInfoResponse>) responseObserver);
          break;
        case METHODID_ONE_KEY_REGISTER:
          serviceImpl.oneKeyRegister((com.ywt.gapi.third.taihe.OneKeyRegisterRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.OneKeyRegisterResponse>) responseObserver);
          break;
        case METHODID_GET_DIAGNOSE_RECORD:
          serviceImpl.getDiagnoseRecord((com.ywt.gapi.third.taihe.GetDiagnoseRecordRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetDiagnoseRecordResponse>) responseObserver);
          break;
        case METHODID_PHY_PAY_LIST:
          serviceImpl.phyPayList((com.ywt.gapi.third.taihe.PhyPayListRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.PhyPayListResponse>) responseObserver);
          break;
        case METHODID_PHY_PAY_DETAIL:
          serviceImpl.phyPayDetail((com.ywt.gapi.third.taihe.PhyPayDetailRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.PhyPayDetailResponse>) responseObserver);
          break;
        case METHODID_PHY_PAY_ORDER:
          serviceImpl.phyPayOrder((com.ywt.gapi.third.taihe.PhyPayOrderRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.PhyPayOrderResponse>) responseObserver);
          break;
        case METHODID_GET_EINVOICE:
          serviceImpl.getEInvoice((com.ywt.gapi.third.taihe.GetEInvoiceRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetEInvoiceResponse>) responseObserver);
          break;
        case METHODID_GET_INSU_OPDIVIDE_PRE:
          serviceImpl.getInsuOPDividePre((com.ywt.gapi.third.taihe.GetInsuOPDividePreRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetInsuOPDividePreResponse>) responseObserver);
          break;
        case METHODID_GET_INSU_ADM_INFO:
          serviceImpl.getInsuAdmInfo((com.ywt.gapi.third.taihe.GetInsuAdmInfoRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.GetInsuAdmInfoResponse>) responseObserver);
          break;
        case METHODID_SAVE_INSU_RESULT:
          serviceImpl.saveInsuResult((com.ywt.gapi.third.taihe.SaveInsuResultRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.SaveInsuResultResponse>) responseObserver);
          break;
        case METHODID_PHY_REPORT_LIST:
          serviceImpl.phyReportList((com.ywt.gapi.third.taihe.PhyReportListRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.PhyReportListResponse>) responseObserver);
          break;
        case METHODID_PHY_REPORT_DETAIL:
          serviceImpl.phyReportDetail((com.ywt.gapi.third.taihe.PhyReportDetailRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.third.taihe.PhyReportDetailResponse>) responseObserver);
          break;
        default:
          throw new AssertionError();
      }
    }

    @java.lang.Override
    @java.lang.SuppressWarnings("unchecked")
    public io.grpc.stub.StreamObserver<Req> invoke(
        io.grpc.stub.StreamObserver<Resp> responseObserver) {
      switch (methodId) {
        default:
          throw new AssertionError();
      }
    }
  }

  private static abstract class TaiheServiceBaseDescriptorSupplier
      implements io.grpc.protobuf.ProtoFileDescriptorSupplier, io.grpc.protobuf.ProtoServiceDescriptorSupplier {
    TaiheServiceBaseDescriptorSupplier() {}

    @java.lang.Override
    public com.google.protobuf.Descriptors.FileDescriptor getFileDescriptor() {
      return com.ywt.gapi.third.taihe.Taihe.getDescriptor();
    }

    @java.lang.Override
    public com.google.protobuf.Descriptors.ServiceDescriptor getServiceDescriptor() {
      return getFileDescriptor().findServiceByName("TaiheService");
    }
  }

  private static final class TaiheServiceFileDescriptorSupplier
      extends TaiheServiceBaseDescriptorSupplier {
    TaiheServiceFileDescriptorSupplier() {}
  }

  private static final class TaiheServiceMethodDescriptorSupplier
      extends TaiheServiceBaseDescriptorSupplier
      implements io.grpc.protobuf.ProtoMethodDescriptorSupplier {
    private final String methodName;

    TaiheServiceMethodDescriptorSupplier(String methodName) {
      this.methodName = methodName;
    }

    @java.lang.Override
    public com.google.protobuf.Descriptors.MethodDescriptor getMethodDescriptor() {
      return getServiceDescriptor().findMethodByName(methodName);
    }
  }

  private static volatile io.grpc.ServiceDescriptor serviceDescriptor;

  public static io.grpc.ServiceDescriptor getServiceDescriptor() {
    io.grpc.ServiceDescriptor result = serviceDescriptor;
    if (result == null) {
      synchronized (TaiheServiceGrpc.class) {
        result = serviceDescriptor;
        if (result == null) {
          serviceDescriptor = result = io.grpc.ServiceDescriptor.newBuilder(SERVICE_NAME)
              .setSchemaDescriptor(new TaiheServiceFileDescriptorSupplier())
              .addMethod(METHOD_GET_PATIENT_INFO)
              .addMethod(METHOD_GET_DEPT_LIST)
              .addMethod(METHOD_GET_DOCTOR_LIST)
              .addMethod(METHOD_GET_MEDICAL_RECORD)
              .addMethod(METHOD_GET_LABORATORY_LIST)
              .addMethod(METHOD_GET_LABORATORY_DETAIL)
              .addMethod(METHOD_GET_SCHEDULE_LIST)
              .addMethod(METHOD_GET_SCHEDULE_TIME_INFO)
              .addMethod(METHOD_GET_INSPECTION_LIST)
              .addMethod(METHOD_GET_INSPECTION_DETAIL)
              .addMethod(METHOD_GET_QUEUE_INFO)
              .addMethod(METHOD_TAKE)
              .addMethod(METHOD_CANCEL)
              .addMethod(METHOD_GET_REGISTRATION_LIST)
              .addMethod(METHOD_GET_REGISTRATION_DETAIL)
              .addMethod(METHOD_REGISTER)
              .addMethod(METHOD_PAY)
              .addMethod(METHOD_PAY_FREE)
              .addMethod(METHOD_GET_OUTPATIENT_LIST)
              .addMethod(METHOD_GET_PAYMENT_DETAIL)
              .addMethod(METHOD_CAL_INSURANCE)
              .addMethod(METHOD_PAY_ORDER)
              .addMethod(METHOD_GET_ADD_INFO)
              .addMethod(METHOD_GET_TREATMENT_GUIDE)
              .addMethod(METHOD_GET_TREATMENT_GUIDE_V2)
              .addMethod(METHOD_GET_DRUG_LIST)
              .addMethod(METHOD_PUSH_PRES_INFO)
              .addMethod(METHOD_GET_PRES_INFO)
              .addMethod(METHOD_GET_PAT_INFO_BY_HIS_CLINIC_CODE)
              .addMethod(METHOD_LOCK_ORDER)
              .addMethod(METHOD_GET_CLINIC_LIST)
              .addMethod(METHOD_GET_DOCTOR_CURRENT_SCHEDULE)
              .addMethod(METHOD_PRE_PAY_CONFIRM)
              .addMethod(METHOD_GET_DRUG_INVENTORY)
              .addMethod(METHOD_ADD_DIAGNOSIS)
              .addMethod(METHOD_ADD_OEORIINFO)
              .addMethod(METHOD_CANCEL_OEORIINFO)
              .addMethod(METHOD_GET_IN_PAT_INFO)
              .addMethod(METHOD_GET_DAY_FEE_LIST)
              .addMethod(METHOD_PAY_CASH)
              .addMethod(METHOD_GET_CASH_LIST)
              .addMethod(METHOD_GET_CHECK_IN)
              .addMethod(METHOD_CREATE_PAT_INFO)
              .addMethod(METHOD_ONE_KEY_REGISTER)
              .addMethod(METHOD_GET_DIAGNOSE_RECORD)
              .addMethod(METHOD_PHY_PAY_LIST)
              .addMethod(METHOD_PHY_PAY_DETAIL)
              .addMethod(METHOD_PHY_PAY_ORDER)
              .addMethod(METHOD_GET_EINVOICE)
              .addMethod(METHOD_GET_INSU_OPDIVIDE_PRE)
              .addMethod(METHOD_GET_INSU_ADM_INFO)
              .addMethod(METHOD_SAVE_INSU_RESULT)
              .addMethod(METHOD_PHY_REPORT_LIST)
              .addMethod(METHOD_PHY_REPORT_DETAIL)
              .build();
        }
      }
    }
    return result;
  }
}
