package com.ywt.alipaympapi.service;


import com.ywt.core.exception.AppMessageException;
import com.ywt.model.PageVO;
import com.ywt.request.report.QueryReportDetailRequest;
import com.ywt.request.report.QueryReportListRequest;
import com.ywt.response.report.QueryReportDetailResponseData;
import com.ywt.response.report.QueryReportListResponseData;

/**
 * 就诊卡相关接口
 **/
public interface IsvReportService {

    /**
     * 默认就诊卡查询
     *
     * @param request
     * @return 查询结果
     **/
    QueryReportDetailResponseData queryReportDetail(QueryReportDetailRequest request) throws Exception;

    /**
     * 就诊卡列表查询
     *
     * @param request
     * @return 查询结果
     **/
    PageVO<QueryReportListResponseData> queryReportList(QueryReportListRequest request) throws Exception;

}
