package com.ywt.core;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

/**
 * 允许匿名访问，使用该注解可能会获取不到 userId
 * @author Walker
 * Created on 2022/9/29
 */
@Retention(RetentionPolicy.RUNTIME)
public @interface Anonymous {
    boolean enable() default false;
}
