package com.ywt.request.inpatient;

import com.ywt.model.IsvRequest;
import com.ywt.request.IAppIdRequest;
import com.ywt.request.IUserIdRequest;
import com.ywt.response.inpatient.DepositTradeDetailsResponseData;
import lombok.Data;

/**
 * 押金缴纳详情请求体
 */
@Data
public class DepositTradeDetailsRequest implements IsvRequest<DepositTradeDetailsResponseData>, IAppIdRequest, IUserIdRequest {

    private String appId;//医院小程序的AppId

    private String userId;//用户唯一id

    private String depositId;//押金缴费id

    private String hisPatientId; //hisPatientId

    private String receiptNo; //收据号码

    private String name;

    @Override
    public String serviceName() {
        return "isvRequest.deposit.details";
    }
}