package com.ywt.request.inpatient;

import com.ywt.model.IsvRequest;
import com.ywt.request.IAppIdRequest;
import com.ywt.request.IUserIdRequest;
import com.ywt.response.inpatient.InpatientDeleteResponseData;
import lombok.Data;

/**
 * 删除住院记录请求体
 */
@Data
public class InpatientDeleteRequest implements IsvRequest<InpatientDeleteResponseData>, IAppIdRequest, IUserIdRequest {

    private String appId;//医院小程序的AppId

    private String userId;//用户唯一id

    private String inpatientId;//住院数据id

    @Override
    public String serviceName() {
        return "isvRequest.inpatient.delete";
    }
}