package com.ywt.request.register;

import com.ywt.model.IsvListRequest;
import com.ywt.request.IAppIdRequest;
import com.ywt.response.register.QueryDepOrderSourceRemainResponseData;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 科室余号查询
 **/
@Getter
@Setter
@ToString
public class QueryDepOrderSourceRemainRequest implements IsvListRequest<QueryDepOrderSourceRemainResponseData>, IAppIdRequest {

    private String appId;//医院小程序的AppId
    private String depId;//科室id
    private String depCode;//科室id
    private String startDate;//查询起始日期
    private String endDate;//查询截止日期

    @Override
    public String serviceName() {
        return "isvRequest.order.depOrderSourceRemain";
    }
}
