package com.ywt.request.register;

import com.ywt.model.IsvListRequest;
import com.ywt.model.IsvPageRequest;
import com.ywt.request.IAppIdRequest;
import com.ywt.response.register.QueryDepDoctorListResponseData;
import com.ywt.response.register.QueryDoctorScheduleListResponseData;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 科室医生查询请求体
 **/
@Getter
@Setter
@ToString
public class QueryDoctorScheduleListRequest implements IsvListRequest<QueryDoctorScheduleListResponseData>, IAppIdRequest {

    private String appId;//医院小程序的AppId
    private String deptCode;//科室code
    private String doctorCode;//医生code
    private String serviceDate;//日期
    private Integer period;//时间段
    private Integer hospitalId;

    @Override
    public String serviceName() {
        return "isvRequest.order.doctorScheduleList";
    }

}
