package com.ywt.response.nucleic;

import com.ywt.model.IsvResponseData;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 核酸检测项目列表回执
 */
@Getter
@Setter
@ToString
public class NucleicItemResponseData implements IsvResponseData {

    private String nucleicItemId;//核酸检测项目id

    private String nucleicItemName;//核酸检测项目名称

    private String nucleicItemDesc;//核酸检测描述

    private String nucleicItemFee;//核酸检测费用

    private String startTime;

    private String endTime;

    private int datePeriod;

    private String availableNumStr;

    private String deptCode;

    private String deptName;

    private String doctorName;

    private String doctorCode;

    private int fee;

}
